================================================================================
This file lists changes to the LaTeX2e files in reverse chronological order
of publication (therefore the dates might be out of sequence if there are
hotfixes). It is provided for convenience only.  It therefore makes no claims
to completeness or accuracy and it contains some references to files that are
not part of the distribution.
================================================================================

2026-01-23  Joseph Wright  <Joseph.Wright@latex-project.org>
	* latex-cmds.tex: New file to collect user documention for hooks, sockets, etc.
	* ltfilehook.dtx, ltcmdhooks.dtx, ltshipout.dtx, ltmarks.dtx, ltpara.dtx,
	  lttemplates.dtx:
	  More descriptive titles

2026-01-20  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* ltpictur.dtx: add optional argument to picture, (tagging/1172)

2026-01-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* lttab.dtx: provide hooks for array and longtable
	* ltxdoc.dtx: Document elements for new style documentation
	* l3in2edoc.cls: wrapper around l3doc for latex2e documentation
	various dtx: switch to new l3in2edoc.cls

2026-01-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxref.dtx:
	Cleanup the rollback information (gh/1959)

2026-01-02  Marcel Krüger  <Marcel.Krueger@latex-project.org>
	* ltfsstrc.dtx
	Make \DeclareMathScriptfontMapping definitions global.

2025-12-31  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* ltthm.dtx, ltcounts.dtx: add alias counter support
	* slides.dtx: add explicit \newcount\c@page

2025-12-24  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* exscale.dtx: disable tagging in measuring, (tagging/1154)

2025-12-24  Joseph Wright  <Joseph.Wright@latex-project.org>

	* lttemplates.dtx: Make \protected funtions in templates

2025-12-23  Udi Fogiel  <udi@udifogiel.com>

	* ltluatex.dtx: Use \csstring instead of \string in \newluachunkname

2025-12-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltspace.dtx (subsection{The code}):
	Prevent generating an extra space with \@esphack when chained (gh/1910)

2025-12-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc/ltnews.tex: add running headers to ltnews issues that have more
	than one page (gh/1930)

2025-11-22  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* lttagging.dtx: add minipage and parbox socket declaration

2025-11-27  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltfinal.dtx
	  Allow for commas in filenames in \@filelist

2025-11-21  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltcmdhooks.dtx
	  Tidy section titles
	  Extend docs

2025-11-21  Joseph Wright  <Joseph.Wright@latex-project.org>

	* lttemplates.dtx
	  Add \InstanceValue
	  Extend message text for \ShowInstanceValues

2025-11-20  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
    * ltproperties.dtx: add \property_item:nn, gh1194
    
2025-11-18  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
    * ltxdoc.dtx: handle \cmd in bookmarks, gh877

2025-11-12  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
    * ltxref.dtx: Disable commands in \label while writing to the aux, gh1841

2025-11-10 Joseph Wright  <Joseph.Wright@latex-project.org>
	* lthooks.dtx
	Support \alignmark in hash doubling (gh/1137)

2025-11-05  Joseph Wright  <Joseph.Wright@latex-project.org>
    * ltcmd.dtx: Revise definition of \NoValue

2025-11-05  Joseph Wright  <Joseph.Wright@latex-project.org>

	* lttemplates.dtx
	  Correct footnote in documentation table

2025-11-04  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltfilehook.dtx, ltshipout.dtx
	  Correct mark-up for commands with no documentation

================================================================================
All changes above are only part of the development branch for the next release.
================================================================================

#########################
# 2025-11-01 Release
#########################

2025-10-20  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
    * lttagging.dtx: Add sockets for sectioning
    
2025-10-12  David Carlisle  <David.Carlisle@latex-project.org>

	* ltcmdhooks.dtx (subsubsection{Patching by retokenization}):
	Reset the catcode of space when patching to add hooks to
	commands defined using L3 syntax (gh/1099)

2025-10-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltdefns.dtx (subsection{Robust commands and protect}):
	Ensure that commands without arguments are not long (gh/571)

	This is a potentially breaking change if somebody has compared such
	commands using \ifx and explicitly assuming \long.

2025-10-02  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltcmd.dtx, clsguide.tex
	Remove protected status from \__kernel_cmd_if_xparse:NTF
	Add \cmd_arg_spec:N

2025-09-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Rename \target@meta@family@value to \@currentmetafamily and set it always

	* ltfssdcl.dtx (section{Interface Commands}):
	Run \set@current@meta@family and the \texttt{normalfont} hook

2025-09-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (subsection{Miscellaneous}):
	Finally drop internal hook name \@defaultfamilyhook from 2020.

2025-09-24  Joseph Wright  <Joseph.Wright@latex-project.org>
	* lthooks.dtx
	Skip hash doubling if not required (gh/1860)

2025-09-23  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfinal.dtx, lttab.dtx: Set \partokencontext=2 to enable automatic
	insertion of \par tokens if TeX is in hmode at the end of
	\vbox and similar vertical lists. (gh/1864)

2025-09-23  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltcmd.dtx
	Correct grabbing of optional before mandatory arg with c-type collection (gh/1863)

2025-09-05  Yukai Chou  <muzimuzhi@gmail.com>
	* ltproperties.dtx: Add missing variant \property_ref_undefined_warn:e
		(gh/1854)

2025-08-23  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: Add generic tagging sockets and sockets for paraOn/Off.

	* lttagging.dtx: move para-sockets from tagpdf to lttagging, use tagging
	sockets for the semantic paragraph.

	* lttagging.dtx: Use symbolic name for paragraph tags.

2025-08-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsection{The output routine configuration components}):
	Move setting of \protect after all hooks so that
	 only the \write statements are affected (gh/1845)

	Don't use \cs{nfss@catcodes} + updates, but spell everything out explicitly

	Also reset & to 4 which was overlooked

2025-08-14  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: Add commands for symbolic structure name interface.

2025-08-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (subsection{Updating mark structures}):
	Use \ignoreprimitiveerror if available (gh/1750)

2025-08-03  David Carlisle  <David.Carlisle@latex-project.org>

	* lttagging.dtx: add \MathMLintent and \MathMLarg stub definitions.

2025-08-01  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* ltproperties.dtx: Correct name of internal boolean.

2025-07-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttagging.dtx:
	remove \tbl_save_outer_table_cols:

2025-07-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{Definitions for the OT1 encoding}):
	Add forgotten \DeclareFontSubstitution, necessary to prevent a
	"Corrupted NFSS tables" error when an accent command switches the
	encoding to find a missing accent (gh/1709)

	Same for T1 encoding (gh/1709)

2025-07-07  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* ltclass.dtx: Add \NeedsDocumentMetadata.

2025-07-08  Joseph Wright  <Joseph.Wright@latex-project.org>
	* lttemplates.dtx
	Add support for value expansion

2025-07-05  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx (subsection{Tagging Sockets}):
	Add sockets for block code.

2025-07-01  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltfinal.dtx, usrguide.tex
	Add \DeclareLowercaseExclusions, \DeclareTitlecaseExclusions,
	\DeclareUppercaseExclusions

2025-06-29  Marcel Krüger  <Marcel.Krueger@latex-project.org>
	* ltfsstrc.dtx
	Add \DeclareMathScriptfontMapping

2025-06-27  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltcmd.dtx, lthooks.dtx
	Support \showstream (gh/1062)

2025-06-26  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltdefns.tex
	Allow for active chars in \DeclareRobustCommand (gh/345)

2025-06-25  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltkeys.dtx, clsguide.tex
	Support for multiple key families in \ProcessKeyOptions (gh/1756)

2025-06-24  Joseph Wright  <Joseph.Wright@latex-project.org>
	* usrguide.tex
	Add c-type arg. to overview (gh/1761).
        Indent code examples to align with other guides (gh/1800).

2025-06-23  Maurice Hansen

        * ltfssaxes.dtx:
        Offer 'm' as alternative result series for 
        \DeclareFontSeriesChangeRule entries involving m? or ?m (gh/1727)
        Improve the order of the \DeclareFontSeriesChangeRule
        entries (gh/1727)

2025-06-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (subsection{Allocating new mark classes}):
	Also initialize the saved-column region used in multicol so that one doesn't get
	missing declaration errors when L3 layer debugging is enabled (SX chat)

2025-06-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (section{User interface}):
	Document the nowarn option of the filecontents environment (gh/1773)

2025-06-03  Joseph Wright  <Joseph.Wright@latex-project.org>
	* clsguide.tex
	Add a keyval example

2025-06-03  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltdefns.dtx
	Strip trailing spaces from cmd name in \renewcommand/providecommand

#########################
# 2025-06-01 PL1 Release
#########################

2025-06-08  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltoutput.dtx
	Correct catcode of ^^M and ^^I in output routine

2025-06-05  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltexpl.dtx (section{Document-level command names for \pkg{expl3} functions}):
	Provide T and F variants of \IfExplAtLeastTF with a
	correct implementation (gh/1752)

2025-06-04  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltfinal.dtx
	Correct default setting in \MakeTitlecase

#########################
# 2025-06-01 Release
#########################

2025-05-29  David Carlisle  <David.Carlisle@latex-project.org>

	* ltmath.dtx ensure the saved versions of \(l)eqno are the primitives,
	(gh/1747)

2025-05-25  Joseph Wright  <Joseph.Wright@latex-project.org>
	* lmodguide.tex
	Remove LaTeX-L links

2025-05-18  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx: Avoid par errors for T versions of \IfPackageLoadedTF and friends
	(github/1733)

2025-04-30  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltexpl.dtx, usrguide.tex
	Add \expandableinput

2025-04-28  David Carlisle  <David.Carlisle@latex-project.org>

	* ltmiscenv.dtx : Increment the page counter while input aux,
          in case it typesets more pages (letter class labels)

2025-04-27  David Carlisle  <David.Carlisle@latex-project.org>

	* ltshipout.dtx : decrement the page counter to account for
          immediate writes. Re-increment for "extra page" shipped out
          when needed

2025-04-25  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfiles.dtx : Move the \write out of the group in
	\protected@write (github/1717)

2025-04-21  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltcmd.dtx
	Correct a logic flaw in c-type arg. collection

2025-04-13  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* ltoutput.dtx (subsection{Page break commands}):
	reinsert \par in newpage (github/1712)

2025-04-14  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltplain.dtx, ltoutput.dtx
	Omit rollback of extended allocation and float list

2025-04-12  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltcmd.dtx, usrguide.tex
	Align behavior with "chars-dropped-first-line" warning
	Refine handling of opt. args. for c-type grabbing

2025-04-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsection{The output routine configuration components}):
	Provide \@outputbox@appendfil to make the code more readable.

2025-04-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx: Final decision: use only one socket for handling attachement
	of footnotes and bottom floats in a consistent way  (footmisc/19)

2025-03-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsubsection{Replaceable code blocks (sockets)}):
	Add another socket to allow measuring \textfloatsep from the baseline
	of the last line (footmisc/19)

2025-03-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsubsection{Dealing with floats}):
	Don't set \maxdepth to zero any more in \@addtobot (footmisc/19)

	(subsection{The output routine configuration components}):
	Back up by \dp\@outputbox in the footnotes-floats-legacy plug if there
	are no footnotes (footmisc/19)

	(subsection{The output routine configuration components}):
	Add an experimental socket for baseline attachment
	of footnotes -- subject to change (footmisc/19)

	(subsubsection{Output routine commands}):
	Remove a `fil' bottom skip even if we are in ragged bottom
	typesetting (footmisc/19)

	(subsubsection{Page break commands}):
	Remove skip from \newpage added in 2.4a; it is now handled
	inside the output routine (footmisc/19)

2025-03-05  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx (subsection{Handling the end of job hook}):
	Make all \write commands immediate after the last page (gh/1689)

	* ltoutput.dtx (subsubsection{Page break commands}):
	Ensure the \write in \clearpage is always the primitive not a
	redefinition.

	* ltmiscen.dtx (subsection{Environments}):
	* ltexpl.dtx (subsection{Loader}):
	Add \@kernel@before@enddocument@afterlastpage

2025-03-05  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltplain.dtx
	Set \tracinglostchars to 4 for recent LuaTeX releases (gh/1687)
	Remove \tracinglostchars setting from \tracingall/\loggingall (gh/1687)

	* ltfssbas.dtx
	Set \tracinglostchars to 0 for all engines in \showhyphens

2025-03-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltexpl.dtx (section{Document-level command names for \pkg{expl3} functions}):
	Also provide T and F variants of \IfExplAtLeastTF (gh/1522)

	* ltmeta.dtx (section{The Implementation}):
	Provide T F variants of \IfDocumentMetadataTF (gh/1522)

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Provide T F variants of \IfFontSeriesContextTF (gh/1522)

	* ltfinal.dtx (subsection{Preparation for supporting PDF in backends}):
	Provide T F variants of \IfPDFManagementActiveTF (gh/1522)

	* ltcounts.dtx:
	\counterwithin and \counterwithout need to expand their arguments in case
	they contain macros (gh/1675)

2025-02-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttagging.dtx:
	Provide \NewTaggingSocket, \NewTaggingSocketPlug and \AssignTaggingSocketPlug

2025-02-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsection{The output routine configuration components}):

	Reset various catcodes to their default values in case the
        page is broken at some point where a special catcode scheme is
        in force (gh/600)

2025-02-21 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: move declaration of marginpar sockets from latex-lab into lttagging.

2025-02-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx (section{Macros for setting up the tables}):
	If necessary, load the .fd before checking the encoding subset (gh/1669)

2025-02-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx:
	Replace the plug name floats-footnotes-space with
	the correct one: floats-space-footnotes.


2025-02-17 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: add sockets for luamml support.
	* lttagging.dtx: provide \MathCollectTrue, \MathCollectFalse

2025-02-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx:
	Support output routine configuration through hooks and
	sockets for use in packages.

	Add tagging sockets.

	Fix 2.09 bottom skip bug (but keep it in old documents).

2025-02-11  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* ltoutenc.dtx
	Log only text command/symbol redeclarations  (gh/1242)

2025-02-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx:
	Document more prominently that using a hook with \UseHook or similar
	commands requires that the hook to be declared first (gh/1519)


2025-02-01  Jonathan P. Spratte

    * ltcmd.dtx (subsection{User functions}):
    Generalise \ProcessList by using \tl_map_tokens:nn instead of
    \tl_map_function:nN.

2025-01-31  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latexrelease.dtx (subsection{Ignoring \texttt{\string_new} errors when rolling back}):
	Silence \NewSocket and \NewSocketPlug in rollback

2025-01-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsubsection{Float control}):
	When floats are to be placed and a test fails, \@reqcolroom needs
	to be reset to the value prior to the failed test (gh/1645)

2025-01-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsection{Floats}):
	* ltsect.dtx (subsection{Table of Contents etc.}):
	Make \label, \index, and \glossary truely invisible
        when typesetting (gh/1638)

2025-01-23  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltcmd.dtx, usrguide.tex
	New "c"-type argument

2025-01-22  David Carlisle  <David.Carlisle@latex-project.org>

	* ltcounts.dtx, ltxref.dtx:
	Allow * to denote the current counter (as used by \label) in counter
	related commands, \alph*,  \stepcounter*, etc. (gh/1632)

2025-01-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsection{Floats}):
	* ltsect.dtx (subsection{Table of Contents etc.}):
	Support extended syntax for \label, \index, and \glossary (gh/311)

2025-01-21  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltcmd.dtx:
	Correct catcode of space/tab in v-type arg
	Adjust handling of catcodes for letters in v-type arg

2025-01-20  Joseph Wright  <Joseph.Wright@latex-project.org>
	* lttemplates.dtx
	Speed up set up of template code

2025-01-15  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltkeys.dtx
	Parse global options only once per package (gh/1619)

2025-01-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttemplates.dtx (subsection{User functions}):
	Speed up common case of \SetTemplateKeys, i.e., when the
	key/val list is empty.

2025-01-11  Udi Fogiel  <udi@udifogiel.com>

	* ltluatex.dtx (subsubsection{Handlers}):
	Correct documentation about the return value
	of the list handler

2025-01-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (subsection{Updating mark structures}):
	Do not expand mark content while debugging.

2025-01-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx (subsubsection{Updating code for hooks}):
	Correct example to use env/quote/begin instead of /before (gh/1599)

2025-01-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (subsection{Hooks}):
	Do not make \AtBeginDocument preamble only (gh/1604)

2024-12-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltsockets.dtx:
	Add conditionals for sockets, plugs, and assignments (gh/1577)

2024-12-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Producing the actual index entries}):
	Describe that \levelchar and other reference macros can't be used in
	\index entries that are used directly in the document and aren't hidden
	inside other macros (because then no expansion happens) gh/1418

2024-12-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx (subsection{Batchfile commands}):
	Check that the stream macro (with the name of a file to generate) is not
	already used, e.g., as a declared preamble (gh/1150)

2024-12-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltcmdhooks.dtx (subsection{Patching or delaying}):
	Avoid defining command while adding a cmd hook (gh/1591)

2024-12-21  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltoutenc.dtx
	Correct \=\i setup in T1 (gh/1587)

2024-12-13  Maurice Hansen & Frank Mittelbach

        * ltfssaxes.dtx
        Add numerous \DeclareFontSeriesChangeRule entries to support the full
        range of weights (from 'ul' to 'ub') and widths (from 'uc' to 'ux').
        Minor modifications to the existing entries. (gh/1583)

2024-12-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssaxes.dtx (subsection{Mapping rules for shape combinations}):
	Add ssc shape change rules (gh/1581)
	Also took the opportunity to provide better fallbacks for sw shape.

2024-12-10  Yukai Chou  <muzimuzhi@gmail.com>
	* ltxref.dtx (subsection{Cross Referencing})
	Replace \@tempa with \reserved@a in \Ref (gh/1579)


2024-12-03  Yukai Chou  <muzimuzhi@gmail.com>
	* ltmarks.dtx (subsection{Allocating new mark classes}):
	Fix inconsistent local/global assignment (gh/1574)

2024-11-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssdcl.dtx (section{Interface Commands}):
	Reset top-level alphabet definitions
        only for the current math version (gh/1101 and gh/1028)

2024-11-27  Yukai Chou  <muzimuzhi@gmail.com>
	* clsguide.tex:
	Add opt-arg to syntax of \Make...case

2024-11-27  Joseph Wright  <Joseph.Wright@latex-project.org>
	* usrguide.tex:
	Add syntax of \Make...case

2024-11-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsubsection{Declaration commands}):
	Log text command/symbol declarations (gh/1242)

	Alter error and info message in \DeclareTextComposite

2024-11-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx (subsection{Specifying code for next invocation}):
	Add debugging message into \AddToHookNext and friends (gh/1459)

	Slightly adjust messages in other places.

2024-11-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (section{Public interfaces for packages such as \pkg{multicol}}):
	Make all relevant functions public:
	\mark_update_structure_from_material:nn
	\mark_copy_structure:nn
	\mark_set_structure_to_err:n
	\mark_clear_structure:n
	\mark_get_marks_for_reinsertion:nNN

2024-11-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex209.dtx:
	Add low-level marks \mark1, \mark2, and \mark3 to mimic the fact
	that 2.09 initialized the mark system with a set of empty marks

2024-11-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpage.dtx:
	Use new mark mechanism and drop legacy mark support

	* ltoutput.dtx:
	Use new mark mechanism and drop legacy mark support

2024-11-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (subsection{Placing and retrieving marks}):
	Improve error message if mark region or class is unknown

2024-11-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttagging.dtx (subsection{Tagging support for output routines}):
	Added socket for multicol.

2024-11-12  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltfinal.dtx (subsection{Case changing}):
	Use \text_titlecase_...:nn for titlecasing
	Introduce option to titlecase first or all words
	* usrguide.tex:
	Document new key for titlecasing

2024-11-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (subsection{Placing and retrieving marks}):
	Generate an error if \FirstMark etc, try to query for an unknown
	region or class to avoid low-level errors later on.

	Renamed \__mark_update_structure_alias:nn to \__mark_update_alias_structure:nn

	Added \__mark_clear_structure:n

2024-11-06  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltoutenc.dtx
	Add support for \={i} to OT1 and T1 (gh/1453)

2024-11-05 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltproperties.dtx: add missing variants (gh/1532).

2024-11-02  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltdirchk.dtx, ltplain.dtx
	Add tab char to \dospecials

#########################
# 2024-11-01 PL2 Release
#########################

2025-01-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltlists.dtx:
	Only migrate \@doendpe out of simple and semi-simple groups (gh/1641)

#########################
# 2024-11-01 PL1 Release
#########################

2024-11-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttagging.dtx (section{Implementation}):
	Declare \tag_if_active:TF and friends in the kernel (gh/1558)

2024-11-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttextcomp.dtx:
	Allow using \DeclareEncodingSubset in the document body so that it
	can be placed into .fd file (gh/1518)

	* cmfonts.fdd:
	Add \DeclareEncodingSubset declarations in the .fd files for
	ts1cmr, ts1cmss, ts1cmtt, and ts1cmvtt  (gh/1518)

	* ltfssbas.dtx:
	Moved \DeclareEncodingSubset and \CheckEncodingSubset from
	lttextcomp.dtx into this file

	* fontdef.dtx:
	Preload ts1cmr.fd, ts1cmss.fd, and ts1cmtt in the kernel
	Drop unnessary \DeclareFontSubstitution declarations

#########################
# 2024-11-01 Release
#########################

2024-10-29  Yukai Chou <muzimuzhi@gmail.com>
	* lthooks.dtx (subsection{Setting rules for hooks code}):
	Skip mapping over undeclared \g__hook_<hook>_code_prop (gh/1513).

2024-10-27  Marcel Krüger  <Marcel.Krueger@latex-project.org>
	* lttagging.dtx
	Change tagging sockets with two arguments to drop the first argument
	but return the second argument when the socket is disabled with \SuspendTagging.
	Add expandable versions of tagging socket use commands.
	* ltsocket.dtx
	Add expandable versions of \socket_use_expandable:n.
	Make internal plug definitions non-protected to allow expandable use.

2024-10-26  Yukai Chou <muzimuzhi@gmail.com>
	* ltcounts.dtx (subsection{Environment Counter Macros}):
	Fully expand counter name in \theH<counter> commands (gh/1508)

2024-10-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* doc.dtx:
	A rollback comment leaked into the documentation (gh1418)

2024-10-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* ltcmdhooks.dtx:
	Some clarification why not all
	commands allow generic cmd hooks (gh/1091, gh/1430 and gh/1501)

2024-10-22 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltshipout.dtx: correct documentation (gh/1470).

 2024-10-21  Matthew Bertucci <bertucci@math.utah.edu>
	* lthooks.dtx
	Define \IfHookEmptyT, \IfHookEmptyF
	* ltmarks.dtx
	Define \IfMarksEqualT, \IfMarksEqualF
	* ltproperties.dtx
	Define \IfPropertyRecordedT, \IfPropertyRecordedF

2024-10-18 Clea Rees <reesc21@cf.ac.uk>
	* lttextcomp.dtx
	Fix typo in \ProvidesFile

2024-10-12  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltmiscen.dtx
	Define \begin as an engine-protected macro

2024-10-07  Joseph Wright  <Joseph.Wright@latex-project.org>
	* lttemplates.dtx
	Correct passing of token list content using \KeyValue

2024-10-02 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: restore also paratagging in the para/restore socket,
	see https://github.com/latex3/tagging-project/issues/723

2024-09-25 Matthew Bertucci <bertucci@math.utah.edu>
	* ltproperties.dtx: Fix definitions for \IfLabelExistsT and \IfLabelExistsF

2024-09-17 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: dummy for \tag_suspend:n and \tag_resume:n
	* lttagging.dtx: declare tagging sockets for floats and caption.

2024-09-21  Ulrike Fischer <Ulrike.Fischer@latex-project.org>

    * ltcounts.dtx (subsection{Environment Counter Macros}):
      extend \@definecounter and \@addtoreset so that they define also \theH<counter>
    * ltxref.dtx (subsection{Cross Referencing}):
      Use sockets in \refstepcounter for target and tagging support.
    * ltmeta.dtx: move patches and change of \MakeLinkTarget from latex-lab.
    * lttagging.dtx: add tagging socket for targets.

2024-09-15  Joseph Wright  <Joseph.Wright@latex-project.org>
	* lttemplates-doc.tex, lttemplates-code.tex:
	New files
	* clsguide.tex
	Link to template documentation

2024-09-12 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltproperties.dtx: remove @filesw-test in \__property_record:nn,
	see https://github.com/latex3/tagging-project/issues/696

2024-09-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lterror.dtx (subsection{Specific errors}):
	Add error message "Not allowed in LR mode"

2024-09-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltspace.dtx (subsection{Vertical spacing}):
	Drop unnecessary \@noitemerr in \addvspace and \addpenalty and
	instead generate \@parmodeerr if we are in restricted hmode (gh/1460)
	Also use \protected definitions for them.

2024-09-03 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltlength.dtx: suspend tagging in \@settodim

2024-09-03 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* fontdef.dtx: preload t1cmss.fd and t1cmtt.fd

2024-09-02  Joseph Wright  <Joseph.Wright@latex-project.org>

	* clsguide.tex:
	Document \IfPackageLoadedTF, \IfPackageAtLeastTF, etc.

2024-08-12  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltluatex.dtx:
	Allow for missing version string in Lua modules (gh/1443)

2024-08-09  Yukai Chou  <muzimuzhi@gmail.com>
	* lthooks.dtx: (subsection{Parsing a label})
	Raise different errors for empty label and empty hook (gh/1423)

2024-08-03  Yukai Chou  <muzimuzhi@gmail.com>
	* ltclass.dtx (section{Package/class rollback mechanism}):
	Add selected release to the file list (gh/1413)

2024-08-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* letter.dtx (subsection{The generic letter commands}):
	Alter sample address in documentation (gh/1439)

2024-08-10 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: reset flattened level in para/restore

2024-07-27 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: (subsection{Tagging support for table/tabular packages}):
      Two sockets added to store and restore cell data when nesting tables to keep track
      of multirow settings.

2024-07-27 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: (subsection{Paragraph sockets}): A socket and plug to restore paragraph
	setting added.

2024-07-23  Yukai Chou  <muzimuzhi@gmail.com>

	* ltclass.dtx (section{Implementation}):
	Trim spaces from unused option added by \OptionNotUsed (gh/1238)

2024-07-13 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* lttagging.dtx: (subsection{Tagging sockets}): toc-related tagging sockets added.

2024-07-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttagging.dtx (subsection{Tagging support for table/tabular packages}):
	Sockets for \cline leaders added (tagging/134)

2024-07-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx (subsection{Environments}):
	Drop code chunks before adding them to avoid duplication in
	rollback (gh/1407)

2024-07-06  Yukai Chou  <muzimuzhi@gmail.com>

	* ltcmd.dtx (subsection{User functions}):
	Trim spaces for envname before existence check (gh/1399)
	(subsection{Declaring commands and environments}):
	Simplify \__cmd_declare_env:nnnn, use space-trimmed envname directly

2024-06-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltlists.dtx:
	Changes to \@doendpe, \@endpefalse, and \@endpetrue for
	new @endpe handling. \if@endpe is now a global switch and
	migration out of groups is handled via \aftergroup

	* ltmiscen.dtx (subsection{Environments}):
	Adjust \end<space> for new @endpe handling

	* ltboxes.dtx (section{\LaTeX\ Box commands}):
	Adjust \color@endgroup for new @endpe handling

2024-06-19  David Carlisle  <David.Carlisle@latex-project.org>

	* fontdef.dtx:
	preload ts1cmr.fd in Unicode engines

2024-06-19 Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltkeys.dtx, clsguide.tex
	Ensure only key name is stored for option handling

2024-06-19 Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltkeys.dtx, clsguide.tex
	Refactor class option code
	Add mechanism to exclude class options from package processing

2024-06-17  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfssbas.dtx: set \tracinglostchars in \showhyphens. gh/1380

2024-06-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx:
	Clarify syntax of hook names and behavior of hook rules and default
	hook rules (gh/1227 & gh/1237)

2024-06-04  Yukai Chou  <muzimuzhi@gmail.com>

	* ltclass.dtx (section{Package/class rollback mechanism}):
	Add new argument \pkgcls@ext for use in warning message which might
	be raised before the classic \@currext can be set and used (gh/870)

	* ltclass.dtx:
	Extend \@cls@pkg to expand to "file" if \@currext is neither "cls"
	nor "pkg"

2024-06-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (section{Integrating hypdoc}):
	Use hooks to save and restore definitions when hypdoc gets loaded.
	This way the user can still alter \PrintDescribeMacro, etc. in the preamble
	(gh/1000)

2024-06-04  Joseph Wright <Joseph.Wright@latex-project.org>

	* ltluatex.dtx:
	Mark "v" in provides_module() when logging version string

2024-06-04  Yukai Chou  <muzimuzhi@gmail.com>

	* source2e.tex:
	Add new module lttemplates to the documentation.

	* lttemplates.dtx:
	Fix markup typos.

#########################
# 2024-06-01 PL2 Release
#########################

2024-06-23  Yukai Chou  <muzimuzhi@gmail.com>

	* ltpara.dtx
	Append \everypar toks to \g__parar_standard_everypar_tl, rollback
	2023/06/01 (gh/1386)

#########################
# 2024-06-01 PL1 Release
#########################

2024-06-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltboxes.dtx (section{\LaTeX\ Box commands}):
	Always use a \vrule strut after all, but back up by a baseline
	if already in vertical mode. Otherwise empty table p-cells will
	not get the correct width (bug seen first with colortbl)

2024-06-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttagging.dtx (subsection{Interface commands}):
	Always issue a \crcr even if we are at the start of a
	row to avoid problems with tabulary and similar code

#########################
# 2024-06-01 Release
#########################

2024-05-31  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (subsection{Allocating new mark classes}):
	Initialize all marks with an id, use 0 when a new class is made (gh/1359)
	(subsection{Placing and retrieving marks}):
	Remove the id when returning the mark value (gh/1359)

2024-05-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (subsection{Placing and retrieving marks}):
	Use sequence marker to make all marks unique on nearby
	regions (gh/1359)

2024-05-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (subsection{Core \LaTeXe{} integration}):
	Correct logic for first mark in page region if first column contains
	no marks (gh/1359)

2024-05-16  Yukai Chou  <muzimuzhi@gmail.com>

	* ltmarks.dtx, ltmeta.dtx, ltpara.dtx:
	Drop temp fixing for footnotes in function and variable envs.
	Supported by l3doc since l3kernel 2023-10-10 (latex3 gh/1266)

2024-04-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx:
	Do not error with "suspicious date" when rolling back to
	early years of LaTeX2e (gh/1336)

2024-04-24  Yukai Chou  <muzimuzhi@gmail.com>

* lttextcomp.dtx
	Load the 2018 version when rolling back prior to 2018-08-11 (gh/1333)
	Clean up \providecommand lines

2024-04-22  Yukai Chou  <muzimuzhi@gmail.com>

	* lttextcomp.dtx (section{The \texttt{textcomp} package})
	Drop default package option "info" which changes kernel info to
	package info (gh/1333)

2024-04-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltboxes.dtx (section{\LaTeX\ Box commands}):
	Use a \hrule strut not a \vrule if already in vertical mode
	(bug seen first with footmisc/14)

2024-04-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltproperties.dtx:
	Renamed \IfLabelExistTF to \IfLabelExistsTF
	Renamed \IfPropertyExistTF to \IfPropertyExistsTF
	Provided T and F variants for both conditionals (gh/1262)

2024-04-17 Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltexpl.dtx, ltdefns.dtx
	Rename \@expl@cs@argument@spec@@N to \@expl@cs@parameter@spec@@N (gh/1014)
	* ltexpl.dtx, ltcmd.dtx, ltcmdhooks.dtx
	Use \cs_parameter_spec:N in place of \cs_argument_spec:N (gh/1014)

2024-04-17 Joseph Wright  <Joseph.Wright@latex-project.org>
	* lttemplates.dtx
	Use \IfInstanceExistsTF with an 's'

2024-04-15 Joseph Wright  <Joseph.Wright@latex-project.org>
	* lttemplates.dtx
	Re-factor internals

2024-04-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (section{Implementation}):
	Provide \IfFileLoadedTF and variants (gh/1222)

	Provide T and F conditionals not just TF for \IfPackageLoaded...
	and friends (gh/1262)

2024-03-22  Yukai Chou <muzimuzhi@gmail.com>
	* ltfilehook.dtx
	Apply one-step expansion to raw option list, when a package
	providing key-value options is loaded the second time. The same
	expansion for first-time loading was requested in gh/580. (gh/1298)

2024-03-21  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltcmd.dtx
	Collect \endlinechar as \obeyedline
	* usrguide.tex
	Document use of \obeyedline in +v arguments

2024-03-16  David Carlisle  <David.Carlisle@latex-project.org>
	* ifthen.dtx guard against active <=> (gh/756)

2024-03-15 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltthm.dtx: add link targets to begintheorem commands (hyperref/332)

2024-03-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* ltfilehook.dtx (subsection{Kernel, class, and package interfaces for \LaTeX{}}):
	Clarify that the commands in this section are meant to be usable
	by the kernel and in classes or packages (gh/1292)

2024-02-15 Joseph Wright  <Joseph.Wright@latex-project.org>
	* lttemplates.dtx
	Re-introduce \IfInstanceExist(TF)

2024-01-30  David Carlisle  <David.Carlisle@latex-project.org>
	* ltclass.dtx: check that \RequirePackage, \documentclass, \usepackage
	  and related commands are at top level (gh/1185)

2023-11-12 Joseph Wright  <Joseph.Wright@latex-project.org>
	* lttemplates.dtx
	New file to replace loading xtemplate

2024-01-30  Jérôme Laurens  <jerome.laurens@u-bourgogn.fr>
	* lthooks.dtx:
	Fix rollback to 2020-10-01.

2024-01-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx:
	Generalized the support for extracting marks to cover cases like multicols.

	Some internal commands renamed and extended.
	Renamed \__mark_update_structure:nn to \__mark_update_structure_from_material:nn
	Added \__mark_get_marks_for_reinsertion:nNN
	Added \ShowMarksAt for debugging (might not stay this way)

2024-01-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttextcomp.dtx (section{Font family sub-encodings setup}):
	Adjusted/corrected TS1 sub-encoding declarations for various families.
	Some families have changed their names (due to licensing issues),
	some got new glyphs added, and some were simply incorrectly categorized
	(gh/1257)

	* lttextcomp.dtx (section{The \texttt{checkencodingsubset.tex} file}):
	Added check file for encoding subset

2024-01-03  Phelype Oleinik  <phelype.oleinik@latex-project.org>
	* lthooks.dtx:
	Correct expansion of \@@_print_args:nn argument (gh/1221).

2023-12-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* doc.dtx (subsection{Macros surrounding the `definition parts'}):
	Use \@noligs from the LaTeX kernel, so that the upquote
	package can add its patch (gh/1230)

2023-12-26 Yukai Chou  <muzimuzhi@gmai.com>
	* ltproperties.dtx:
	Correct typo (gh/1223)
	* doc.dtx, ltfntcmd.dtx, lthooks.dtx
	Correct similar typos of missing backslashes
	* ltfilehook.dtx
	Change flag markup in macro env

2023-12-22  Yukai Chou <muzimuzhi@gmail.com>
	* ltcmd.dtx (subsection{Normalizing the argument specifications})
	Clarify error message when an argument prefix `!' is applied to
	a non-trailing optional argument. (gh/1198)

2023-12-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* lttagging.dtx:
	First version of lttagging module added

2023-12-07 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltproperties.dtx: use \protected@write, (gh1200)

2023-12-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* doc.dtx (subsection{API creation}):
	Provide \ProvideDocElement for use cases where files are processed
	individually as well as together, e.g.,	the LaTeX kernel documentation.

2023-12-01  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltcmd.dtx (subsection{Declaring commands and environments}):
	Optimize creation of simple document commands (gh/1189)
	* usrguide.tex (subsection{Performance}):
	Document efficiency of ltcmd definitions

2023-11-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* ltpara.dtx (subsection{Providing hooks for paragraphs}):
	Correct error message: hook left horizontal not vertical mode (gh/1182)

2023-11-15  Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltfiles.dtx (subsection{Listing files}):
	Extend \listfiles to optionally include file sizes and hashes
	* usrguide.tex
	Re-introduce \listfiles (extended) description

2023-11-09 Yukai Chou  <muzimuzhi@gmail.com>
	* clsguide-historic.tex, usrguide.tex:
	Replace quotation with quote envs for zero para indent

	* clsguide-historic.tex, usrguide-historic.tex
	Mention correct source file names in license footnotes

2023-11-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* ltoutenc.dtx (subsection{The fontenc package}):
	Add more explanation to error message about missing encoding (gh/1102)

	* nfssfont.dtx (section{The code}):
	Corrected spelling in error message.

	* ltcounts.dtx (subsection{Environment Counter Macros}):
	In \newcounter do not change \the... if already defined (gh/823)

	* ltplain.dtx (section{Plain \TeX}):
	Set \tracinglostchars to 2 in \tracingnone (gh/549)

#########################
# 2023-11-01 PL1 Release
#########################

2024-01-13 Jonathan P. Spratte <jspratte@yahoo.de>
	* ltkeys.dtx: 
	Trim spaces off key names taken from the raw-lists (gh1238)

#########################
# 2023-11-01 Release
#########################

2023-10-15 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltproperties.dtx:
	Add support for pagetarget property.

2023-10-26  David Carlisle  <David.Carlisle@latex-project.org>
	* ltboxes.dtx:
	add check so \makebox[4cm][?]{abc} does not discard text (gh1072)

2023-10-26 Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltspace.tex:
	Use a protected definition for tilde which is safe in csnames

2023-10-21 Yukai Chou  <muzimuzhi@gmai.com>
	* ltfssbas.dtx, ltplain.dtx, ltspace.dtx:
	Correct typos

2023-10-14 Joseph Wright  <Joseph.Wright@latex-project.org>
	* clsguide.tex:
	Additional documentation

2023-10-14 Joseph Wright  <Joseph.Wright@latex-project.org>
	* clsguide.tex:
	Add that \CurrentOption is available in \DeclareUnknownKeyHandler

2023-10-13 Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltexpl.dtx:
	Add \IfExplAtLeastTF

2023-10-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx (section{Internal functions and variables}):
	Explain the steps carried out by the replacement algorithm for @@.

2023-09-13 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltproperties.dtx:
      Use \protected@edef for expansion in the LaTeX2e commands.

2023-09-13 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltproperties.dtx:
	Expand consistently the label/property names in the LaTeX2e commands.

2023-09-13 Joseph Wright  <Joseph.Wright@latex-project.org>
	* ltmiscen.dtx:
	Correct typo

2023-09-05 Ulrike Fischer <Ulrike.Fischer@latex-project.org>
	* ltproperties.dtx:
	First implementation of properties module

	* ltmiscen.dtx:
	Add test to \enddocument for changes in property values.

2023-09-01  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltmiscen.dtx
	Provide global definition for active tab

2023-06-15  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltmiscen.dtx
	Refinements to tab support

2023-06-14  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltmiscen.dtx, ltspace.dtx
	Support (visible) tabs in verbatim material

2023-08-19 Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltcmd.dtx, usrguide.tex
	Remove \GetDocumentCommandArgSpec,
	  \GetDocumentEnvironmentArgSpec,
	  \ShowDocumentCommandArgSpec,
	  \ShowDocumentEnvironmentArgSpec

2023-08-05  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltsockets.dtx:
	First implementation of the sockets module.

2023-07-10 Marcel Krüger  <marcel.krueger@latex-project.org>

	* ltluatex.dtx
	Restore post_mlist_to_hlist_filter callback type to reverselist (gh1116)

2023-07-10 Yukai Chou  <muzimuzhi@gmail.com>

    * ltfilehook.dtx (subsection{Declaring a file substitution}):
    Drop a redundant \ExplSyntaxOff

2023-07-02  David Carlisle  <David.Carlisle@latex-project.org>

	* ltluatex.dtx modify new_luafunction to ensure
	\e@alloc@luafunction@count always matches the size of the Lua
	table of function allocations (gh100)

2023-06-12  Joseph Wright  <Joseph.Wright@latex-project.org>

	* usrguide.tex
	Correct description of font encodings supported for case changing

2023-06-09  Joseph Wright  <Joseph.Wright@latex-project.org>

	* usrguide.tex
	Various refinements to descriptions of \NewDocumentCommand, etc.

#########################
# 2023-06-01 PL1 Release
#########################

2023-06-16  Yukai Chou <muzimuzhi@gmail.com>

    * lthooks.dtx (subsection{Setting rules for hooks code}):
    Sync \@expl@@@initialize@all@@ with \__hook_initialize_all: if latter is
    rolled back (gh1088)

2023-06-16  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltfiles.dtx
	Allow for pipes in \input, etc.

2023-06-16  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx, ltcmdhooks.dtx
	Correct some rollback labels and dates.

#########################
# 2023-06-01 Release
#########################

2023-05-21  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx (subsection{Adding or removing hook code}):
	Short-circuit when the hook is declared without args (gh1078).

2023-05-31  Joseph Wright  <Joseph.Wright@latex-project.org>

	* usrguide.tex
	Correct syntax of opt. arg. for \DeclareLowercaseMapping, etc.

2023-05-30  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltfinal.dtx
	Fix implementation of \DeclareLowercaseMapping

2023-05-26  Yukai Chou <muzimuzhi@gmail.com>

    * ltcmd.dtx (subsection{Structure of \pkg{xparse} commands}):
    Use simpler 'NNno' variant instead of 'NNVo' for
    \cs_generate_from_arg_count:NNnn

2023-05-22  Joseph Wright  <Joseph.Wright@latex-project.org>

	* usrguide.tex
	Ensure url package is always loaded

2023-05-21  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx, ltcmdhooks.dtx:
	Add support for accessing arguments in 'cmd' hooks.

2023-05-19  Joseph Wright  <Joseph.Wright@latex-project.org>

	* usrguide.tex (section Creating document commands and environments)
	  Add details of result of trailing optional arguments on
	  \inputlineno
	
2023-05-12  Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* ltxref.dtx
	extend \label to store five values and add a hook with argument

2023-05-17  Joseph Wright  <Joseph.Wright@latex-project.org>

	* usrguide.tex (section Creating document commands and environments)
	  Add details of brace stripping by \SplitList
	  Add guidance on creating commands to use at start of
	  tabular cells

2023-05-15  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltfiles.dtx:
	Use expl3-based file-existence test

2023-05-13  David Carlisle  <David.Carlisle@latex-project.org>

	* ltmath.dtx: Add \ignorespaces to \eqno (gh/1059)

2023-04-19  Joseph Wright  <joseph.wright@latex-project.org>

	* ltfinal.dtx (subsection{Lccodes and uccodes}):
	Add \DeclareLowercaseMapping, \DeclareTitlecaseMapping and
	\DeclareUppercaseMapping (gh/1033)

2023-04-19  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx (subsection{Specifying code for next invocation}):
	Initialise hook structure when adding 'next' code (gh/1052)

2023-04-17  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltfinal.dtx (subsubsection{Lccodes and uccodes}):
	Add \BCPdata (gh/1035)
	Adapt \MakeLowercase, \MakeTitlecase and \MakeLowercase
	to use \BCPdata for locale info

2023-04-16  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx (subsubsection{Setting hooks up}):
	Use \@@_replacing_args_false: in \@@_include_legacy_code_chunk:n.

2023-04-15  David Carlisle  <David.Carlisle@latex-project.org>

	* ltplain.dtx: adjust \extrafloats so it does not error if thousands
	of float boxes are allocated. github/1041

2023-04-14  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltclass.dtx (\@onefilewithoptions):
	When in latexrelease.sty, define \load@onefilewithoptions (gh/992).

2023-04-13  David Carlisle  <David.Carlisle@latex-project.org>

	* cmfonts.fdd: add missing substitution for U/cmtt/bx/sl gh/1037

2023-04-12  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltcmd.dtx (subsection{Grabbing arguments}):
	Set \tex_endlinechar:D earlier to correct parsing of newlines in
	special catcode settings (e.g., \ExplSyntaxOn) (gh/876).
  
2023-04-02  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfilehook.dtx: allow par as a filename. (gh/942)

2023-04-06  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx, ltcmdhooks.dtx:
	Add support for providing and using arguments in hooks:
	  - Modify hook data structures to allow access to arguments;
	  - Add commands to declare hooks with arguments;
	  - Add commands to add code that references hook arguments;
	  - Add commands to use hooks with arguments.

2023-04-01  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfssbas.dtx: locally reset frozen mathversions when the math
	version changes. (gh/1028)

2023-03-28  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltclass.dtx:
	Add \IfFileAtLeastTF (gh/1015)

2023-03-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx (section{Options}):
	Define \cs if doc is rolled back to v2 (gh/981)

2023-03-28  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfinal.dtx: Restore groups to \MakeUppercase and
          \MakeLowercase, and add a group to \MakeTitlecase. (gh/1021)

2023-03-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltspace.dtx:
	Add \predisplaypenalty setting of 10000 to \samepage in case
	that was changed (gh/1022)

2023-03-11  Yukai Chou  <muzimuzhi@gmail.com>

    * ltcmd.dtx (subsubsection{Showing the definition of a command}),
                (subsubsection{Copying a command and its internal structure}):
    Correctly recognize (non-expandable) document commands with empty or only
    m-type arguments (gh/1009)

2023-01-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpara.dtx (subsection{Providing hooks for paragraphs}):
	Backout \parskip at top of minipage if it shouldn't be there
	but is due to whatsits (gh/989)

2023-02-05 Yukai Chou <muzimuzhi@gmail.com>

	* fntguide.tex:
	Adjusted pagination due to recently added doc paragraphs (gh/994)

2023-01-16 Yukai Chou <muzimuzhi@gmail.com>

	* ltnews.cls:
	Added full release date yyyy-mm-dd to _all_ ltnews issues (gh/982)
	Added \publicationday{<day>} to specify day in a month in ltnews<n>.tex.
	<day> defaults to 01.

2023-01-12  Joseph Joseph  <Joseph.Joseph@latex-project.org>

	* clsguide.tex, clsguide-historic,tex
	Pre-2023 source moved to new name, re-worked material which remains
	relevant in updated file

2023-01-19  Josef Friedrich <josef@friedrich.rocks>

	* ltluatex.dtx:
	Remove unused local variable tex_setattribute (gh/978)

2022-11-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltdefns.dtx (subsubsection{Copying robust commands}):
	Added \NewEnvironmentCopy, \RenewEnvironmentCopy, and \DeclareEnvironmentCopy (gh/963)
	Also added \ShowEnvironment.

2022-11-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx:
	Introduce key 'nowarn' on filecontents (gh/958)
	Do not show "current dir" in message (gh/917)

2022-11-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latexrelease.dtx (subsection{Ignoring \texttt{\string_new} errors when rolling back}):
	Silence \NewMarkClass in rollback (gh/955)

2022-11-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx:
	Redefinitions of \verb removed as no longer needed (gh/953)

	Redefinitions of \@verbatim changed to match the kernel
	definition (gh/953)

2022-11-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx:
	Add a shipout hook to be executed just before we
	actually do the shipout (gh/920)

2022-11-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltvers.dtx (section{Version Identification}):
	Store release data in \LaTeXReleaseInfo for reuse at the end of
	the .log file (gh/944)

	* ltmiscen.dtx (subsection{Environments}): Add to a hook in
	\end{document} to (re)display the LaTeX release information (gh/944)

2022-11-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: correctly handle \<space>  and allow it to be excluded
	from the index (gh/943)

#########################
# 2022-11-01 PL1 Release
#########################

2022-11-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltspace.dtx (subsection{Horizontal space (and breaks)}):
	We use a private register instead of a group with \hspace in case it
	starts the paragraph.
	Otherwise \everypar and friends will be executed inside a group (gh/967)

2022-11-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx:
	Revert using \detokenize in \cs (gh/962)
	Eventually we will need to sync with the code in l3doc but for now
	we stay with the simpler definition from doc.sty.

2022-11-30  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltfinal.dtx:
	Set \oe and \OE equal in case changing to allow detection
	by babel

#########################
# 2022-11-01 Release
#########################

2022-10-26  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltfinal.dtx:
	Introduce optional argument for case-changing commands
	Make case changing commands language-aware
	Auto-detect babel locale for case changing

2022-10-22  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx, ltdefns.dtx: Further \protect guards for gh/932

	* utf8ienc.dtx: Correct the description of UTF-8 octets.

2022-10-22  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltkeys.dtx: Correct handling of unknown option list

2022-10-20  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltclass.dtx, ltkeys.dtx:
	Correct an argument for a message
	Define key option handler in ltkeys

2022-10-10  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx: use \protected@edef rather than \edef when expanding option lists

2022-10-03  Marcel Krüger  <marcel.krueger@latex-project.org>

	* ltluatex.dtx:
	Add ordering rules for callback handlers

2022-09-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssdcl.dtx (section{Interface Commands}):
	Drop any surplus 'm' in series argument of \DeclareSymbolFont and
	\SetSymbolFont (gh/918)

2022-09-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssdcl.dtx:
	New logic for freezing math versions to avoid issues with \mathchoice (gh/921)

2022-09-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltboxes.dtx (section{\LaTeX\ Box commands}):
	Check for nested minipages and warn if the outer one contains footnotes (gh/168)

2022-09-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmath.dtx (subsubsection{The UNSORTED Rest}):
	Guard \smash against reboxing (gh/517)

2022-09-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx (subsection{The handling of options}):
	Complete the handling of @@-modules from l3docstrip.dtx (gh/337)
	for +/- lines it was not done (gh/903)

2022-08-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltkeys.dtx (subsection{Option usage scope}):
	Correct error message text for load-only keys.

2022-08-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltfilehook.dtx (subsection{Preventing a package from loading}):
	Inhibit checking the loaded version when package is load-disabled,
	and write to the .log (gh/888).

2022-08-13  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltluatex.dtx:
	Unregister mlist_to_hlist callback when no related callbacks are registered

2022-08-10  Joseph Wright <Joseph.Wright@latex-project.org>

	* ltcmd.dtx:
	Add support for keyval detection using "={...}" syntax

2022-08-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttextcomp.dtx: Make \DeclareEncodingSubset act globally so that
	it can be used in fd files (gh/905)

2022-07-23  Joseph Wright <Joseph.Wright@latex-project.org>

	* ltkeys.dtx: Output 'friendly' package names in messages

2022-07-10  David Carlisle  <David.Carlisle@latex-project.org>

	* cmfonts.fdd: avoid EC sans serif fonts at small design sizes.
	The medium weight is bolder and wider than the bold extended.
	Scale the 8pt font for sizes 5,6,7. gh/879

2022-06-23  Joseph Wright <Joseph.Wright@latex-project.org>

	* ltoutput.dtx
	Add registers \stockheight and \stockwidth

2022-06-22  David Carlisle  <David.Carlisle@latex-project.org>

	* ltkeys.dtx:
	add .ifnot property (.legacy_if_set_inverse:n)

	* doc.dtx
	recast Package Option declarations using \DeclareKeys

2022-06-10  Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* cmfonts.fdd
	Add font definitions for slanted small caps (gh/782)

2022-06-10  Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* cmfonts.fdd
	Add font definitions for slanted small caps (gh/782)

#########################
# 2022-06-01 PL5 Release
#########################

2022-07-05  Joseph Wright <Joseph.Wright@latex-project.org>

	* ltkeys.dtx (subsection{Main mechanism})
	Correct name of store for raw class options list
	Support \CurrentOption in unknown keys

2022-07-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx, ltfssdcl.dtx:
	Ignore spaces if necessary, i.e., after display math done with $$ (gh/886)

2022-07-04  Joseph Wright <Joseph.Wright@latex-project.org>

	* ltfinal.dtx
	Introduce \MakeTitlecase, \CaseSwitch and \DeclareCaseChangeEquivalent
	as LaTeX2e names for expl3 case changing hooks, needed to support
	some customisation requirements (e.g. biblatex)

#########################
# 2022-06-01 PL4 Release
#########################

2022-06-30  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfinal.dtx: update MakeUppercase and \MakeLowercase for gh/881
	\protectd@edef no longer needed with latest l3 code.
	added \AddToNoCaseChangeList

#########################
# 2022-06-01 PL3 Release
#########################

2022-06-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx (section{Useful abbreviations}):
	Update \cmd definition to work with new \cs (gh/874)

#########################
# 2022-06-01 PL2 Release
#########################

2022-06-20  Joseph Wright <Joseph.Wright@latex-project.org>

	* ltkeys.dtx (subsection{Main mechanism})
	Use raw options data for keyval handling

2022-06-19 Joseph Wright <Joseph.Wright@latex-proejct.org>

	* ltkeys.dtx (subsection{Main mechanism})
	Correct approach to removing keys from \@unusedoptionlist

#########################
# 2022-06-01 PL1 Release
#########################

2022-06-16  Joseph Wright <Joseph.Wright@latex-project.org>

	* ltkeys.dtx (subsection{Main mechanism})
	Remove key name but avoid touching key value in \@unusedoptionlist

2022-06-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx (subsubsection{Disabling and providing hooks}):
	Ensure that a newly activated generic hook gets its execution code set

2022-06-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx: Delay definitions of \enquote etc in case they get defined in
	the preamble of existing documents.

#########################
# 2022-06-01 Release
#########################

2022-06-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx (subsection{The mapping table}):
	Fix \guillemetleft and \guillemetright also in dfu files (gh/65)

2022-06-03  David Carlisle  <David.Carlisle@latex-project.org>

	* doc.dtx: adjust ltxdoc.cls and doc.dtx to process existing
	use of L3 names and \pkg in base dtx files

2022-06-02  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfinal.dtx: add \NoCaseChange (previously available in the
	textcase package)

2022-06-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx (subsection{Updating mark structures}):
	Be more careful when unpackage a \vbox for mark detection, it might
	contain infinite shrink glue (gh/836)

2022-05-27  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfiles.dtx, ltoutenc.dtx:
	save the original version string in \ver@@...
	Usable by \listfiles if the standard \ver@... command has been set to \relax
	(as in fontenc.sty) gh/825

2022-05-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx (section{Customisation}):
	Added option doc2 so that old doc version can be requested (gh/822)

2022-05-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Processing the package keys}):
	Adjusted doc to use \ProcessKeyOptions (not the older l3keys2e variant)

2022-05-17  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx (subsection{Setting rules for hooks code}):
	Refuse sorting one-time hooks (gh/818).

2022-05-17  Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* ltmeta.dtx:
	Added dummy definitions for target commands.

2022-05-13  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx (subsection{Using the hook}):
	Avoid l3debug error on an undeclared variable in \hook_use_once:nnn.

2022-05-08  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* utf8ienc.dtx:
	Declare Unicode codepoints U+3008 and U+3009 to be equivalent
	to their canonical equivalent codepoints 2329/232A (corresponding
	to \textlangle/\textrangle)

2022-05-08  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltmath.dtx: Use more consistent default math styles on LuaLaTeX

2022-04-13  Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* ltxref.dtx:
	Added starred versions of \ref, \pageref and \Ref
	  Added expandable version for \pageref and \ref
	* ifthen.dtx:
	use new expandable version for \pageref and \ref

2022-05-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx (subsection{Handling the end of job hook}):
	Handle case where shipout/lastpage is run too early and issue
	a warning (gh/813)

2022-04-21  Joseph Wright <Joseph.Wright@latex-project.org>

	* ltfinal.dtx (subsection{Lccodes and uccodes}):
	Support \noexpand in arg. to \MakeUppercase and
	\MakeLowercase

2022-04-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmath.dtx (subsubsection{The UNSORTED Rest}):
	Make \openup robust (gh/123)

2022-04-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmarks.dtx: New module to implement new marks mechanism

	* ltpage.dtx (section| command.):
	Updates to \markboth and \markright to interface with new mark mechanism

	* ltoutput.dtx (subsection{Floats}):
	Interface with new mark mechanism

	* ltfinal.dtx (subsection{Typesetting parameters}):
	Integration of new mark management interface

2022-04-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfiles.dtx (section{File Handling}):
	Process include/excluded hook(s) if an include file is bypassed

	* lthooks.dtx (subsection{Adding or removing hook code}):
	Add support for generic include/.../excluded hooks

	* ltfilehook.dtx: document include/excluded hooks

2022-03-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltcmd.dtx (subsection{Utilities}):
	Fix \@@_cmd_type_cases:NnnnnF prematurely expanding macros (gh/795).

2022-03-18  Joseph Wright  <joseph.wright@latex-project.org>

	* ltkeys.dtx:
	Remove \ProcessKeyPackageOptions

2022-03-10  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltfilehook.dtx (subsection{Selecting a file (\cs{set@curr@file})}):
	Add \set@curr@file@nosearch, to ignore \input@path and \l_file_search_path_seq.

2022-03-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltbibl.dtx (section{Bibliography Generation}):
	Ensure that an empty argument given to \cite generates
	a warning (gh/790)

2022-02-28  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltvers.dtx (subsection{Declaring an all-new module}):
	Detect a missing \IncludeInRelease{0000/00/00} in a new module.

2022-02-28  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* latexrelease.dtx, ltexpl.dtx, ltcmd.dtx:
	Move most make-harmless redefinitions right after ltexpl.dtx.

2022-02-21  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltkeys.dtx:
	More efficient module expansion

2022-02-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltcmd.dtx (subsection{User functions}):
	Added \IfBlankTF and friends to test if a received argument
	is empty or contains only normal space characters.

2022-02-19  David Carlisle  <David.Carlisle@latex-project.org>

	* utf8ienc.dtx: use \protected definitions.
	also avoid global definitions for gh/762

2022-02-16  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltkeys.dtx:
	Allow for active characters in module argument
	\DeclareUnknownKeyHandler better than with the "s"

2022-02-15  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltkeys.dtx:
	Expand optional module argument in design-level commands
	Add \DeclareUnknownKeysHandler

2022-02-07  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltkeys.dtx:
	Correct definition of .code property

2022-02-05  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltkeys.dtx:
	Create key properties at the 2e layer
	Add .code property

2022-01-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltplain.dtx (section{Plain \TeX}):
	Alter \obeyspaces and \obeylines to use a redirection for special
	use cases (gh/367)

2022-01-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Keys supported by doc):
	Fixed key handling for nohyperref and nomulticol (gh/750).

2022-01-15  Joseph Wright  <Joseph.Wright-project.org>

	* ltkeys.dtx:
	Clear option data in \AtEndOfPackage hook

2022-01-06  Joseph Wright  <Joseph.Wright-project.org>

	* ltexpl.dtx (section{Document-level command names for expl3 functions}):
	Adjust document-level names for \exp_args:Nc and the like

2021-12-30  Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* ltmeta.dtx:
	Adapted bundle name to new name `LaTeX-lab'

2021-12-31  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltcmd.dtx (subsubsection{Showing the definition of a command}):
	Make \ShowCommand stop for interaction with ltcmd (gh/739)

2021-12-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltexpl.dtx (section{Document-level command names for expl3 functions}):
	Added document-level names for \exp_args:Nc and the like
	for use with \NewDocumentCommand, etc. (gh/735)

2021-12-27  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltluatex.dtx:
	Added \newluacmd and \newprotectedluacmd for easy allocation of Lua command ids.

2021-12-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmeta.dtx:
	First version of this module added implementing an interface to
	\DocumentMetadata. At the moment the actual code is outside the
	format and only loaded if the command is called.

2021-12-13  David Carlisle  <David.Carlisle@latex-project.org>

	* utf8ienc.dtx:  Use hex 80 not A0 to test for single byte UTF-8 github/730

2021-12-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{Definitions for the TU encoding}):
	\DeclareUnicodeAccent now makes the encoding argument implicit
	as it is already done for other Unicode encoding commands.
	Also added \DeclareUnicodeCommand and \DeclareUnicodeSymbol (gh/253).

2021-12-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection[Dealing with the change history]):
	Implement option recordchangedates to show dates  in the change log
	if that option is used (gh/531).

2021-12-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltdirchk.dtx (section{Initialization}):
	Add comment lines into latex.ltx to indicate temp definitions that
	are later overwritten (gh/725).

2021-12-10  David Carlisle  <David.Carlisle@latex-project.org>

	* utf8ienc.dtx: Add inputenc UTF-8 support for Digraphs U+01C4-U+01CC

2021-12-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* proc.dtx (subsection{The page style}):
	Support twoside by providing an appropriate footer line (gh/704).

2021-12-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttextcomp.dtx (section{Sub-encodings}):
	Describe correctly (I hope) how sub-encodings work for TS1.

2021-11-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltexpl.dtx:
	Added \fpeval, \inteval, \dimeval, and \skipeval (gh711)

2021-11-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* All *.dtx: Replaced \StopEventually by \MaybeStop

2021-11-30 Joseph Wright <joseph.wright@latex-project.org>

	* ltclasses.dtx
	New option handling routine using ltkeys

2021-11-26 Joseph Wright <joseph.wright@latex-project.org>

	* ltkeys.dtx
	New file to integrate keyval option processing into the kernel

2021-11-17  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltluatex.dtx:
	Classify [hv]pack_quality callbacks as exclusive
	Never pass true to the engine for LuaTeX list callbacks

2021-11-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* build.lua (textfiles):
	Dropped a few obsolete documentation files (nobody installs manually these
	days and the advice given was no longer current).

	* latexchanges.tex:
	We no longer maintain this file; instead everything is documented in ltnewsXX
	and in the changes.txt files so we zap this file too because the double book
	keeping always means one or the other is out of date.

2021-11-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: Replaced doc.dtx with V3 version.
	The old doc can be reactivated with \usepackage{doc}[=v2].
	Hyperref usage (on by default) can be turned off with
	\usepackage[hyperref=false]{doc}.
	New options etc are documented: use texdoc doc
	(code documentation only partly done).

2021-11-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx (section{Configuration file}):
	Added our default .cfg for extraction.
	Added option "nocfg" to bypass a system cfg.

#########################
# 2021-11-15 PL1 Release
#########################

2021-12-02 Joseph Wright <Joseph.Wright@latex-project.org>

	* ltcmd.dtx
	Insert correct default values for optional arguments into the end
	of environments

#########################
# 2021-11-15 Release
#########################

2021-10-20  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltcmdhooks.dtx (subsubsection{Patching by expansion and redefinition}):
	Fix patching of commands that contain parameter tokens (gh/697)

2021-10-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpara.dtx (subsection{The error messages}):
	Remove content from \tex_everypar:D (aka \everypar) on rollback.
	Without it rollback is not functioning in all cases (gh/695).

2021-10-16  David Carlisle  <David.Carlisle@latex-project.org>

	* ltoutenc.dtx: guard spacefactor setting in accents gh/643

2021-10-15  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltluatex.dtx:
	Added missing callback process_charproc_data

2021-10-14  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfiles.dtx: Warn if \include is used before \begin{document}
	and do not try to write to the aux file (which is not open) gh/645

2021-10-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfloat.dtx (subsection{Footnotes}):
	* ltboxes.dtx (section{\LaTeX\ Box commands}):
	* ltmath.dtx (two places}):
	Explicitly set \@currentcounter when not automatically done
	through \refstepcounter (gh/687)

2021-10-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx, doc.dtx, makeindx.dtx, preload.dtx, slides.dtx, array.dtx
	Removed old references to latex.tex or latex.dtx (gh/685)

2021-09-28  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltcmdhooks.dtx (subsection{Patching commands}):
	Make patching of commands with generic cmd hooks a global operation (gh/674)

2021-09-28  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx (subsection{Adding or removing hook code}):
	Correct usage of older \@@_if_file_hook:wTF (gh/675).

2021-09-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssdcl.dtx (section{Interface Commands}):
	Provide counter "localmathalphabets" to keep that many alphabets
	from being permanently allocated after use. This allows
	some flexibility if many math alphabets are needed but not needed
	all in the same formula. (gh/676)

2021-09-18  David Carlisle  <David.Carlisle@latex-project.org>

	* ltpara.dtx: use a \hskip rather than \kern as the guard to
	prevent more than one glue item being removed when the primitive
	par is called twice to process the end of paragraph hooks.

2021-09-12  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfntcmd.dtx: guard definition in \text@command with \unexpanded (gh/665)

2021-09-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{Definitions for the OT1 encoding}):
	Move zero skip between i and j for hyphenation (gh/658)

2021-09-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx:
	Improve handling of legacy changes to \bfdefault or \mddefault in
	relation to \DeclareFontSeriesDefault setting (gh/663)

2021-09-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfinal.dtx (subsection{Lccodes and uccodes}):
	Correctly upper and lowercase \ij and \IJ (gh/658)

2021-08-30  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx (subsection{Using the hook}):
	Clean up after \UseOneTimeHook and prevent a second usage (gh/606).

2021-08-30  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltcmd.dtx (subsubsection{Copying a command and its internal structure}):
	Add support for copying and showing ltcmd commands (gh/569).

2021-08-27  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltfilehook.dtx:
	Use \msg_... instead of \__kernel_msg... commands for normalized
	error and warning commands.

	* ltfilehook.dtx, lthooks.dtx, ltpara.dtx:
	Internal changes to message names

	* ltcmd.dtx:
	Check for end-of-enviroment commands

2021-08-25  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx, ltcmdhooks.dtx, ltfilehook.dtx, ltclass.dtx, ltfiles.dtx:
	Standardise generic hook names (gh/648).

2021-08-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx:
	Documentation updates for generic hook commands (gh/638).

	Deprecate \hook_disable:n, \hook_provide:n,
	\hook_provide_reversed:n, \hook_provide_pair:nn,
	\DisableHook, \ProvideHook, \ProvideReversedHook,
	and \ProvideMirroredHookPair.

	Instead: \hook_activate_generic:n, \hook_disable_generic:n,
	\ActivateGenericHook and \DisableGenericHook.

	* lterror.dtx (subsection{Specific errors}):
	Improve \@badend error message (gh/587)

2021-08-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx (subsubsection{Generic hooks for all environments}):
	Fixed documentation of \AtBeginEnvironment and friends
	-- was missing the main "env" argument  (gh/646)

2021-08-11  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltluatex.dtx:
	Define missing local copy of flush_list in ltluatex.lua found
	by Michal Vlasák.

2021-08-10  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltvers.dtx (section{Version Identification}):
	Throw an error when a date 0000/00/00 is misused in \IncludeInRelease.

2021-08-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfinal.dtx (subsection{Prepare for suporting PDF management in backends}):
	Default definition for \IfPDFManagementActiveTF added (gh/640)

2021-08-07  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltcmd.dtx (subsection{Setting up a standard signature}):
	Replicate argument processors for all embellishments (gh/639).

2021-07-31  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsubsection{Float control}):
	Add \ShowFloat to fltrace.sty so that you can easily display the
	contents of a float register, argument is just the uppercase
	letter (or letters or numbers) denoting the register.

2021-07-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltsect.dtx (section| or |\caption|):
	\contentsline now picks up all four arguments and doesn't rely on
	the fourth being empty (gh/633)

2021-07-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx:
	Some clarification on hook command behavior.
	Commands \ClearHookNext and \hook_gclear_next_code:n added (gh/565)

2021-07-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (section{Implementation}):
	Make class/.../name one-time hooks;
	Make package/.../name one-time hooks (gh/626)

	* ltfiles.dtx (section{File Handling}):
	Make include/.../name one-time hooks (gh/626)

2021-07-23  Marcel Krüger  <marcel.krueger@latex-project.org>

	* tulm.fdd:
	For Unicode engines, use OpenType version of Latin Modern Upright Italic.

2021-07-20  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx:
	Simplify \RemoveFromHook to not queue the removal of code chunks
	that aren't yet in the hook (gh/625).

2021-07-20  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltcmdhooks.dtx:
	Fix usage of \@if@newcommand when patching a robust command (gh/623).

2021-07-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx: Provide public names:
	\IfPackageLoadedTF, \IfPackageLoadedWithOptionsTF,
	\IfClassLoadedTF, \IfClassLoadedWithOptionsTF.

	Drop \@onlypremable restriction for several commands.

2021-07-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltplain.dtx (section{Plain \TeX}):
	Use 2 as value for \tracinglostchars so that one gets at least warnings
	on the terminal (3 would be better as a missing char is an error)

2021-07-12  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx:  fix for gh/617 prevent expansion in raw option list.

2021-07-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lterror.dtx (subsection{General commands}):
	Provide \ClassNote and \PackageNote that write information to the
	terminal but labels it as "Info" and not as "Warning", i.e. a cross
	between \PackageWarning and \PackageInfo

2021-07-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltcounts.dtx (subsection{Environment Counter Macros}):
	New implementation for \counterwithout and \counterwithin
	with an additional optional arg so it becomes a drop-in
	replacement for amsmath \numberwithin

2021-06-21  David Carlisle  <David.Carlisle@latex-project.org>

	* base/utf8ienc.dtx: additional characters for gh/593

2021-06-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx:
	Normalize message texts

2021-06-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx (section{Macros for setting up the tables}):
	Improve one warning message

2021-06-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx:
	Change errors to kernel errors

2021-06-05  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltcmd.dtx, ltdefns.dtx, ltmiscen.dtx:
	Normalize message texts

#########################
# 2021-06-01 PL1 Release
#########################

2021-06-06  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx: ensure raw option lists are copied in short circuit
	loading by \LoadClassWithOptions, expand one step so
	\CurrentOption expanded (gh #580)

2021-06-03  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltclass.dtx:
	Keep file path stack in sync when rolling back/forward (gh/577).


#########################
# 2021-06-01 Release
#########################

2021-05-31  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx: Initialise \@raw@classoptionslist to \relax to
	match \@classoptionslist

2021-05-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Macros for the `documentation parts'}):
	Use same error message text as in format

2021-05-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltdefns.dtx (subsection{Robust commands and protect}):
	Normalize error message in \MakeRobust

2021-05-26  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx:
	Remove deprecated \DeclareDefaultHookLabel for good.

2021-05-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx, ltfilehook.dtx:
	Normalized some error message texts

2021-05-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltcmd.dtx, ltcmdhooks.dtx, ltfilehook.dtx, lthooks.dtx, ltpara.dtx:
	Use \msg_... instead of \__kernel_msg... commands for normalized
	error and warning commands.

2021-05-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx: normalize the error commands, always use
	\@latex@error not \@latexerr

2021-04-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx (subsection{\LaTeXe{} package interface commands}):
	Add \ProvideHook and related commands.

2021-04-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx, ltfilehook.dtx:
	Switch to kernel (not package) errors.

2021-04-29  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltoutenc.dtx (subsection{Definitions for the TU encoding}):
	Declare Unicode composites for \'\ae, \'\AE and add æ/Æ equivalents for
	\ae/\AE composites


2021-04-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfsstrc.dtx (subsection{General font loading}):
	Unset the forced series boolean when reaching \selectfont (gh/444)

	* ltfssini.dtx (subsection{Miscellaneous}):
	Unconditionally switch to the requested	font face with \normalfont (gh/444)

	* ltfssbas.dtx (subsection{Macros for the user}):
	Unconditionally switch to the requested	font face with \usefont (gh/444)


2021-04-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltexpl.dtx (subsection{Loader}): Don't empty kernel hooks on rollback

	* ltcmd.dtx (subsection{Utilities}):
	Renamed \__cmd_cmd_if_xparse:NTF to \__kernel_cmd_if_xparse:NTF
	for cross-module usage

	* ltcmdhooks.dtx:  Module added to provide support for cmd hooks

	* lthooks.dtx: Support for cmd hooks added


2021-04-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttab.dtx (subsection{array and tabular environments}):
	Use \protected for \\ variant (gh/548)}

	* ltmath.dtx (subsection{Math Environments}):
	Use \protected for \\ variant (gh/548)}

	* ltpictur.dtx (section{Picture Mode}):
	Use \protected for \\ variant (gh/548)}


2021-04-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltfilehook.dtx:
	Ensure that ~ expands to the character ~ in file names.

2021-04-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltplain.dtx:
	Add support for \tracingstacklevels and \tracinglostchars=3.

2021-04-16  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* latexrelease.dtx, ltcmd.dtx, lthooks.dtx, ltpara.dtx,
	lttextcomp.dtx, ltvers.dtx:
	Change argument signature of \NewModuleRelease to be the same
		as \IncludeInRelease (date, name, message).

2021-04-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpara.dtx: Updated the integration of ltpara module;
	enabled rollback; some command name changes compared to the initial
	prototype.

2021-03-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltclass.dtx:
	Do not rollback expl3 file stack management (gh/504).

2021-03-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltplain.dtx (section{Plain \TeX}):
	Allocate \@inputcheck and \@unused early
	so that they are before expl3 allocates more streams.
	In the past this was done in ltfiles  (gh/538).

2021-03-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltvers.dtx:
	Add \NewModuleRelease and support mechanism to define a new module
		for proper behaviour when rolling backwards/forwards (gh/479).

	* latexrelease.dtx:
	Avoid errors when defining commands that already exist.

	* ltcmd.dtx:
	Use \NewModuleRelease to declare itself in latexrelease.sty.

	* lthooks.dtx:
	Use \NewModuleRelease to declare itself in latexrelease.sty.
	Take care when reloading not to mess with the default name stack.

	* ltfilehook.dtx:
	Take care when reloading not to mess with the default name stack.

	* ltfssaxes.dtx, ltfssini.dtx:
	Minor corrections to rollback and rollforward.

2021-03-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfiles.dtx (subsection{Safe Input Macros}):
	Allow for unbalanced conditionals inside arguments #2 and #3
	of \IfFileExists (gh/530)

2021-03-05  David Carlisle  <David.Carlisle@latex-project.org>

	* base/ltclass.dtx: Modify \ProcessOption* handling so key=value
	terms can be safely skipped (gh/513)

2021-03-03  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltclass.dtx:
	Fix overwrite check for files with UTF-8 (gh/415).

2021-02-25  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltfinal.dtx:
	Improve speed of compatibility code for preloading \pdfglyphtounicode
	into \everyjob

2021-02-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{Definitions for the TU encoding}):
	Add \textnonbreakinghyphen, \textfiguredash and \texthorizontalbar
	to OT1, T1 and TU encoding (gh/404)

	* doc-v3beta.sty: File added, currently for internal documentation
	only; to be replaced in a later release.

2021-02-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx: save raw package/class option lists to improve
	key/val usage in optional argument of \usepackage and
	\documentclass.

2021-02-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{Definitions for the TS1 encoding}):
	Special definition for \textasteriskcentered when missing in TS1 (gh/502)

	* ltoutenc.dtx (subsection{Definitions for the TU encoding}):
	Adjust values for \textasteriskcentered To match TS1 definition (gh/502)

2021-02-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpara.dtx: providing paragraph hooks,; full integration into
	latex.ltx will happen at a later point in time. For documentation
	see ltpara-doc.pdf.

2021-02-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfloat.dtx (subsection{Footnotes}):
	\footref added

2021-02-15  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfssdcl.dtx: two additional \expandafter to avoid infinite
	loop on not in math error. (gh/501)

2021-02-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx (subsubsection{Itemize}):
	Drop incorrect space in \labelitemiv (gh/496)
	Document use of \labelitemfont in ltnews33 (gh/497)

2021-02-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{Definitions for the TU encoding}):
	Add \textnonbreakinghyphen}, \textfiguredash and
	\texthorizontalbar (gh/404)

2021-02-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltboxes.dtx (section{\LaTeX\ Box commands}):
	Explicitly run \par at the end of footnote text in preparation
	for paragraph hooks

	* ltfloat.dtx (subsection{Footnotes}):
	Explicitly run \par at the end of footnote text in preparation
	for paragraph hooks

2021-02-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfilehook.dtx (subsection{Patching \LaTeX{}'s \InputIfFileExists command}):
	Undo the internal for robust \InputIfFileExists in rollback (gh/494)

2021-02-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx (subsection{Environments}):
	Undo the internals for \begin and \end as well when
	rolling back (gh/494)

2021-02-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltboxes.dtx (section{\LaTeX\ Box commands}):
	Always add the color groups (gh/488)

2021-02-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfloat.dtx (subsection{Floating Environments}):
	Explicitly end the \marginpar argument with \par to support
	tagging (gh/489)

2021-01-31  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfilehook.dtx: set \protect to \string to avoid bad
	expansion and possible non termination. github/481

2021-01-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx (subsection{The mapping table}):
	Support various Unicode characters with dot accents for
	Indic transliterations (gh/484)

2021-01-22  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltshipout.dtx:
	Define and call Lua callback pre_shipout_filter.

2021-01-21  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltfinal.dtx:
	For pdfTeX enable automatic generation of ToUnicode maps.
	For pdfTeX versions which do not support dumping these into the format,
	all \pdfglyphtounicode instructions will be dumped into \everyjob

2021-01-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx: Reordered execution of shipout hooks so that code
	in one can influence code in later ones in a more natural manner.

2020-01-16  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltexpl.dtx
	Adjust for full xparse integration

	* ltcmd.dtx
	New file to replace loading xparse

2021-01-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx: Make sure that the shipout/firstpage hook material
	is not stored inside \ShipoutBox, in case that gets reused, e.g. via
	\RawShipout but is only ever added to the very first page shipped out.

2021-01-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx:
	Added internal \@kernel@after@shipout@background hook.
	Added public shipout/after hook

	(subsection{Overloading the \shipout primitive}):
	Add \RawShipout for shipping out while bypassing most hooks.

	(subsection{Emulating atbegshi}): Added
	\AtBeginShipoutOriginalShipout to the emulation of atbegshi.

2021-01-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx (subsection{Package \pkg{everyshi} emulation}):
	The emulation is no longer needed so taken out (gh440)

2020-12-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssaxes.dtx (subsection{Changing to a new series}):
	Distangle series and shape update by delaying the font series
	and font shape merging (gh/444)

	Move the rollback info for \normalshape after its main definition
	otherwise it will not be undone	(gh/458)

2020-12-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfsstrc.dtx (subsection{General font loading}):
	Alter \selectfont to do the delayed merging of  font series
	and font shape (gh/444)

2020-12-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* letter.dtx (subsubsection{Page breaking control}):
	The \opening argument was splitting name and address using \\
	but did not allow to use \\[...] for this (gh/427)

2020-12-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltbibl.dtx (section{Bibliography Generation}):
	Delay any \nocite in the preamble instead of raising
	an error (gh/424)

2020-12-06  Johannes Braams  <Johannes.Braams@latex-project.org>

	* miscelaneous files: gh/428, gh/429 and gh/430 list a number of
	typing mistakes and missing documentation that have crept in over
	the years. The following files were affected and have been
	corrected:
	alltt.dtx, classes.dtx, doc.dtx, docstrip.dtx, fix-cm.dtx,
	fontdef.dtx, ifthen.dtx, inputenc.dtx, latex209.dtx,
	latexrelease.dtx, ltbibl.dtx, ltboxes.dtx, ltclass.dtx,
	ltcntrl.dtx, ltcounts.dtx, ltdefns.dtx, ltdirchk.dtx, ltexpl.dtx,
	ltfilehook.dtx, ltfiles.dtx, ltfinal.dtx, ltfloat.dtx,
	ltfntcmd.dtx, ltfssaxes.dtx, ltfssbas.dtx, ltfsscmp.dtx,
	ltfssdcl.dtx, ltfssini.dtx, ltfsstrc.dtx, lthooks.dtx,
	ltlength.dtx, ltlists.dtx, ltluatex.dtx, ltmath.dtx, ltmiscen.dtx,
	ltoutenc.dtx, ltoutput.dtx, ltpage.dtx, ltpageno.dtx,
	ltpictur.dtx, ltplain.dtx, ltsect.dtx, ltshipout.dtx,
	lttextcomp.dtx, ltvers.dtx, ltxdoc.dtx, ltxref.dtx, nfssfont.dtx,
	proc.dtx, slides.dtx, utf8ienc.dtx.

2020-12-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfilehook.dtx (subsection{Declaring a file substitution}):
	Don't drop file substitution declarations when rolling back
	just render them no-ops

2020-12-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	Add a hook to \selectfont to be executed after the switch to the
	new font. This implements the functionality formerly in the everysel
	package.

2020-12-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfinal.dtx (subsection{File substitutions}):
	Emulate everysel package

2020-12-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (subsection{Miscellaneous}):
	Setting up \f@series and \f@shape default values directly (gh/444)

2020-11-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx:
	Check for both kernel and user hooks and execute if either is non-empty (gh/431)}

2020-10-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx (subsection{Environments}):
	\enddocument should always start out in vmode (gh/385)

#########################
# 2020-10-01 PL 4 Release
#########################

2021-01-07  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltfilehook.dtx:
	Undefine \@expl@@@filehook@file@pop@@ to avoid error when rolling back (gh/463).

	* lthooks.dtx:
	Modified internal copies of l3tl commands to avoid errors with l3debug (gh/463).

2020-12-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx:
	Preserve trailing slash in file hook name if the file name is empty (gh/464).

	* ltfilehook.dtx:
	Restore \CurrentFile(Path)(Used) after the file is input (gh/464).

2020-12-03  Joseph Wright  <Joseph.Wright@latex-project.org>

	* usrguide3.tex
	New file to cover creation of document commands


#########################
# 2020-10-01 PL 3 Release
#########################

2020-12-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* lthooks.dtx:
	Moved 'top-level' code label at the very end of hooks.
	- In reverse hooks, 'top-level' goes at the beginning.
	- 'top-level' cannot be used as a label outside of the top-level.
	- The label for the 'top-level' cannot be changed.
	- Simplified internal managing of default label.
	Renamed \DeclareDefaultHookLabel to \SetDefaultHookLabel (the old name
		will be kept until the next release).
	Provide \PushDefaultHookLabel and \PopDefaultHookLabel.
	Fixed a small bug in \ShowHook and \LogHook.

	* ltclass.dtx:
	Remove \@expl@@@hook@curr@name@push@@n from \@pushfilename to
		follow changes to lthooks.dtx.

2020-12-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx (subsection{Macros for the user}):
	Drop ``m'' if the series value is a member of a fixed list
	and issue warning if doing it (gh/453)

2020-11-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latexrelease.ins:
	reorder module loading to match the order used
	in the format to correctly resolve dependencies (gh/434)

	* ltexpl.dtx (subsection{Loader}):
	Load xparse in latexrelease if necessary and add missing
	IncludeInRelease guards (gh/434)

	* ltdefns.dtx, ltfilehook.dtx, lthooks.dtx, ltxshipout.dtx:
	Add rollback support for forward case (gh/434)

2020-11-20  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltclass.dtx:
	Remove file path from \@currname and use only \@currname to identify
		a package internally (gh/422).
	Add \@currpath and (temporarily) \@kernel@currpathstack.
	In \ProvidesPackage check the argument with \strcmp instead of \ifx.
	In case of substitution, copy the option list to the requested package.

	* ltfilehook.dtx:
	Keep path in the replacement file (#2) in \declare@file@substitution.
	In case of a replacement, pass the actually loaded file to \@addtofilelist.
	Explicitly clear replacement flag after using it.

2020-11-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fntguide.tex:
	Updated documentation of virtual shapes \updefault and \ulcdefault

2020-11-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmath.dtx:
	\negmedspace and \negthickspace have been only in amsmath,
	so we need to undefine for rollback because amsmath used
	\newcommand back then (gh/423)

2020-11-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (section{Package/class rollback mechanism}):
	Change help text for suspicous rollback, because the package may have
		existed then --- there is just no rollback data (gh/423)

#########################
# 2020-10-01 PL 2 Release
#########################

2020-10-23  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltmiscen.dtx:
	Make 'enddocument/afteraux' a one-time hook (gh/418).

2020-10-18  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltclass.dtx:
	Fix passing options to class/package in \input@path (gh/414).

2020-10-11  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltclass.dtx:
	Reset \@currpkg@reqd after loading a package file (gh/408).

#########################
# 2020-10-01 PL 1 Release
#########################

2020-10-08  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltclass.dtx:
	Fix loading expl3-based package after rollback to 2020-02-02 (gh/406).

2020-10-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx: removed redundant code and fixed a misspelling
	in a csname - no functional change (gh/405)

2020-10-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx (section{DocInclude}):
	Quotes around the aux file name removed,
	they are not needed and upset BibTeX (gh/400)

2020-10-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfiles.dtx (section{File Handling}):
	Quotes around the aux file name removed,
	they are not needed and upset BibTeX (gh/400)

2020-10-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx (subsection{Internal commands needed elsewhere}):
	Definition \AddToHookNext was supposed to be for \AddToHook (gh/401)

#########################
# 2020-10-01 Release
#########################

2020-10-01  Joseph Wright  <Joseph.Wright@latex-project.org>

	* ltclass.dtx:
	Allow for package substitution when saving version data

2020-09-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (section{Custom series settings for main document families}):
	\bfdefault@previous was called \bfseries@previous by mistake
	\mddefault@previous was called \mdseries@previous by mistake
	(gh/395)

2020-09-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfinal.dtx (subsection{Some last minute initializations \ldots}):
	Load a "first aid" containing temporary fixes file for external
	packages that await updates.

2020-09-25  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltluatex.dtx:
	Fix return value of list callbacks.

2020-09-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltshipout.dtx (subsection{Emulating \pkg{atbegshi}}):
	Avoid unnecessary overfull box warnings (gh/387)

2020-09-06  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltclass.dtx:
	Correct option passing when a file is replaced

2020-08-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx:
	Corrected release guard for \IfFontSeriesContextTF

2020-08-23 Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* ltxref.dtx:
	added default definition for @currentcounter

2020-08-21  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltdefns.dtx (subsection{Robust commands and protect}):
	Modified \MakeRobust to define the same csnames as \DeclareRobustCommand

2020-08-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx:
	New code for hook management.
	Distribute code to other modules as needed.

	* ltfilehook.dtx:
	New code for file loading.
	Added hooks to file loading commands.
	Support file substitution.
	Distribute code to other modules as needed.

	* ltshipout.dtx:
	New code for shipout handling and  hook management.
	Added hooks to \shipout.
	Distribute code to other modules as needed.

	* ltfssaxes.dtx:
	* ltdefns.dtx:
	* ltclass.dtx:
	* ltoutput.dtx:
	Integration of new hook management code.

	* ltexpl.dtx:
	Integration of new hook management code.
	Dropped unused command.

	* ltfiles.dtx:
	Added hooks in file commands.
	Integration of new hook management code.

	* ltmiscen.dtx:
	Added hooks to environments.
	Integration of new hook management code.

	* ltfssini.dtx:
	Added hooks in NFSS commands.
	Integration of new hook management code.

	* ltfinal.dtx:
	Integration of new hook management code.
	Move rollback code to right places.

	* ltxdoc.dtx:
	Use new file loading.

	* source2edoc.cls:
	Temp class to typeset source2e. Needs fixing or will vanish again.

	* source2e.tex:
	Add the new modules to the documentation.

2020-08-20  David Carlisle  <David.Carlisle@latex-project.org>

	* ltplain.dtx: define legacy command \alloc@ in terms of
	\e@alloc to avoid errors once e-tex registers are needed.

2020-08-19  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltdefns.dtx (subsection{Acting on robust commands}):
	Added \ShowCommand to the kernel (gh/373)

2020-07-28 Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* ltsect.dtx:
	added fourth argument to \contentsline in \addcontentsline

2020-08-10  Marcel Krüger     <Marcel.Krueger@latex-project.org>

	* ltoutenc.dtx, ltluatex.dtx:
	Moved \now@and@everyjob to ltluatex and load luatexbase during format building.

	* ltluatex.dtx:
	new_graf callback type changed to exclusive

2020-08-15  David Carlisle  <David.Carlisle@latex-project.org>

	* ltpictur.dtx, ltboxes.dtx:
	Allow eTeX length expressions in picture coordinates.

2020-08-08  Johannes Braams  <Johannes.Braams@latex-project.org>

	* ltclass.dtx:
	Small optimisation by defining \q@curr@file directly (gh/220)

2020-08-03  Joseph Wright <joseph.wright@latex-project.org>

	* ltluatex.dtx:
	Correct resetting of allocation counters. (gh/363)

2020-08-01  Marcel Krüger     <Marcel.Krueger@latex-project.org>

	* fontdef.dtx, inputenc.dtx, ltfinal.dtx, ltluatex.dtx:
	More consistently use \Umathcode to check for Unicode-aware engines. (gh/279)

	* ltluatex.dtx:
	new_graf callback type changed to exclusive

2020-07-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpage.dtx (section| command.):
	\markboth and \markright should not be \long (gh/354)}

	* ltsect.dtx (subsection{The Title}):
	\author and \date should not be \long (gh/354)}
	\title and \thanks kept as \long.

	* ltoutenc.dtx (subsubsection{Declaration commands}):
	\UseTextAccent and \UseTextSymbol should not be \long (gh/354)}

	* ltmath.dtx (subsubsection{The UNSORTED Rest}):
	\cases, \matrix and \pmatrix should not be \long (gh/354)}

	* ltpictur.dtx (section{Picture Mode}):
	\linethickness should not be \long (gh/354)}

2020-07-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx: \begin should not be long for better
	error recovery (gh/354)

2020-07-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lthooks.dtx, ltshipout.dtx, ltfilehook.dtx:
	Integrate hook management into the kernel

2020-07-08  Joseph Wright  <joseph.wright@latex-project.org>

	* ltexpl.dtx:
	Add hook \@expl@finalise@setup@@

	* ltfinal.dtx:
	Execute hook \@expl@finalise@setup@@

2020-07-07  Johannes Braams  <Johannes.Braams@latex-project.org>

	* docstrip.dtx: Merge the @@-module functionality of
	l3docstrip.dtx into docstrip.dtx (gh/337)

2020-07-04  Marcel Krüger  <Marcel.Krueger@latex-project.org>

	* ltoutenc.dtx:
	Suppress tlig ligatures in LuaTeX without font reloading (gh/165)

2020-06-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Macros surrounding the `definition parts'}):
	Void \@labels for vertical typesetting (gh/344)

2020-06-05  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltdefns.dtx (subsection{Loading further extensions}):
	Moved loading of ltexpl.ltx earlier (from ltfinal.dtx) to ltdefns to
	allow usage of expl3 extensions while loading the kernel.  Further
	changes to support this one listed below:

	* ltfinal.dtx:
	Removed loading of ltexpl.ltx

	* ltclass.dtx:
	Added \@expl@push@filename@@ and \@expl@push@filename@aux@@ to
	\@pushfilename and \@expl@pop@filename@@ to \@popfilename.

	* ltfiles.dtx (section{File Handling}):
	Added \@expl@sys@load@backend@@ in \document.

	* ltexpl.dtx:
	- Added blank definitions for \@expl@sys@load@backend@@,
	  \@expl@push@filename@@, \@expl@push@filename@aux@@, and
	  \@expl@pop@filename@@.
	- Added temporary definitions for some kernel commands.

2020-06-04  Marcel Krüger    <Marcel.Krueger@latex-project.org>

	* format.ins: Load ltluatex.dtx before ltdefns.dtx

2020-05-31  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx (subsection{Center, Flushright, Flushleft}):
	% Added \finalhyphendemerits=0 to avoid extra line in
	\centering, \raggedleft or \raggedright (gh/247)

2020-05-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Added \IfFontSeriesContextTF so that it is possible to reliably
	detect the current font series context (gh/335)

2020-05-17  Johannes Braams  <Johannes.Braams@latex-project.org>

	* ltxdoc.dtx: Support spaces within filenames (gh/218)

2020-05-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltdefns.dtx (subsection{Initex initialisations}):
	Allow \par in the argument of \typeout and turn it into an empty line
	if expanded, if not it remains \par (gh/335)

2020-05-11  Marcel Krüger    <Marcel.Krueger@latex-project.org>

	* ltdefns.dtx:
	Use primitive \- with LuaTeX

2020-05-09  Phelype Oleinik  <phelype.oleinik@latex-project.org>

	* ltdefns.dtx (subsection{Robust commands and protect}):
	Added \DeclareCommandCopy et al. to the kernel (gh/239)

2020-05-07  Ulrike Fischer <Ulrike.Fischer@latex-project.org>

	* ltxref.dtx:
	added \@currentcounter to \refstepcounter (gh/300)

2020-05-06  Marcel Krüger    <Marcel.Krueger@latex-project.org>

	* ltspace.dtx:
	Make Unicode softhyphen U+00AD active and defined as \-.

2020-05-02  Johannes Braams  <Johannes.Braams@latex-project.org>

	* ltexpl.dtx: Created aliases for two expl3 macros in order to use
	them to remove leading and trailing spaces from filenames (gh/217)

2020-05-02  Johannes Braams  <Johannes.Braams@latex-project.org>

	* ltfiles.dtx: Modified \include and \includeony to support
	filenames with spaces in them (gh/217)

2020-04-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttextcomp.dtx (subsection{Sub-encoding 2}):
	Make all captial accents text commands in Unicode engines for
	hyperref (gh/332)

2020-04-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx (subsection{Verbatim}):
	Drop spaces before \verb delimiter (gh/327)

2020-04-22  Ulrike Fischer  <Ulrike.Fischer@latex-project.org>

	* ltoutenc.dtx (tuenc.def):
	corrected unicode value of \=y from "0232 to "0233

2020-04-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltspace.dtx (subsection{The code}):
	Support calc syntax for \newline (gh/152)
	Support calc syntax for \addvspace (gh/152)

	* lttab.dtx (subsection{tabbing}):
	Support calc syntax in tabbing (gh/152)

	* ltpictur.dtx (section{Picture Mode}):
	Support calc syntax in \shortstack (gh/152)

	* ltmiscen.dtx (subsection{Center, Flushright, Flushleft}):
	Support calc syntax for \\  (gh/152)

	* ltmath.dtx (subsection{Math Environments}):
	Support calc syntax for \\  (gh/152)

2020-04-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltspace.dtx (subsection{Horizontal space (and breaks)}):
	Support calc syntax with \hspace (gh/152)
	(subsection{Vertical spacing}):
	Support calc syntax with \vspace (gh/152)

2020-04-13  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (subsection{Miscellaneous}):
	Handling \seriesdefault changes in a better way (gh/315).

2020-04-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfloat.dtx (subsection{Footnotes}):
	Set non-zero baselineskip inside \textsuperscript and \textsubscript
	so that link boxes drawn by hyperref have a sensible height (gh/249)

2020-04-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (section{Implementation}):
	Add \IfFormatAtLeastTF to test if the current format is equal or later than
	the given date (gh/186)
	Also add \IfClassAtLeastTF and \IfPackageAtLeastTF as a suggested
	alternative to \@ifpackagelater and \@ifclasslater (which have a wrong
	name, because it is really "later or equal") (gh/186)
	Use different method to ignore unprocessed options (gh/22)


2020-04-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Added hooks \@expandfontdefaultshook, \@setbfseriesdefaultshook and
	\@setmdseriesdefaultshook to better support Japanese etc (gh/306)

2020-03-19  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fontdef.dtx (subsection{Defaults}):
	Support legacy use of \bfdefault and \mddefault (gh/306)

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Support legacy use of \bfdefault and \mddefault (gh/306)

	* ltfssdcl.dtx (section{Interface Commands}):
	Avoid generating an Ord math atom when loading a math alphabet using
	the legacy interface ${\cal ...}$ (gnats/3357)

2020-03-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltspace.dtx: Moved \thinspace, \negthinspace and \, to
	ltmath.dtx (gh/303)

	* ltmath.dtx (subsubsection{The UNSORTED Rest}):
	Add \texttt{amsmath} math/text spacing commands to the kernel (gh/303)

2020-03-08  Johannes Braams  <Johannes.Braams@latex-project.org>

	* letter.dtx: merged changes to classes.dtx into letter.dtx

2020-03-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltboxes.dtx (subsection{Some low-level constructs}):
	Macro \clap added (from mathtools)

2020-03-05  Joseph Wright <joseph.wright@morningstar2.co.uk>

	* ltexpl.dtx: Pre-load xparse where expl3 does not define \NewDocumentCommand

2020-03-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Ensure that \DeclareFontSeriesDefault is undefined
	before using \newcommand in rollback (gh/295)

	* ltfssaxes.dtx (section{Changing the shape}):
	Ensure that \ulcdefault, \swdefault and \sscdefault are undefined
	before using \newcommand in rollback (gh/295)

2020-02-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Drop any surplus ``m'' from \bfdef@ult, \mddef@ult and other
	places (gh/291)

2020-02-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmath.dtx (subsubsection{Flush left equations}):
	Make \mathindent a skip register to match
	amsmath (gh/252)
	Separate formula and eqn number by a compressible space when
	fleqn option is in force.

2020-02-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpictur.dtx (section{Picture Mode}):
	Suppress spaces following \linethickness declaration (gh/274)

2020-02-07  Will Robertson  <will.robertson@latex-project.org>

	* ltfssini.dtx:
	XeTeX-specific definition for \symbol to avoid bug in maths mode (gh/124)


#########################
# 2020-02-02 PL 5 Release
#########################

2020-02-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssaxes.dtx (subsection{Changing to a new series}):
	Drop ``m'' in a fixed set of series values,
	otherwise assume that the series
	value is a long name such as "semibold" and leave it alone (gh/293)}

	* ltfssbas.dtx (section{Macros for setting up the tables}):
	Drop one ``m'' in the series values in \DeclareFontShape if it is
	on of a fixed sets of values and if so issue warning (gh/293)

	* ltdefns.dtx (subsection{Command definitions}):
	Added \@gobblethree

#########################
# 2020-02-02 PL 4 Release
#########################

2020-02-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx (section{Macros for setting up the tables}):
	Drop surplus ``m'' in series when defining fontshape (gh/289)

2020-02-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (subsection{Providing shipment}):
	Fix missing quotes around file name when opening for output (gh/284)

#########################
# 2020-02-02 PL 3 Release
#########################

2020-02-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssaxes.dtx:
	When \fontseriesforce is used do not auto-update the series if the
	family changes (gh/277)

2020-02-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx:
	Added some debugging code, but not extracted at the moment.
	Make the \ifx selection  in \bfseries outside
	of \fontseries argument so that it is not done several times.
	When \fontseriesforce is used do not auto-update the series if the
	family changes (gh/277)
	Recognize current family if it is not a ``meta'' family and
	auto-update series if \mddefault or \bfdefault match (gh/277)

#########################
# 2020-02-02 PL 2 Release
#########################

2020-02-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (subsection{Miscellaneous}):
	Provide default value for \@fontenc@load@list (gh/273)

	* fontdef.dtx (subsection{Encodings}):
	Provide start value for \@fontenc@load@list (gh/273)

	* ltoutenc.dtx (subsection{The fontenc package}):
	Update \@fontenc@load@list with option list (gh/273)


2020-02-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx:
	Renamed \@reservedb to \reserved@b
	Renamed \@reservedc to \reserved@c
	Add \@defaultfamilyhook to \normalfont (gh/269)

	* lttextcomp.dtx (subsection{Sub-encoding 2):
	Use \@tabacckludge for tabbing where necessary if defining \capitalacute
	and friends for Unicode engines (gh/271)

2020-03-07  Marcel Krüger    <Marcel.Krueger@latex-project.org>

	* ltluatex.dtx: Fix remove_from_callback for mlist_to_hlist
	and other engine callbacks hidden by user-defined ones

#########################
# 2020-02-02 PL 1 Release
#########################

2020-02-05  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttextcomp.dtx (section{The \texttt{textcomp} package}):
	Warn if new package runs with old format (gh/260)
	Changed the package default to info (gh/262)

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Corrected misspelled csname (gh/264)
	Renamed \@reserveda to \reserved@a
	Clarrified error text message

	* ltfssaxes.dtx: Renamed \@reserveda and\@reservedb to \reserved@a
	and \reserved@b

	* ltclass.dtx: Renamed \@reserveda to \reserved@a

#########################
# 2020-02-02 Release
#########################

2020-01-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (subsection{Providing shipment}):
	Allow spaces in option string and display
	only unknown options not the whole option list (gh/256)

2020-01-27  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx: Fix text of error message in filecontents

2020-01-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{The fontenc package}):
	Load encoding files only once (except when doing rollback)
	(part of gh/255)

2020-01-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fontdef.dtx (subsection{Encodings}):
	Load t1enc.def last (part of gh/255)

2020-01-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttextcomp.dtx: The overall default is \textcompsubstdefault
	not \substdefault

2020-01-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssdcl.dtx (section{Interface Commands}):
	\DeclareMathDelimiter needs to use \protected for robustness (gh/251)

	* ltoutenc.dtx (subsubsection{Math material}):
	\{ and \} need to use \protected for robustness (gh/251)

2020-01-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Cleaning up the code for \rmfamily, \sffamily, \ttfamily and adding
	hooks to support Japanese implementations.

2020-01-05  David Carlisle  <David.Carlisle@latex-project.org>

	* base/ltclass.dtx: Support more write streams for
	filecontents in LuaTeX (gh/238)


2020-01-05 Marcel Fabian Krüger <Marcel@latex-project.org>
	* base/ltluatex.dtx: New reverselist callback type.


2019-12-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttextcomp.dtx: Implement text companion symbols in the kernel
	(formerly textcomp package).

2019-12-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fontdef.dtx:
	Make remaing alias definition robust independently (gh/184)

2019-12-20  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx (subsubsection{Itemize}):
	Normalize the itemlabels by providing \itemlabelfont
	(defaulting to \normalfont)

2019-12-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: improve \add@accent

	* ltoutenc.dtx (subsubsection{Default encodings}):
	Don't fake \textcompwordmark; take default from T1 instead

2019-12-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fontdef.dtx (subsection{Defaults}): Set
	\shapedefault explicitly to "n" not \updefault
	\bfdefault set to "b" not "bx" (but bx for CM fonts)
	\updefault set to "up" not "n".
	Part of extending the series and shape handling, see ltnews31.

2019-12-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx (section{Supporting nested emphasis}):
	Support nested \emph sequences a generalization \eminnershape.
	See ltnews31 for details.

	* ltfssini.dtx (section{Custom series settings for main document families}):
	Provide custom series settings a la mweights package.
	See ltnews31 for details.

2019-12-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssaxes.dtx: Code for additional series and shape axes added
	See ltnews31 for details.

2019-12-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Macros surrounding the `definition parts'}):
	Use \shapedefault not \updefault for extended NFSS

2019-12-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cmfonts.fdd:  Provide substitutions for cmtt/bx/sl

2019-12-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cmfonts.fdd: Silent warning for cmss/it substitution (gh/172)}

2019-11-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx: Be careful when displaying the package or
	class info text as it may contain UTF-8 chars (gh/52)}

2019-11-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{The fontenc package}):
	Avoid spurious warning if fontenc selects LY1 as default
	encoding (gh/199)

2019-11-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx (subsection{The mapping table}):
	Fixed setting for FB05 = long-s t lig (github/154)
	In 8-bit encodings all we can do is to unravel to "s t" which is
	not 100% but better than just a strange error.

2019-11-14 Joseph Wright <joseph.wright@morningstar2.co.uk>

	* ltfinal.dtx: Add loader for ltexpl
	* ltexpl.dtx: New file for pre-loading expl3

2019-11-11  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfiles.dtx: use \quote@name again for \@filef@und in
	\@iffileonpath

2019-11-02  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx: Make \\ and \@centercr robust in all situations (gh/203)
	* ltspace.dtx:  Make \\ and \@normalcr robust in all situations (gh/203)

2019-10-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (section{Implementation}): Initialize
	\...-h@@k only when loading the package or class (gh/198)

2019-10-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfsstrc.dtx (subsection{Sizefunctions}):
	Added 'alias' size function (mainly for autoinst fonts)

#########################
# 2019-10-01 PL 3 Release
#########################

2019-11-10  David Carlisle  <David.Carlisle@latex-project.org>

	* ltmiscen.dtx: fix special comment catcodes (gh/202)

2019-11-09  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfiles.dtx: More filename normalisation: expand before
	removing quotes.

#########################
# 2019-10-01 PL 3 Release
#########################

2019-11-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: gh/205 wasn't correctly fixed in PL2
	Put the definition into the right command :-( (gh/205)

2019-11-10  David Carlisle  <David.Carlisle@latex-project.org>

	* ltmiscen.dtx: fix special comment catcodes (gh/202)

2019-11-09  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfiles.dtx: More filename normalisation: expand before
	removing quotes.

#########################
# 2019-10-01 PL 2 Release
#########################

2019-11-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: set up \verbvisiblespace (gh/205)

2019-11-03  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfiles.dtx: More filename normalisation: avoid adding
	quotes until needed. (gh/204)

2019-10-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx (subsection{Environments}):
	Allow unbalanced conditionals in toc entries (gh/202)

2019-10-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx (subsection{Fonts}):
	Don't use \MakeRobust if in rollback prior to 2015 (gh/201)

2019-10-22  David Carlisle  <David.Carlisle@latex-project.org>

	* ltluatex.dtx: page_objnum_provider and process_pdf_image_content classified data

#########################
# 2019-10-01 PL 1 Release
#########################

2019-10-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* nfssfont.dtx: added a missing \else branch so that \action is always carried out

2019-10-11  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfiles.dtx: Remove One Brace group before using \string\csname in \set@curr@file.

2019-10-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttab.dtx (subsection{array and tabular environments}):
	\extracolsep needs to expand during preamble generation (gh/192)

#########################
# 2019-10-01 Release
#########################

2019-09-21  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fontdef.dtx:
	Make alias definition robust independently (gh/184)

2019-09-16  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx (section{Old Comments}):
	Say that oldcomments may not be accurate any more (gh/180)

2019-09-14  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfinal.dtx (subsection{Lccodes and uccodes}):
	process UTF-8 chars prior to case changing (github/177)

2019-09-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (subsection{Providing shipment}):
	Support optional argument for filecontents to allow overwrite
	and nosearch

2019-08-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lterror.dtx (subsection{Tracing}):
	Dummy defs for \conditionally@traceon and \conditionally@traceoff added

2019-08-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx (subsection{Environments}):
	Make \begin/\end robust

2019-08-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttab.dtx:	Make various commands robust

	* ltspace.dtx:	Make various commands robust

	* ltsect.dtx: 	Make various commands robust

	* ltpictur.dtx: Make various commands robust

	* ltpage.dtx: 	Make various commands robust

	* ltoutput.dtx:	Make \AtBeginDvi robust

	* ltmiscen.dtx: Make various commands robust

	* ltmath.dtx:	Make various commands robust

	* ltlogos.dtx:  Make \TeX logo robust

	* ltidxglo.dtx: Make \index and \glossary robust

	* ltfssini.dtx: Various commands made robust

	* ltfssdcl.dtx: Make math accents and delimiters robust

	* ltfssbas.dtx: Various commands made robust

	* ltfiles.dtx:  Make \IfFileExists and \InputIf FileExists robust

	* ltdefns.dtx:	Various commands made robust
	Make assignments by \MakeRobust global as we need to apply them
	in a group once in a while.

	* ltclass.dtx:	Various commands made robust

	* ltboxes.dtx:	Various commands made robust

	* classes.dtx:	Various commands made robust

	* fontdef.dtx:	Various commands made robust

2019-08-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxref.dtx (subsection{Cross Referencing}):
	Allow \p@... commands in \refstepcounter definition to have an
	argument (receiving the \the...). This was previously only the
	case when varioref was loaded.

2019-07-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx (subsection{The mapping table}):
	Accept typical f-ligatures and st in utf8 encoding (github/154)

2019-07-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx (subsection{Housekeeping}):
	Temp rollback fix for e-pTeX as that engines doesn't yet know
	\ifincsname (so now features are unavailable there)

	* ltfssbas.dtx (subsection{Macros for loading fonts}):
	Don't set any \f@... macros in \DeclareErrorFont as this side
	effect is wrong! (pr/4399)

	* ltfssini.dtx (subsection{Miscellaneous}):
	Explicitly set some defaults for NFSS
	(because of change to \DeclareErrorFont)

	* slifonts.fdd: Explicitly set some defaults for NFSS
	(because of change to \DeclareErrorFont)

2019-07-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfiles.dtx (section{File Handling}):
	Support UTF-8 in \includeonly
	(subsection{Safe Input Macros}):
	Support UTF-8 and spaces in \IfFileExists and \InputIfFileExists

	* ltclass.dtx (subsection{Providing shipment}):
	Support UTF-8 and spaces in filecontents environment file name.

2019-04-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx: adjustment for extended UTF-8 support in pdftex,
	supporting UTF-8 in labels and refs and in filenames and typeouts.

	* ltfinal.dtx: adjustment for extened UTF-8 support in pdftex

2019-03-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* nfssfont.dtx (section{The code}): Added a default action
	"\table\bye" which is the most common case, so one can now simply
	hit enter and doesn't need to type something in.

2019-02-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx (subsection{The mapping table}):
	Added 27E8 and 27E9 (github/110)

2019-02-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx (subsection{Macros for loading fonts}):
	Changed wording of warning (github/107)

2019-02-07  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfiles.dtx (subsection{Safe Input Macros}):
	Expand \@filef@und before executing second argument (github/109)

2019-02-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx (subsection{The mapping table}):
	Fixed  U+012F which should have an i not a dotless i (github/122)

2018-12-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttab.dtx (subsection{array and tabular environments}):
	Add extra \hskip1sp to guard against an \unskip at the start of
	a c-column cell (gh/102)

#########################
# 2018-12-01 Release
#########################

2018-11-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsection{Floats}): Unbox \@outputbox to preserve boxing
	level (github/94)

2018-11-18 Enrico Gregorio <Enrico.Gregorio@latex-project.org>

	* ltoutenc.dtx
	Added \Hwithstroke and \hwithstroke

2018-11-09  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltbibl.dtx (section{Bibliography Generation}):
	Zap spaces in the argument of \bibliography
	as BibTeX doesn't support them (github/88)

2018-10-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx (subsection{Verbatim}):
	Provide visible space in \verb* also for XeTeX and LuaTeX (github/69)
	Provide \verbvisiblespace such that it is usable in normal text (github/70)

2018-10-10  David Carlisle  <David.Carlisle@latex-project.org>

	* ltspace.dtx: prevent space hacks adding breakpoints (github/81)

2018-10-05  David Carlisle  <David.Carlisle@latex-project.org>

	* utf8ienc.dtx: Use hex in invalid byte error (suggested in  PR 82 from mirabilos)

2018-09-30  David Carlisle  <David.Carlisle@latex-project.org>

	* utf8ienc.dtx: Fix display of codepoints in error messages (PR 63 from mirabilos)

2018-09-28  David Carlisle  <David.Carlisle@latex-project.org>

	* utf8ienc.dtx: Fix to handling of 4-octet UTF-8. Mostly from github PR 60

2018-09-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx (subsection{Environments}):
	* ltsect.dtx (section| or |\caption|):
	Sometimes mask the endline char when writing to files (github/73)

2018-09-26  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltdefns.dtx (subsection{Command definitions}):
	In the error messages always explicitly generate a space
	after the csname and not rely on \noexpand to save tokens (github/41)

2018-09-25  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (section*{Index}):
	Guard against following \unskip (github/23) also fixes (github/75)

2018-09-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltspace.dtx (subsection{Horizontal space (and breaks)}):
	Start LR-mode for \thinspace and friends if necessary (github/49)

	* ltmath.dtx (subsubsection{The UNSORTED Rest}):
	Start LR-mode for \smash \phantom and variants if necessary (github/49)

	* exscale.dtx (section{Implementation}):
	* fontdef.dtx (subsubsection{Biggggg}):
	Start LR-mode for \big and friends if necessary (github/49)

2018-09-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx
	Prevent protrusion in TOC lines (https://tex.stackexchange.com/q/172785/10109)

2018-09-03  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltsect.dtx (section| or |\caption|):
	Prevent protrusion in TOC lines (https://tex.stackexchange.com/q/172785/10109)

2018-08-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfinal.dtx (subsection{Hyphenation}): Added
	\document@default@language to latexrelease mechanism (github/68)

2018-08-11  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx Use \guillemetleft and \guillemetright
	instead of old Adobe names in all encoding files (github/65)

	* ltoutenc.dtx Provide \guillemetleft and \guillemetright (github/65)

	* latex209.dtx Allow \guillemetleft and \guillemetright to be
	(re)defined. (github/65)

2018-07-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx: added missing declarations for \j (0237), \SS (1E9E),
	\k{} (02DB) and \.{} {02D9)

2018-05-29  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx: use \csname test rather than \@ifundefined to get \relax side effect.

#########################
# 2018-04-01 PL 5 Release
#########################

2018-05-11  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfinal.dtx: Make \UTFviii@undefined@err and \UTFviii@invalid@err
	also safe for initial file name for invalid UTF-8 and non-UTF-8 filesystems.
	issue #48

2018-05-08  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx:
	Update to suspicious rollback code for issue #43

	Make the suspicious rollback message a warning not error.

	Make the current and latest options to latexrelease set the
	default rollback request to 0 so package rollback is disabled.

#########################
# 2018-04-01 PL 4 Release
#########################

2018-05-03  David Carlisle  <David.Carlisle@latex-project.org>

	* docstrip.dtx: Reset catcodes for non ASCII .ins files

#########################
# 2018-04-01 PL 3 Release
#########################

2018-04-22  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltcounts.dtx: added missing '.' in default for \the<counter>
	when using \counterwithin (issue/38)

2018-04-10  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx (subsection{Batchfile commands}): Read 8bit input
	raw to leave high bits in the code to unchanged without utf8
	handling (issue 34)
	Without this change a dtx file with 8bit chars in the code need to
	have \UseRawInputEncoding in the .ins file to work.

#########################
# 2018-04-01 PL 2 Release
#########################

2018-04-08  David Carlisle  <David.Carlisle@latex-project.org>

	* ltclass.dtx: Guard against spaces in \providesPackage (for issue 33)
	* ltfinal.dtx: adjust UTF-8 handling in \everyjob (for issue 32)

#########################
# 2018-04-01 PL 1 Release
#########################

2018-04-07  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfinal.dtx: Reset \inputencodingname in \UseRawInputEncoding


#########################
# 2018-04-01 Release
#########################

2018-04-06  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfinal.dtx (subsection{Input encoding}):
	* inputenc.dtx:
	Handle special case of utf8x incompatibility

2018-04-05  David Carlisle  <David.Carlisle@latex-project.org>

	* utf8ienc.dtx: add BOM default definition

2018-03-30  David Carlisle  <David.Carlisle@latex-project.org>

	* ltfinal.dtx: add \UseRawInputEncoding and further
	adjustments to the input encoding setup.


2018-03-27  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (subsection{Providing shipment}): ensure that
	chars in the range of 128-255 are not active during filecontents
	writing.

2018-03-24  David Carlisle  <latex-bugs@latex-project.org>

	* utf8ienc.dtx: Add \UTFviii@invalid

	* inputenc.dtx: Make \inputencoding{..} do nothing if it
	specified the current encoding.

	* ltfinal.dtx: Default to UTF-8 input encoding

2018-03-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx: Package/class rollback mechanism: use full file
	name to specify old release

2018-03-15    <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx: Set up \protect in index entries

2018-03-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltcounts.dtx: added \@removefromreset, \counterwithin and
	\counterwithout

2018-02-18  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx: add rollback concept for packages and classes

2018-02-01  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>
	* doc.dtx: Only use\DocStyleParms if defined
	(previously the test defined it but this will change in the kernel)

2018-01-08  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: Modify \IncludeInRelease code to check matching \EndIncluderelease
	* ldefns.dtx ltfiles.dtx ltoutput.dtx ltclass.dtx  fixes to \EndIncludeInRelease
	* tlb-latexrelease.lvt check \IncludeInRelease markup

2018-01-06  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: possible 2018-02-01 release

	* ltdefns.dtx: new \@ifundefined definitions to avoid setting
	csname to \relax

2017-12-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	 * latexrelease.dtx: Add \latexreleaseversion info
	to \ProvidesPackage output so that different versions announce
	 themselves properly

2017-04-20  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: possible PL1

	* ltluatex.dtx: glyph_stream_provider is back in luatex 1.04

#########################
# 2017-04-15 Release
#########################


2017-04-11  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutput.dtx: add a test on the value of \prevdepth
	so that the depth of the last line is preserved in forced page breaks.

2017-04-10  David Carlisle  <latex-bugs@latex-project.org>

	* ltplain.dtx: fix code to skip write18 for luatex.

2017-04-05  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx: If a composite is declared with an undeclared
	comand, declare it first as an encoding specific command that
	generates an error.  This allows the declared composite to
	work as expected.

2017-03-29  David Carlisle  <latex-bugs@latex-project.org>

	* ltboxes.dtx: reset \lineskiplimit to \normallineskiplimit
	in \@arrayparboxrestore. https://tex.stackexchange.com/a/359934

2017-03-28  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx: luatex 1.04 primitives

2017-03-27  David Carlisle  <latex-bugs@latex-project.org>

	* ltdefns.dtx: move the definition of \@dischyph to be after that
	of \- again.

2017-03-17  David Carlisle  <latex-bugs@latex-project.org>

	* ltsect.dtx: Adjust the documentation of
	\@afterheading and \@xsect, to document that
	\clubpenalty is set locally not globally.

2017-03-13  David Carlisle  <latex-bugs@latex-project.org>

	* ltdefns.dtx: Update the definition of \- pr/3855

2017-03-10  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutput.dtx: Reset \language in Output Routine
	To protect hyphenation in page head.

	* ltfiles.dtx: Save \document@default@language

	* ltmiscen.dtx: Use \language to prevent hypenenation in \verb
	Do same, replacing setting of \hyphenchar in verbatim.

2017-03-08  David Carlisle  <latex-bugs@latex-project.org>

	* ltclass.dtx, latexrelease.ins: support yyyy-mm-dd format
	in addition to yyyy/mm/dd

2017-03-07  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx: remove 2017-01-20 hack for luaotfload issue
	as no longer needed.

2017-02-24  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx:  \DeclareTextCompositeCommand check that
	the accent command has been declared.
	Make TU accents fall back to combining character if precomposed
	character is not in the font.

#########################
# 2017/01/01 PL 3 Release
#########################

2017-02-22  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Correction to test for empty argument in TU
	accents.

#########################
# 2017/01/01 PL 2 Release
#########################

2017-02-19  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Guard against empty base in
	\DeclareTextCompositeCommand, and \add@unicode@accent.
	Declare \^{} and \~{} in tuenc.def.
	Declare \textquotesingle, \textasciigrave and
	\textquotedbl for TU encoding (\remove@tlig version)

2017-02-18  Joseph Wright  <latex-bugs@latex-project.org>

	* ltluatex.dtx: parametrise Lua access to register
	allocation count data

2017-02-12  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx: add fallback code for \textasteriskcentered
	in TU encoding (https://tex.stackexchange.com/q/353425/)

2017-01-28  David Carlisle  <latex-bugs@latex-project.org>

	* build.lua bugs.txt, manifest.txt: drop latexbug.tex from the
	distribution

	* ltoutenc.dtx, utf8ienc.dtx: add \= for YyGg
	U+0232, U+0233, U+1E20, U+1E21

2017-01-27  David Carlisle  <latex-bugs@latex-project.org>

	* latexbug.tex: add new banner suggesting to use latexbug.sty
	instead.

	* tulm.fdd: New file tu*fd file sources, including tulmssq,
	tulmvtt and tulmdh (all based on eu1*fd files from fontspec).

#########################
# 2017/01/01 PL 1 Release
#########################


2017-01-25  David Carlisle  <latex-bugs@latex-project.org>

	* tulmtt.fd: force fontdimens 3 and 4 of lmtt to zero (for xetex)

	* ltoutenc.dtx: add composites for i and j duplicating those for
	\i and \j

2017-01-24  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx: the TeX ligature syntax for xetex and luatex was
	reversed in tuenc.def
	Change \textasteriskcentered from U+204E to U+2217
	as the former is not available in common fonts (Latin
	Modern, TeX Gyre Pagella,LinLibertine...)

2017-01-23  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: PL1

	* ltoutenc.dtx: add commands for ascii symbols pr/4500


#########################
# 2017/01/01 Release
#########################


2017-01-20  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx: work around luaotfload issues 382 and 387

2017-01-10  David Carlisle  <latex-bugs@latex-project.org>

	* ltfssbas.dtx: Add version of \showhyphens that works in XeTeX.

2016-12-30  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx: build_page_insert callback and documentation updates.

2016-12-29  David Carlisle  <latex-bugs@latex-project.org>

	* latexrelease.dtx: re-instate the old 2014 version of
	fixltx2e.sty protected by \IncludeInRelease guards

	* ltboxes.dtx, ltmath.dtx: undefine internal MakeRobust commands
	for latexrelease

2016-12-11  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx:  add TU encoding

2016-12-03  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx, fontdef.dtx: Add support for defaulting to TU encoding

2016-11-18  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: 2017/01/01

2016-11-17  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx call_edit callback added

2016-11-09  David Carlisle  <latex-bugs@latex-project.org>

	* ltclass.dtx: modify \ifx tests in \@onefilewithoptions
	(latex/4497)

2016-11-07  David Carlisle  <latex-bugs@latex-project.org>

	* source2e.tex: Give a bit more space for section numbers
	in the toc (eg 19.10, 74.17.2)

2016-10-16  David Carlisle  <latex-bugs@latex-project.org>

	* ltplain.dtx: luatex allows \language up to 16383,
	and unlike pdftex gives an error for \language16384
	(rather than treating it as 0)

2016-10-15  Joseph Wright   <latex-bugs@latex-project.org>

	* ltdirchk.dtx: Require e-TeX

2016-10-04  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutput.dtx: Avoid deadcycles error building float pages
	with negative sized floats

2016-10-02  David Carlisle  <latex-bugs@latex-project.org>

	* ltclass.dtx: update to ignore spaces between options in
	\ExecuteOptions and in the option clash checking.

	* ltvers.dtx: 2016/12/01 release (perhaps)

2016-09-15  David Carlisle  <latex-bugs@latex-project.org>

	* ltsect.dtx: documentation update, default section depth
	is chapter=0.

#########################
# 2016/03/31 PL 3 Release
#########################

2016-07-29  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: Patch level 3

	* ltplain.dtx: out by one error when \newinsert switches to
	\extrafloats (tlb-newinsert-001, Maïeul Rouquette)
	add \global to \chardefs in \extrafloats in case used in a group
	Done as patch level as recent code so no need for \IncludeInRelease

2016-07-04  David Carlisle  <latex-bugs@latex-project.org>

	* ltspace.dtx: Typos in \IncludeInRelease guards (Hironobu Yamashita)

	* latexrelease.dtx: use \latexreleaseversion not \fmtversion
	in old latexrelease package warning (Hironobu Yamashita)


#########################
# 2016/03/31 PL 2 Release
#########################

2016-06-20  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: Patch level 2

	* ltvers.dtx: define \@currname to be empty here (done again in ltfinal)
	in case \IncludeInRelease used in a .def or .cfg file input in the format.

	* ltclass.dtx: allow \@parse@version after \begin{document}

2016-06-19  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx: fix \c{g} in OT1 (erroneously specified as T1 in ot1enc.def)
	Adjust latexrelease to undo comma accents for old format dates
	(Hironobu Yamashita)


#########################
# 2016/03/31 PL 1 Release
#########################

2016-05-08  David Carlisle  <latex-bugs@latex-project.org>

	* source2e.tex: Pick up patch level from ltvers (not ltfinal)
	(Hironobu Yamashita)

2016-04-22  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx, ltfinal.dtx: 4096 character classes in latest xetex.

#########################
# 2016/03/31  Release
#########################


2016-03-30  David Carlisle  <latex-bugs@latex-project.org>

	* ltpictur.dtx, slides.dtx: Add tests to avoid leaders of
	almost zero length (latex/4452)

2016-03-13  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx: new insert_local_par callback in luatex 0.89.4
	and contribute_filter from luatex 0.89.5

2016-02-28  David Carlisle  <latex-bugs@latex-project.org>

	* utf8ienc.dtx: added approximations to additional dashes
	U+2010, U+2011, U+2102, U+2015

2016-02-18  David Carlisle  <latex-bugs@latex-project.org>

	* ltfssdcl.dtx: Modify checks in \DeclareMathSymbol and related
	commands so they do not give errors for \U... required for luatex
	0.87 which reports \mathchardef tokens as \Umathchar.

2016-02-15  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: Fix \changes when used inside the environment env.
	Use a sort of raggedright in the change history

2016-02-12  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: Suppress \CheckSum check if no checksum is given in the file.

2016-02-12  David Carlisle  <latex-bugs@latex-project.org>

	* Lose \CharacterTable and \CheckSum from various documentation files.

2016-02-11  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx: adjust callback list to luatex 0.89

	* ltvers.dtx: TL 2016 edition

#########################
# 2016/02/01  Release
#########################

2016-01-04  Joseph Wright  <latex-bugs@latex-project.org>

	* ltfinal.dtx: Drop loading XeTeX character class data,
	adjust \newXeTeXintercharclass to allocate from 1 not 4.

2015-12-30  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx: add \textcommaabove (Enrico Gregorio)
	and several overloads in T1 encoding
	for \c to \textcommabelow or \textcommasbove
	https://tex.stackexchange.com/questions/282900
	Add overload for (just) \c{g} in OT1 encoding.

2015-12-10  Joseph Wright  <latex-bugs@latex-project.org>

	* ltfinal.dtx: Load Unicode settings via new common system
	(generic package "unicode-data").

2015-12-02  David Carlisle  <latex-bugs@latex-project.org>

	* utf8ienc.dtx: Additional accents that may be constructed in T1
	encoding

2015-11-27  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx: test for undefined callback list latex/4445

2015-11-14  Joseph Wright  <latex-bugs@latex-project.org>

	* ltluatex.dtx: Updates for luatex 0.85

2015-11-18  David Carlisle  <latex-bugs@latex-project.org>

	* ltplain.dtx: Support extended \newwrite and \newread in luatex

2015-11-07  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: It's 2016 already.

#########################
# 2015/10/01 PL 2 Release
#########################


2015-10-27  David Carlisle  <latex-bugs@latex-project.org>

	* ltplain.dtx: globally assign the count to 256/266
	when switching to extended range.

2015-10-14  David Carlisle  <latex-bugs@latex-project.org>

	* build.lua, manifest.txt ltpatch.ltx patches.txt bugs.txt
	lose ltpatch.ltx
	(which has not been used since the mechanism changed at
	2015/01/01 patch level 1)

2015-10-03  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx (luatexbase): write lua allocation messages to the log (only)

#########################
# 2015/10/01 PL 1 Release
#########################

2015-10-02  Joseph Wright  <latex-bugs@latex-project.org>

	* ltvers.dtx: PL1

	* ltdirchk.dtx: Allow for full reversal of LuaTeX support
	* ltluatex.dtx

#########################
# 2015/10/01 Release
#########################


2015-09-07  David Carlisle  <latex-bugs@latex-project.org>

	* utf8ienc.dtx: \^W \^w \^Y \^y U+0174-0177

2015-09-05  David Carlisle  <latex-bugs@latex-project.org>

	* latexrelease.sty: increase default float list from 18 to 52
	registers.

2015-09-02  David Carlisle  <latex-bugs@latex-project.org>

	* ltluatex.dtx (luatexbase): Adjust lua code for module messages.

2015-08-30  David Carlisle  <latex-bugs@latex-project.org>

	* ltplain.dtx: Add extended \newinsert, taking inserts from float
	list.

2015-08-29  David Carlisle  <latex-bugs@latex-project.org>

	* utf8ienc.dtx: add A0 (no break space) and AD (\-), add Romanian
	comma below accent for SsTt. Display U+<hex number> notation
	in error message.

	* ltoutenc.dtx: Add \textcommabelow accent

2015-08-23  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: Allow negative patch levels for pre-release

	* ltdirchk.dtx, ltluatex.dtx: Do not prefix luatex primitives
	* (was in ltluatex.dtx)

2015-08-06  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: bump date and reset patch level

	* ltplain.dtx: add \string to allocation checking
	* ltluatex.dtx: add luatex allocation support
	* format.ins: add luatex allocation support

2015-08-06  Joseph Wright  <latex-bugs@latex-project.org>

	* Store Unicode data more efficiently

2015-07-30  Joseph Wright  <latex-bugs@latex-project.org>

	* README.txt: Retain extension when releasing
	(CTAN policy change)


#########################
# 2015/01/01 PL 2 Release
#########################

2015-07-06  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: PL2

	* ltoutput.dtx: fix docstrip guard for latexrelease latex/4434

#########################
# 2015/01/01 PL 1 Release
#########################

2015-06-27  David Carlisle  <latex-bugs@latex-project.org>

	* utf8ienc.dtx: fix accents for 0403,0453,040C,045C
	see https://tex.stackexchange.com/q/252521/1090

2015-06-23  David Carlisle  <latex-bugs@latex-project.org>

	* ltfinal.dtx: set version to 2015/01/01 PL 1, and remove ltpatch.ltx system.

	* ltfsscmp.dtx: use 0000/00/00 date for old version.

2015-06-20 Joseph Wright <latex-bugs@latex-project.org>

	* ltunicode.dtx: Include first token in a range in
	catcode settings.

2015-06-19  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: date

	* ltplain.dtx: remove duplicated (old) definition of \newtoks and
	use -1 for the first upper bound on register types that need a
	contiguous range so that the allocation is never restarted at 256.

2015-06-05  David Carlisle  <latex-bugs@latex-project.org>

	* latexrelease.ins: add ltcounts.dtx to the latexrelease.sty sources

######################
# 2015/01/01 Release
######################

2015-05-11 Joseph Wright <joseph.wright@morningstar2.co.uk>

	* ltunicode.dtx: Apply East Asian catcode settings to LuaTeX

2015-05-10    <Frank.Mittelbach@latex-project.org>

	* ltlists.dtx: explicitly reset \clubpenalty to default in
	\@doendpe so that a change done by a heading doesn't survive
	forever

2015-05-09  David Carlisle  <latex-bugs@latex-project.org>

	* ltfinal.dtx, latexrelease.dtx: add the old definition of \newXeTeXintercharclass
	 when emulating old releases.

2015-04-28  David Carlisle  <latex-bugs@latex-project.org>

	* ltfinal.dtx: define \xe@alloc@intercharclass for compatibility with older xelatex.ini

2015-04-08  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx: Try loading fd file if family has changed

2015-04-03  Joseph Wright  <latex-bugs@latex-project.org>

	* Update file manifest

2015-03-31  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latexrelease.dtx: give fixltx2e its own version number

2015-03-26  Joseph Wright  <latex-bugs@latex-project.org>

	* ltunicode.dtx: Rename data file to unicode-letters.def

2015-03-25  Joseph Wright  <latex-bugs@latex-project.org>

	* ltunicode.dtx: Add version and MD5 information to generated file

2015-03-25  David Carlisle  <latex-bugs@latex-project.org>

	* ltxdoc.dtx: add \MaintainedByLaTeXTeam

2015-03-18  David Carlisle  <latex-bugs@latex-project.org>

	* ltfssdcl.dtx: Allow math alphabets in full range 0-255
	Restrict symbol fonts 0-15 (no change with classic tex)

2015-03-17  David Carlisle  <latex-bugs@latex-project.org>

	* inputenc.dtx: save catcode of % for latex/4420

2015-03-10  David Carlisle  <latex-bugs@latex-project.org>

	* ltplain.dtx: Add \hideoutput and \tracingnone, reorganise
	\tracingall (as sugested by GL on c.t.t)

2015-03-03  David Carlisle  <latex-bugs@latex-project.org>

	* ltplain.dtx: Allocate mathgroups up to 255 in xetex and luatex

2015-02-26  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: \EndIncludeRelease version (multiple files affected)

2015-02-22    <Frank.Mittelbach@latex-project.org>

	* latex209.dtx: Dropped \@no@font@optfalse in various places
	- no longer provided by ltfsscmp.dtx.

2015-02-22    <Frank.Mittelbach@latex-project.org>

	* ltfsscmp.dtx: Moved all code into latexrelease - obsolete commands are no
	longer automatically part of the kernel

2015-02-21    <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx, ltfloat.dtx: Fixed code for fltrace.sty and
	flafter.sty that got incorporated from fixltx2e into the kernel.

2015-02-21    <Frank.Mittelbach@latex-project.org>

	* ltdefns.dtx, lterror.dtx, ltfiles.dtx, ltfssbas.dtx, ltfsscmp.dtx,
	ltfssdcl.dtx, ltfsstrc.dtx, ltoutenc.dtx, ltoutput.dtx, ltpictur.dtx,
	ltplain.dtx, lttab.dtx, ltvers.dtx, manifest.txt:
	Removed all autoloading code as this is not any longer functional.

2015-02-20  David Carlisle  <latex-bugs@latex-project.org>

	* fix-cm.dtx: rename from fixltx2e.dtx

2015-02-16  David Carlisle  <latex-bugs@latex-project.org>

	* ltoutenc.dtx: add lmtt for latex/4415

2015-01-23  David Carlisle  <latex-bugs@latex-project.org>

	* ltplain.dtx, ltfinal.dtx: reserve counts 256-255

2015-01-22 Joseph Wright  <latex-bugs@latex-project.org>

	* ltvers.dtx: Allow \everyjob to be set before latex.ltx

2015-01-20  David Carlisle  <latex-bugs@latex-project.org>

	* ltplain.dtx: etex \tracingall if available

	* ltoutput.dtx: Reset \IncludeInRelease flags so flafter can be loaded twice.

2015-01-19  David Carlisle  <latex-bugs@latex-project.org>

	* latexrelease.dtx: Optional argument for \IncludeInRelease

	* ltvers.dtx: Optional argument for \IncludeInRelease

2015-01-18  David Carlisle  <latex-bugs@latex-project.org>

	* ltvers.dtx: Add \@currname so \IncludeInRelese tests are package-local

2015-01-16  David Carlisle  <latex-bugs@latex-project.org>

	* latexrelease.dtx: add "current" option

2015-01-14  David Carlisle  <latex-bugs@latex-project.org>

	* ltspace.dtx: Modify \addpenalty so it doesn't add redundant
	skips (+ and - the same value)

	* fixltx2e.dtx: remove code from fixltx2e, add a stub package warning.

	* ltfloat.dtx: 2 column float order (latexrelease)

	* ltoutput.dtx: 2 column float order, merge with fltrace (latexrelease)

2015-01-11  David Carlisle  <latex-bugs@latex-project.org>

	* ltmath.dtx: fleqn version of robust \[\]

	* ltcounts.dtx: Use \TextOrMath switch in \@fnsymbol (latexrelease)

	* ltspace.dtx: Allow hyphenation after space hacks (latexrelease)

	* ltfloat.dtx: check float options (latexrelease)

2015-01-10  David Carlisle  <latex-bugs@latex-project.org>

	* ltcounts.dtx: Reset all within counter levels (latexrelease)

2015-01-09  David Carlisle  <latex-bugs@latex-project.org>

	* ltfssini.dtx: \eminnershape from fixltx2e

	* ltspace.dtx: update \addpenalty from fixltx2e

2015-01-08  David Carlisle  <latex-bugs@latex-project.org>

	* ltdefns.dtx: \MakeRobust from fixltx2e

	* ltboxes.dtx: make \makebox \parbox etc robust

	* ltmath.dtx: make \( \) and \[ \] robust

	* ltlength.dtx: add = to setlength (latexrelease)

2015-01-07  David Carlisle  <latex-bugs@latex-project.org>

	* latexversion.dtx: New option handling

	* ltvers.dtx: define \IncludeInRelease and latexvesrsion date
	docstrip guards

2015-01-03  Joseph Wright  <latex-bugs@latex-project.org>

	* ltfinal.dtx: Load information derived from Unicode Consortium
	  data to set \catcode, \lccode, \uccode, \sfcode information when
	  using a Unicode-based engine (XeTeX/LuaTeX), and initialise
	  XeTeX features for line breaking between character classes.

	* ltdirchk.dtx: Enable extended primitives for LuaTeX

2015-01-03  David Carlisle  <latex-bugs@latex-project.org>

	* latexrelease.dtx: rename from patchltx2e

	* ltdefns.dtx: Use luatex compatible definition of \typein
	if luatex is being used.

2014-12-30  David Carlisle  <latex-bugs@latex-project.org>

	* patchltx2e.dtx:
	* patchltx2e.ins:
	* unpack.ins:
	* manifest.txt New patchltx2e package added

	* ltfssbas.dtx: move allocation definition to ltplain

	* ltplain.dtx: Add new allocation code for extended registers
	and \extrafloats command.

	* ltfinal.dtx: add \newmarks if e-tex marks are defined

	* ltfinal.dtx: add \newXeTeXintercharclass in xetex

	* ltfloat.dtx: \textsubscript from fixltx2e

	* ltspace.dtx: definition of \@ from fixltx2e

2014-11-07 Joseph Wright <latex-bugs@latex-project.org>

	* Rename 00readme.txt to README (named README.txt in the development
	repository)

######################
# 2014/05/01 Release
######################

2014-09-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* nfssfont.dtx Typo in definition of \encoding (no change to processing)

2014-09-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx Typo in \Ask argument fixed

2014-09-29  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cmfonts.fdd, ltoutput.dtx, letter.dtx, ltoutenc.stx, lterror.dtx,
	* ltfssbas.dtx, ltsect.dtx, proc.dtx, fixltx2e.dtx, docstrip.dtx,
	* oldlfont.dtx, ltclass.dtx, ltplain.dtx, classes.dtx, ltmiscen.dtx,
	* utf8ienc.dtx, ltfntcmd.dtx, ltxdoc.dtx, encguide.tex, ltspace.dtx,
	* lttab.dtx, ltdirchk.dtx, slides.dtx, ltfssdcl.dtx, ifthen.dtx,
	* ltxref.dtx, ltfsstrc.dtx, source2e.tex, tlc2.err, latexbug.el,
	* makeindx.dtx, lb2.err, ltlists.dtx, ltdefns.dtx, ltfinal.dtx,
	* doc.dtx, ltboxes.dtx, exscale.dtx, ltfssini.dtx, ltthm.dtx,
	* fontdef.dtx, usrguide.tex, ltfloat.dtx, preload.dtx, nfssfont.dtx
	Typos in documentation found by Karl Berry - thanks
	(date but not version number changed)

2014-08-30  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: Reset all within counters in one go (pr/4393)

2014-06-10  David Carlisle  <latex-bugs@latex-project.org>

	* fixltx2e.dtx: add missing \fi reported by Ulrike Fischer

2014-05-13    <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: missing dostrip guard added to prevent some float
	code ending up in fix-cm

2014-04-30    David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx: Allow (x-)ascii and utf8x aliases for utf8 in
	xetex/luatex

2014-04-27    <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: change to allow for (slightly) better compatibility
	  with packages that change float handling but are not aware of the
	  modification in the core algorithm done in fixltx2e

	* syntonly.dtx: fix to work together with fixltx2e

2014-04-23    <Frank.Mittelbach@latex-project.org>

	* fltrace.ins: extract fltrace.sty from sources

2014-04-21    David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx: allow \usepackage[utf8]{inputenc} with luatex and xetex

2014-04-18    <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: Handle infinite glue from \enlargethispage in
	twocolumn mode (pr/4023)

2013-12-13    David Carlisle <latex-bugs@latex-project.org>

	* fixltx2e.dtx: Check float optional argument for incorrect values

2012-06-06    <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: Save and restore catcode of @ when reading a .def file
	instead of setting it always to \makeatother afterwards (pr/4192)

2011-09-03  Will Robertson  <will.robertson@latex-project.org>

	* ltfssbas.dtx: Remove \global before \newcount in definition of
	  \new@mathversion; the \global is redundant and caused a rare error
	  in conjunction with etex.sty when the lower level register pool
	  was exhaused.

2011-08-19  Will Robertson  <will.robertson@latex-project.org>

	* ltclass.dtx: Update \@if@pti@ns to match new definition
	of \in@ (pr/4166)

######################
# 2011/06/27 Release
######################

2011-05-08  Will Robertson  <will.robertson@latex-project.org>

	* ltfssdcl.dtx: Bruno's improvement to \in@

2011-02-25  Will Robertson  <will.robertson@latex-project.org>

	* ltfntcmd.dtx: Bug fix for 2009-12 change to address pr/4092

2011-02-24  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lppl.tex: removed spurious \null from the source that generates
	an empty line.

2010-08-17  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx: Use braces around \input arg (pr/4124)
	* ltmiscen.dtx: Change of plan: Use \@@input instead (pr/4124)

2010-02-04  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: Added mathcodes for +,-,:, and = (pr/4096)

2009-12-23  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfntcmd.dtx: Use private switch to avoid issue (pr/4092)

2009-10-28  Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: Added Latin Modern and TeX Gyre subsets

2009-10-20  Will Robertson  <will.robertson@latex-project.org>

	* ltfssdcl.dtx: Improve the definition of \in@ thanks to Heiko

######################
# 2009/09/24 Release
######################

2008-04-13 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx: Ensure we don't lose spaces in the log (pr/4016)

2008-03-22 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: added documentation on UTF8 handling and error
	messages (pr/4002)

2007-11-10 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx: Many more updates (and comments) to the Cyrillic
	code points, largely due to work by Matthias Noe -- thanks

	* <various>.err: changed internally generated class file name from
	errata.cls -> ttcterrata.cls

2007-11-09 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx: Added a few new unicode decls in cyrillic (pr/3988)

2007-10-29 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* exscale.dtx: Use box 0 within group to avoid changing this
	scratch register (some bug reported on ctt)

2007-10-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx: Explain why \@mkboth is insde the heading
	arg for \tableofcontents (pr/3285 and pr/3984)

2007-08-31 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssdcl.dtx: changed font encoding changed warning in
	\SetSymbolfont from screen warning to log info (pr/3975)

2006-11-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: Added missing \ProvidesFile line for cp1257 (pr/3892)

2006-10-21 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx: corrected documentation for \@startsection (pr/3891)

2006-09-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.ins: changed \usedir declaration for makeindex files as
	requested by Karl Berry

2006-09-13 Morten Hoegholm <latex-bugs@latex-project.org>

	* fixltx2e.dtx: Ensure that vrule is in \normalcolor in output
		  routine

######################
# 2005/12/01 Release
######################

2006-05-20 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lppl.tex: 1.3c clarification that the license text can not
	be changed.

	* lppl.txt: 1.3c clarification that the license text can not
	be changed.

2006-05-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.ins: put a correct \usedir declaration in for
	generating the makeindex files (pr/3863)

	* ltboxes.dtx: Ensure \@parboxto holds the value of \@tempdimb
	not the register itself (pr/3867)

2006-03-24 Morten Hoegholm <latex-bugs@latex-project.org>

	* fixltx2e.dtx: Added \MakeRobust and made several kernel macros
	robust (pr/3816).

2006-03-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: large number of corrections for a number of
	input encodings (pr/3849)
	Number of normalisations in the LICR representation (pr/3849)
	Avoid displaying warning about empty encoding file for "ascii"
	encoding.

	* utf8ienc.dtx: omsenc.dfu contained an incorrect ref from
	02D9 to \textperiodcentered (should have been 00B7)

2006-02-23 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cleanup of .txt files: obsolete installation instructions
	removed

2006-02-22 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: added \inputencodingname and the two hooks
	\newtoks\inpenc@prehook \newtoks\inpenc@posthook
	to run code before and after an encoding change (suggested by
	Philipp Lehman)

2006-02-14 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx: added \ij and \IJ mappings (beta test)

2006-01-12 Johannes Braams <latex-bugs@latex-project.org>

	* lppl.tex: Created from lppl.txt

2006-01-08 Morten Hoegholm <latex-bugs@latex-project.org>

	* fixltx2e.dtx: Changed \@fnsymbol to use the new robust
	\TextOrMath command instead (pr/3752).

2006-01-07 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* nfssfont.dtx: fixing bug pr/3789

2005-11-25 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lppl.txt: small update, fixing typo and clarifying the term
	"Base Interpreter" (found by Karl Berry)

2005-11-10 Morten Hoegholm <latex-bugs@latex-project.org>

	* fixltx2e.dtx: Make sure \addpenalty ultimately adds the correct
	skip (pr/3073).

	* ltmath.dtx: Fixed potential problem in \[ (pr/3399) +
	documentation fix (pr/3802).

2005-11-08 Morten Hoegholm <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Added \ij and \IJ from babel (pr/3771).

2005-09-29 Morten Hoegholm <latex-bugs@latex-project.org>

	* fixltx2e.dtx: Fixed blank lines (editor problem).

2005-09-27 Morten Hoegholm <latex-bugs@latex-project.org>

	* ltfssdcl.dtx: Fixed a few oversights when making the
	  commands robust.

2005-09-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltplain.dtx:  Added \ltx@sh@ft (pr/3469)

	* ltoutenc.dtx: Replace \sh@ft by \ltx@sh@ft (pr/3469)

	* utf8ienc.dtx: Fixed error messages not showing spaces.
	Added ``else'' clause that got deleted by mistake.

2005-09-16 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx: small docu update

2005-07-29 Morten Hoegholm <latex-bugs@latex-project.org>

	* docstrip.dtx: Added \kernel@ifnextchar.

2005-07-27 Morten Hoegholm <latex-bugs@latex-project.org>

	* ltfssdcl.dtx: Changed \mathbf etc. to be naturally robust.

2005-07-13 Morten Hoegholm <latex-bugs@latex-project.org>

	* fixltx2e.dtx: Added \textsuperscript and made
	  \DeclareMathSizes allow dimensions in all arguments.

2005-01-14 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx ( \fnsymbol should use text symbols ):
	that change made \@fnsymbol too robust (pr/3752)

2004-10-31 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* vtexfree.txt: added info about *.dfu files (pr/3652)

	* install.txt:  added info about *.dfu files (pr/3652)

2004-10-20 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx: Removed dead code in \@makecol

2004-09-20 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx: \textasciitilde mapping changed (pr/3721)

2004-09-02 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* sample2e.tex: fixed small glitches in the text (pr/3703)

2004-07-23 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: environment names incorrectly sorted in
	index (pr/3615)

2004-05-08 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx: explicitly set catcode of space within utf8.def

2004-05-07 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* tlc2.err:  LaTeX Companion 2ed errata added to distribution

	* inputenc.ins: split utf8 file generation into two parts for OSes
	with a small limit on open output files

	* utf8ienc.dtx: fixed typo in \ProvidesFile line for ly1enc.dfu

2004-05-06 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: properly allow \inputencoding in horizontal mode
	(forgotten to set \catcode of space)  (pr/3273)

2004-05-03 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: Typo in \textquotedblleft (pr/3673)


######################
# 2003/12/01 Release
######################

2004-02-24 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltplain.dtx: added \loggingall and \loggingoutput as variant of
	\tracingall and \showoutput (write only to transcript)

	* manifest.txt: added lppl-1.2.txt to the distribution since we
	are now at version 1.3

2004-02-22 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: changed warning text for oldstyle digits

2004-02-20 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltdefns.dtx: docu fix (pr/3620)

2004-02-16 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx (section*{\indexname}]): Moved setting of \columnsep and
	\columnseprule later to avoid affecting the wrong page (pr/3616)

2004-02-15 Chris Rowley <latex-bugs@latex-project.org>

	* ltspace.dtx

	Added better \nobreakdashes

2004-02-13 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: fix for \@Esphack forgotten (pr/3498)

2004-02-11 Rainer Sch�pf <latex-bugs@latex-project.org>

	* pict2e.inx/.dtx: Removed.

2004-02-10 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Macros for generating index entries}):
	environment names incorrectly sorted in index (pr/3615)

2004-02-09 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* utf8ienc.dtx:   no newlines in error messages allowed
	  (due to inputenc)
	space in the wrong place "\count @64"
	added commands already defined in the kernel (found by BG)
	added test file pr/3480

2004-02-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: coding change, to follow bug fix by DEK in
	plain.tex in OT4 (pr/3469)

	* inputenc.dtx:	Added ISO 8859-16 Latin10 (pr/3568)

2004-02-02 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutput.dtx

	Small fix for \enlargethispage, pr/3528

2004-02-02 Chris Rowley <latex-bugs@latex-project.org>

	* inputenc.dtx

	Tidied up a bit more of the code

2004-02-02 Chris Rowley <latex-bugs@latex-project.org>

	* fontdef.dtx

	Many math things made robust

	Added two `bigtriangle synonyms' for compatibility with the
	stmaryrd symbols package

2004-02-02 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutenc.dtx

	Added \textbigcircle to OMS

	Fixed bad bug in \DeclareTextSymbol as per Heiko
	in pr/3563

2004-02-02 Chris Rowley <latex-bugs@latex-project.org>

	* Makefiles

	Lots of minor fixes

2004-01-31 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx (section{Implementation}): internal kernel version
	of \@ifnextchar used in some places, see next entry (pr/3501)

	* ltdefns.dtx: internal kernel version for \@ifnextchar added
	to prevent the amsmath package to highjack this command in random
	places, this is really a bug in amsmath which should finally be
	fixed there (pr/3501)

2004-01-28 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltvers.dtx: warning for old latex 5 years grace (pr/3601)

	* latexbug.tex: warning for old latex 5 years grace (pr/3601)

2004-01-23 Rainer Sch�pf <latex-bugs@latex-project.org>

	* fixltx2e.dtx: Replace the double dangerous bend sign by a
	huge double exclamation mark. This is to mark important
	bits in the documentation.

2004-01-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltbibl.dtx: Changed error message for \nocite

2004-01-03 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: Use \ooalign for \k (pr/3532)
	Added \textogonekcentered (pr/3532)
	Added composites \k{o} and \k{O}  (pr/3532)

2003-12-30 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpictur.dtx: issue warning if circle size can't be met

	* nfssfont.ins: support for nfssfont.dtx

2003-12-29 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: fixing a typo in \DeclareInputText recently
	introduced.

2003-12-16 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx: Ensure that \@elt has a defined
	state in \@makecol (pr/3586)

2003-12-11 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx:  added support for \MakeShortVerb* as suggested by
	Hubert Gaesslein <hubertjg@open.mind.de>

2003-12-08 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* source2e.tex: changed typeout message

2003-11-16 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: docu changes for latin 4 (pr/3585)

	* ltplain.dtx: docu fixes (pr/3584)

2003-10-13 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfinal.dtx: Added extra \lccode for \- and \textcompwordmark
	to allow hyphenation in the remainder of the word

2003-10-09 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx: docu fixes (pr/3575)

2003-09-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: No hyphenation in first word after float
	environmentb (pr/3498)
	Allow \emph to produce small caps

2003-09-14 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx:  removed surplus dot from error message

2003-08-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpictur.dtx (section{Picture Mode}):
	check for \@linechar being empty (pr/3570)
	(subsection{Curves}): added missing displacement (pr/3566)

2003-05-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltbibl.dtx: raise an error is \nocite is used before begin
	document (until now it simply failed)

2003-05-09 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx:  new implementation of textcomp with options and
	subencodings

2003-05-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: incorporated new definition for \@fnsymbol to use
	text symbols if available (pr/3400)

2003-04-26 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: incorporated fix-cm.sty by Walter Schmidt

2003-02-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: added a number of options to textcomp to enable
	only some characters since most of the chars are ont generally
	available.

2003-01-12 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* nfssfont.dtx:  added interactive support to allow font spec via
	nfss classification.

2002-12-13 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltbibl.dtx (section{Bibliography Generation}):
	Added \leavevmode in case citation is at start of paragraph (pr/3486)

2002-11-06 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: Added cp858 (cp850 with euro symbol)  (pr/3464)

2002-10-28 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: coding change for \r{A} in OT1 to follow bug fix
	by DEK in plain.tex, but it is still a hack!
	(better solution: do not use OT1 encoded fonts)  (pr/3469)

	* ltlists.dtx: Check for math mode when ending a list to
	give a better error message than "perhaps a missing item" (pr/3437)
	First change to this part of LaTeX since 1997!

2002-10-25 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: Added cp1257 (Baltic)

2002-10-02 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx (section{Macros for setting up the tables}): Adding
	\LastDeclaredEncoding introduced a bug in
	\DeclareFontSubstitution. Instead of the real encoding name the
	token \LastDeclaredEncoding got into the internal lists causing
	havoc. (pr/3459)

2002-10-01 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfloat.dtx: Use braces around \itshape to keep font change
	local in \thempfootnote; bug introduced 7 years earlier
	(pr/3460)

2002-07-28 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: Added code 128 (texteuro) for cp1250

2002-07-08 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: added \texteuro for ansinew (pr/3423)

2002-06-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latexbug.tex: actually complained when format are older than 18
	months (now we accept 30)

	* ltvers.dtx: error message still talked about 1 year old sources
	being too old (though in fact it is 30 months)

	* ltoutenc.dtx: Corrected \c for T1 (pr/3442)
	Added \cs{textbardbl} (pr/3400)
        Definition of \textexclamdown changed (pr/3368)
	Definition of \textquestiondown changed (pr/3368)
	Changed def for \textregistered to avoid small caps (pr/3420)

2002-06-16 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: added macce (pr/3433)
	added code points to 1252 (pr/3441)

2002-04-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* oztex.txt: new version added


######################
# 2001/06/01 Release
######################

2001-08-26 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltclass.dtx: readded lost catcode setting for space in
	ProvidesFile (pr/3353)

2001-07-12 Chris Rowley <latex-bugs@latex-project.org>

	* inputenc.dtx:

	Added latin9.def (from Karsten Tinnefeld)

2001-07-12 Chris Rowley <latex-bugs@latex-project.org>

	* ltnews.cls:

	Added eTeX logo

2001-06-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltvers.dtx: check for old format disabled --- perhaps we have
	reached the last release of 2e already?

	* inputenc.dtx: Added \textkra, \texttstroke and
	\textTstroke to latin4 (pr/3336)

	* ltpictur.dtx: Don't warn  if \line or \vector command
	has zero length argument pr/3318

	* fontdef.dtx (subsubsection{Arrows}): Guard against math active
	= and math active | in \Relbar and \models (pr/3333)

2001-06-03 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* format.ins: added default cfg files that are simple
	wrappers for fonttext.ltx, fontmath.ltx, and preload.ltx (pr/3264)

	* fontdef.dtx: added default cfg files that are simple
	wrappers for fonttext.ltx, fontmath.ltx, and preload.ltx (pr/3264)

2001-06-01 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx: some docu changes

2001-05-28 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutenc.dtx

	Added \NeedsTeXFormat{LaTeX2e}[2000/06/01] to .def
	files, pr/3255

	Made compatible T1 and OT1 accents (on i and \i), pr/3295

2001-05-28 Chris Rowley <latex-bugs@latex-project.org>

	* usrguide.tex

	Described short-form for guillemets in T1 encoding, pr/3192

2001-05-28 Chris Rowley <latex-bugs@latex-project.org>

	* ltxguide.cls:

	Added some definitions

2001-05-25 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: extended NEXT encoding (pr/3281)
	suppress all spaces for horizontal mode (pr/3273)

	* minimal.cls: added \pagenumbering{arabic} to define \thepage
	(pr/3275)

	* ifthen.dtx: Added \AND, \OR and \NOT as boolean operators as
	alternative to the lower case versions (pr/3297)

	* ltdirchk.dtx:  Explicitly set \endlinechar to 10 (pr/3334)

	* ltclass.dtx: Explicitly set \endlinechar to 10 (pr/3334)

	* classes.dtx: Replaced all tilde chars used with \nobreakspace
	(pr/3310)

2001-05-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: partly support docstrip's ``verbatim''
	directive, at least ensure that it can be processed without and
	error message (pr/3331)

2001-04-23 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: added missing \section to docu

2001-04-21 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx (section*{\contentsname): initialize \@tempdima
	within \l@part so that \numberline can be used pr/3327

2001-04-16 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltnews14.tex: added

2001-02-16 Johannes Braams <latex-bugs@latex-project.org>

	* ltxref.dtx (subsection{Cross Referencing}): Added an extra level
	of grouping to \@newl@bel as suggested in PR3250 by
	Harald Hanche-Olsen <hanche@math.ntnu.no>

2001-01-07 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx (subsection{Floats}): reset @newlist flag in output
	routine (pr/3286). This was done before (pr3231) but the code
	ended up in the wrong place by mistake.

2001-01-06 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx: Moved \@mkboth out of heading args for
	thebibliography and \listof... command as this can fail with the
	slightly strange definition for \chapter in twocolumn mode (pr/3285)

2000-09-24 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: for some unknown reason the version of fix2col
	integrated was not the latest one --- so a number of bugs already
	corrected crept up again (1.1d fixes those)

	Don't change \setlength if it isn't the kernel default any longer

	\addpenalty fix proposed in 3073 was not sufficient if the command
	was used when \prevdepth=-1000pt (ie after \nointerlineskip)

2000-09-01 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfinal.dtx: finally moved emptying \errhelp to a place
	after its last use (pr/449)


######################
# 2000/06/01 Release
######################

2000-08-30 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutenc.dtx

	Much editing but no code changes

2000-08-24 Chris Rowley <latex-bugs@latex-project.org>

	* ltfinal.dtx:

	Fixed typo in warning message

2000-07-31 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutput.dtx:

	Changed handling of space above footnotes.

2000-07-29 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latexbug.tex: complain about old LaTeX only after 18 months

	* ltvers.dtx: changed distribution check to yearly distribution

2000-07-19 David Carlisle <latex-bugs@latex-project.org>

	* ltoutput.dtx: locally reset \if@newlist so that
	list structures in head/foot don't interfere with
	lists in the MVL. internal/3231

2000-07-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltnews13.tex: update to ltnews13

2000-07-12 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx: Ensure that rule between column is in \normalcolor
	(it did depend on the color in the text at the column break!)

2000-07-11 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltmiscen.dtx: fix typo in warning message

2000-07-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: ... and another fix for (pr/3170), sigh

2000-07-01 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: incorporating latin4.def contributed by
	Hana Skoumalov\'a

	* inputenc.ins: incorporating latin4.def contributed by
	Hana Skoumalov\'a

2000-06-10 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Bells and whistles}): extending (or say
	fixing?) change for (pr/3170)

2000-06-01 Chris Rowley <latex-bugs@latex-project.org>

	* ltpage.dtx:

	Changed grouping method in \markboth and \markright
	(see also pr/3203)

	Less expansion by using token register in \markboth
	and \markright

2000-05-26 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsubsection{Declaration commands}):
	reimplemented \UseTextSymbol and \UseTextAccent to support
	reference over more than one level (pr/3160)

2000-05-22 Chris Rowley <latex-bugs@latex-project.org>

	* doc.dtx:

	Less obscure wording at start of index?  (pr/3202)

	* inputenc.dtx:

	Added latin2 option for textdegree    (pr/3207)
	Updated documantaion

	* ltpage.dtx: reimplementation of \markboth and \markright to
	avoid problem with expanion at wrong point in time in some cases
	(pr/3203)

2000-05-21 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Bells and whistles}): new implementation
	for \meta command (pr/3170)

2000-05-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx (subsubsection{Parts}): Only add empty page after
	part if twoside and openright (pr/3155)

	* ltmiscen.dtx: Reset \AtEndDocument for latex/3060

2000-04-30 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* manifest.txt: ltnews13.tex added

2000-01-30 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: added \hmode@bgroup as shorthand for
	\leavevmode\bgroup use \hmode@bgroup...\egroup instead of
	\leavevmode{...} where applicable in most cases \leavevmode was
	missing before (pr/3160)

	* ltfntcmd.dtx: use \hmode@bgroup...\egroup instead of \leavevmode{...}

2000-01-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: allow \inputencoding also in hoizontal mode (or rather
	make it do something there --- it was allowed before (pr/2888))

2000-01-24 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: fix error message for undefined code points
	(pr/3158)

######################
# 1999/12/01 Release
######################

2000-01-07 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltmiscen.dtx: Disable hyphenation in verbatim even if the font
	allows it.

1999-12-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltnews12.tex: final adjustments

1999-12-11 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltnews.cls: fixed a curious bug lurking in the class since its
	beginning: putting a list directly after a paragraph would make the
	paragraph before(!) the list justified (while the rest of the document
	was set ragged right)

	* ltnews12.tex: added fixltx2e section

1999-12-08 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{The fontenc package}):
	Changed \CYRRHOOK and  \cyrrhook to
	\CYRRHK and  \cyrrhk as name changed in the cyrillic
	bundle for naming consistency with other ``hook'' glyphs.

1999-12-01 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltnews12.tex (section{Outcome of TUG '99 (Vancouver)}):
	added text on TUG 99 and other bits

1999-11-08 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltx3info.tex: Typo corrected.

	* emtex.txt: Correct name of file ltxcheck.tex.

1999-11-06 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltx3info.tex:  fixed typo

1999-10-28 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsubsection{Declaration commands}):
	Give \accent@spacefactor a default definition to prevent horrible
	death in case or incorrect input (pr/3084)

1999-10-26 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fixltx2e.dtx: added first version

	* manifest.txt: added draft ltnews12.tex

	* inputenc.dtx: removed left over beta test message

1999-10-10 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltoutput.dtx: Reset definition of active math ' to
	\active@math@prime within the output routine.

	* ltmath.dtx: Introduce macro \active@math@prime for the active
	prime character in math mode.

1999-09-24 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* usrguide.tex (subsection{Definitions}): show syntax of all
	declaration commands (pr/3102)

1999-09-17 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: removed extra change entry.

	* classes.dtx: found two changes entries claiming to have been done
	in 1955 (exactly 40 years too early :-)

	* makeindx.dtx: fixed two changes entries (arg order wrong)

	* syntonly.dtx: updated changes entry to have four digits years

	* classes.dtx: update of label names in docu

	* ifthen.dtx: make this a proper LaTeXable package

	* pict2e.dtx: make this a proper LaTeXable package (even if not containing code)

	* ltxdoc.dtx: also accept .fdd files in DocInclude (code by M Schroeder)

1999-09-10 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx: renamed a few labels to support production of general docu

	* ifthen.dtx: changed driver file

1999-09-07 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: did some spellchecking of docu after noticing
	a few glaring typos

1999-09-03 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lppl-1-1.txt: added LPPL 1.1 under this name to the distribution.

	* DEFAULT.pre: updated for LPPL 1.2

	* DEFAULT.hea: updated for LPPL 1.2

	* copyfd.pre:  updated for LPPL 1.2

	* copycfg.pre: updated for LPPL 1.2

	* copyins.hea: updated for LPPL 1.2

1999-08-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lppl.txt: fixed minor glitches found by Matt and Eberhard
	This is probably going to be LPPL 1.2


######################
# 1999/06/01 Release
######################

1999-07-10 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lppl.txt: final changes to LPPL 1.1

1999-07-09 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* updated headers to reflect LPPL 1.1
	updated legal.txt to say that use of LaTeX is unrestricted

1999-06-24 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltnews11.tex (section{Fontenc package peculiarities}):
	document the special behaviour of fontenc

	* ltclass.dtx: document that fontenc pretends it wasn't loaded

1999-06-12 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx (subsection{The fontenc package}):
	ensure that \@uclclist is extended only once (if at all)

1999-06-10 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: ensure that fontenc doesn't load encodings from
	previous calls again (pr/2888)

1999-05-28 Rainer Schoepf <latex-bugs@latex-project.org>

	* bugs.txt: Added reference to webcomp.err.

	* readme.txt: Added reference to webcomp.err.

	* manifest.txt: Added reference to webcomp.err.

1999-05-28 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* webcomp.err: file added

1999-05-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltnews11.tex: updates

1999-05-25 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cmfonts.ins: removed "fd" guard since never used these days

1999-05-09 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cmfonts.fdd: docstrip `nowarn' guard was the wrong way around
	for font OT1/cmr/bx/ui (pr/3036)

1999-04-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx: fixed typo in documentation (pr2973)

1999-04-02 Chris Rowley <latex-bugs@latex-project.org>

	* inputenc.dtx

	Corrected cp852 for pr/2992

	* ltboxex.dtx

	Made robust the flag in \@iiiparbox: pr/2975}

	* ltdefns.dtx

	Fixed new version of \@yargdef: pr/3013

	* usrguide.tex

	Added to documentation of uc/lc list

1999-03-22 Rainer Schoepf <latex-bugs@latex-project.org>

	* doc.dtx: Correct last change.

1999-03-12 Chris Rowley <latex-bugs@latex-project.org>

	* clsguide.tex

	Added to documentation of options

	* cyrguide.tex:

	Further editing

1999-03-08 Rainer Schoepf <latex-bugs@latex-project.org>

	* cyrguide.tex: Use \URL command.

	* ltxguide.cls: Added \URL command.

1999-03-04 Rainer Schoepf <latex-bugs@latex-project.org>

	* usrguide.tex: Refer to cyrguide.tex.

	* ltxguide.cls: Added \cyrguide.

	* All copyright headers and preambles: updated for lppl.txt.

	* 00readme.txt: Refer to lppl.txt, add new LaTeX books.

1999-03-03 Chris Rowley <latex-bugs@latex-project.org>

	* ltxguide.cls:

	Added some definitions

1999-03-01 David Carlisle <latex-bugs@latex-project.org>

	* ltdefns.dtx: Remove change from 1999-01-08 internal/2967

	* lppl.txt: minor rewordings after comments from
	Arnoud Engelfriet and John Hasler.

1999-03-01 Rainer Schoepf <latex-bugs@latex-project.org>

	* handbuch.err: Added.

	* install.txt: Add link to truetex.txt and vtex.txt. Remove
	timings for slow computers.

1999-02-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx: temp fix for pr/2968

1999-02-24 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutenc.dtx (subsection{The fontenc package}):

	Corrected cyrillic uc/lc list

1999-02-23 Chris Rowley <latex-bugs@latex-project.org>

	* ltnews.cls:

	Added some definitions

1999-02-12 David Carlisle <latex-bugs@latex-project.org>

	* legal.txt: refer to LPPL

	* lppl.txt: more fiddling

1999-02-12 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssini.dtx: changed \oldstylenums to use \rmdefault instead of
	cmm hardwired. This doesn't change much in standard cases but allows
	other font sets to work without redefining \oldstylenums as long as
	the right .fd files are available (pr/2954)

	* truetex.txt: Updated version.

1999-02-10 Rainer Schoepf <latex-bugs@latex-project.org>

	* letter.dtx: Reset footnote counter for every new letter (PR
	2957).

1999-02-09 Chris Rowley <latex-bugs@latex-project.org>

	* cyrguide.tex:

	Major editing (new file)

	* usrguide.tex (section{Commands}):

	Updated

	* minimal.cls:

	Small reordering to better support the documented method of use

	* cfgguide.tex (section{System configuration}):

	Clarification and emphasis changed re fontdef.dtx cfgs

1999-02-09 David Carlisle <latex-bugs@latex-project.org>

	* ltdefns.dtx: catch \newcommand[10] or \newcommand[X]

1999-02-05 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cyrguide.tex: small updates

1999-01-18 David Carlisle <latex-bugs@latex-project.org>

	* ltdefns.dtx: new go faster \newcommand implementation /2942.

1999-01-13 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fntguide.tex (subsection{Selection commands}): added documentation
	for \linespread (pr/2891)

	* ltnews10.tex: updates

	* ltoutenc.dtx: Simplified solution for pr/2930

1999-01-08 David Carlisle <latex-bugs@latex-project.org>

	* ltdefns.dtx: two more \long in \@ifnextchar for latex/2902

1999-01-08 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fntguide.tex (subsection{Encoding definition file commands}):
	Added documentation about \LastDeclaredEncoding

1999-01-07 David Carlisle <latex-bugs@latex-project.org>

	* ifthen.dtx: \isundefined for /2824

	* latexbug.tex: cyrillic

	* latexbug.el: cyrillic

1999-01-07 David Carlisle <latex-bugs@latex-project.org>

	* ltdefns.dtx: add extra braces and \long declartions so
	[{]}] and [\par] work. latex/2896.

1999-01-07 Rainer Schoepf <latex-bugs@latex-project.org>

	* bugs.txt: Added description how to follow up a problem report.

	* latexbugs.tex: Added description how to follow up a problem
	report.

	* classes.dtx: Added check of @noskipsec switch in \part for
	article class.

1999-01-07 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: Hackery to support reading in fontenc.sty several
	times (really the wrong interface and needs changing)

	Hackery to support cyrillic uc/lc update --- that will definitely go
	somewhere else in a later release

1999-01-06 Rainer Schoepf <latex-bugs@latex-project.org>

	* emtextds.txt: Added to distribution. Installation procedure for
	Walter Schmidt's emTeX/TDS for OS/2.

	* ltoutenc.dtx: Minor documentation fix (PR 2939).

1999-01-06 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx: Added \LastDeclaredEncoding to support cyrillic
	integration (pr/2988)

	* ltoutput.dtx: Added negative vskip, as when processing outputbox
	as suggested by Fred Bartlett pr/2892

	* classes.dtx: Check \if@noskipsec in \part see  pr/2889

	* ltoutenc.dtx: New impl of \@text@composite and \@text@composite@x
	(pr/2930)

1999-01-05 Rainer Schoepf <latex-bugs@latex-project.org>

	* fontdef.dtx: Need special protection for character
	\char62 in \changes entry, as this is the makeindex
	actualchar.

1998-12-28 Rainer Schoepf <latex-bugs@latex-project.org>

	* doc.dtx: The case-changing trick in the definition of
	\short@macro didn't work, as the category code was changed inside
	the macro replacement text, not during the definition.

1998-12-27 Rainer Schoepf <latex-bugs@latex-project.org>

	* doc.dtx (subsection{Macros for generating index entries}): Use
	\string, not \protect in argument of \special@index.

1998-12-20 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Macros for generating index entries}):
	Correctly handle second index entry for \SpecialMainEnvIndex
	by using \special@index not \index (pr/2928)

1998-12-01 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* nfssfont.dtx: cosmetic change: \documentstyle -> \documentclass
	Program still would need a major user interface upgrade
	... one day (pr/2915)

1998-11-13 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* lttab.dtx: prevent an endless loop from incorrect input like
	     \begin{tabular}{l|l{11.5cm}} (pr/2884)

1998-09-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: added \string to definition of \a so that \a'
	works even if ' is active at that time (pr/2878)

	* classes.dtx: redefine \thesection, \thechapter and \@chapapp
	globally (using \gdef) in \appendix so that these redefinitions
	survive even if \appendix is used within an environment such as
	multicols

1998-09-17 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cfgguide.tex (section Configuration files for
	standard packages and classes]):
	added info about ltnews.cfg (pr/2875)

	* ltoutenc.dtx: Explicitly set \spacefactor after \accent in
	OT1 type accents like \`A  (pr/2877)

1998-08-22 Rainer Schoepf <latex-bugs@latex-project.org>

	* doc.dtx: Correction for PR 2563: doc.dtx produces incorrect
	index entries for some single character control sequences
	(like <).

1998-08-17 Rainer Schoepf <latex-bugs@latex-project.org>

	* (Various source files): Replaced old form \cmd{\commandname} by
	\cs{commandname} in changes entries.

	* (Various source files): Replaced \cmd{\commandname} by
	\cs{commandname} in changes entries.

	* ltfssdcl.dtx: Corrected documentation glitch in changes entry.

	* ltmiscen.dtx: Corrected documentation glitch in changes entry.

	* latexsym.dtx: Corrected documentation glitch in changes entry.

1998-08-01 Chris Rowley <latex-bugs@latex-project.org>

	* inputenc.dtx (section{Announcing the files}):

	Corrected version number

1998-07-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: give better error message if source document contains
	a character which is not defined by current input encoding (pr/2845)

######################
# 1998/06/01 Release
######################

1998-06-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* clsguide.tex (subsection{Identification}): Explicitly warn that
	the optional date argument of \Provides... must be in the format
	yyyy/mm/dd and will produce low-level errors otherwise

1998-06-17 Chris Rowley <latex-bugs@latex-project.org>

	* inputenc.dtx:

	Spanish ords changed to text chars, pr/2579

	Fixed typo in `next'

	* lttab.dtx:

	Enhanced documentation

	* ltoutenc.dtx:

	Fixed \textcircled
	Fixed wrong code in \t
	Added masc/fem ords defaults
	Swapped acutedbl and gravedbl in TS1
	Renamed macron in TS1

	* pict2e.dtx:

	Wording changed, and "documentation"

1998-06-12 David Carlisle <latex-bugs@latex-project.org>

	* slifonts.fdd: fix provides files for T1* (Bernard Gaulle)

1998-06-04 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltboxes.dtx: support calc expressions in \rule command
	(that one was forgotten or so it seems)

1998-05-26 Chris Rowley <latex-bugs@latex-project.org>

	* ltfinal.dtx:

	Set-up lccodes (and uccodes) before reading in
	hyphenation files

1998-05-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (section{The Description of Macros}):
	reinit ^^A as comment char at beginning of document to allow use
	of inputenc with doc since inputenc disables ^^A (pr2581)

1998-05-18 David Carlisle <latex-bugs@latex-project.org>

	* ltnews09.tex more text

1998-05-16 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Macros surrounding the `definition parts'}):
	small change that defers freezing of \MacroFont until after the
	preamble so that people can change its definition in the preamble.
	As we have been on 1.9z this is now 2.0a but it isn't really
	something exciting ... :-)

	* ltxref.dtx: added documentation about extending the
	\ref mechanism as suggested in pr2801

	* ltcounts.dtx: small documentation updates

1998-05-13 Chris Rowley <latex-bugs@latex-project.org>

	* ltspace.dtx:

	Documented lots of bugs and problems with the present code,
	and even some solutions

	* latex209.dtx:

	Added experimental long typeout about abuse of
	compatibility mode to possibly avoid prs like 2807

1998-05-13 Rainer Schoepf <latex-bugs@latex-project.org>

	* lttab.dtx Use \setlength to set size of p-column and for
	argument of tabular* environment, so that the benefits of the
	calc package apply.

1998-05-10 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* letter.dtx: removed space at the right of address (pr2794)

1998-05-09 Chris Rowley <latex-bugs@latex-project.org>

	* classes.dtx:

	Reverted openany change to \mainmatter

1998-05-07 David Carlisle <latex-bugs@latex-project.org>

	* ltclass.dtx: Modify option clash error help message. latex/2805

1998-04-28 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx (IMPORTANT NOTICE): renamed \orginaldefault to
	\originaldefault

1998-04-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fontdef.dtx: some fixes for pr2662

1998-04-16 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fntguide.tex: explain new \DeclareMathDelimiter syntax (pr2662)

1998-04-15 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fontdef.dtx:  use new \DeclareMathDelimiter syntax (pr2662)

	* ltfssdcl.dtx: allow \DeclareMathDelimiter to always use 6 args
	(pr2662)

1998-04-11 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* fontdef.dtx: added \mathring accent (pr2785)

1998-04-03 David Carlisle <latex-bugs@latex-project.org>

	* distrib.txt: Update from 1994 version with a view to adding
	to june release, better late than never.

	* docstrip.dtx: CHANGE to default header placed on extracted
	files, to allow extracted files to be distributed as long as
	sources also distributed. This does not affect any .ins files that
	explicitly set a preamble with the docstrip \preamble or
	\usepreamble commands. If you currently distribute a package and
	want to keep the old preamble, add \usepackage\originalpreamble
	to your .ins files. Note that the old text forbids inclusion of
	the package on `ready to run' TeX distributions such as TeXLive
	or tetex.



1998-04-03 David Carlisle <latex-bugs@latex-project.org>

	* distrib.txt: Update from 1994 version with a view to adding
	to june release, better late than never.

	* docstrip.dtx: CHANGE to default header placed on extracted
	files, to allow extracted files to be distributed as long as
	sources also distributed. This does not affect any .ins files that
	explicitly set a preamble with the docstrip \preamble or
	\usepreamble commands. If you currently distribute a package and
	want to keep the old preamble, add \usepackage\originalpreamble
	to your .ins files. Note that the old text forbids inclusion of
	the package on `ready to run' TeX distributions such as TeXLive
	or tetex.

1998-03-30 David Carlisle <latex-bugs@latex-project.org>

1998-03-30 David Carlisle <latex-bugs@latex-project.org>

1998-03-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cmfonts.fdd: added substiution for cmss/bx/sc to produce
	cmr/m/sc; much better would be to have the real thing ---
	anybody cares to contribute those to the ec fonts? (pr2586)

1998-03-20 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* bugs.txt: say that reports have to be in English

	* ltoutenc.dtx: Documentation added about removing declaration
	of encoding specific commands (pr/2783)
	Command \UndeclareTextCommand added (pr/2783)
	Added \UndeclareTextCommand declarations to textcomp.sty (pr/2783)

	* ltdefns.dtx: \@thirdofthree added for \UndeclareTextCommand

1998-03-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: Added documentation about the best order of
	declarations for encoding specific commands.
	Also moved loading ofts1enc.def after declaring the defaults
	for such reasons.

1998-03-15 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* bugs.txt: added info about not changing established (mis)behavior

1998-03-11 Rainer Schoepf <latex-bugs@latex-project.org>

	* miktex.txt: Added to distribution.

1998-02-06 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: fixed typo iso-8859-5 should have been iso-8859-9
	(pr/2748)

1998-01-31 Chris Rowley <latex-bugs@latex-project.org>

	* ltx3info.tex:

	Updated

1998-01-23 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* install.txt: small updates such as isbn numbers

1998-01-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx: adding \nopreamble and \nopostamble
	and making sure that \usepreamble\empty really doesn't write
	anything to the stripped file (pr/2726)

	* ltclass.dtx: make \& locally safe in \ProvidesFile /2702
	fix up pkgindoc.sty which probably hasn't worked since
	{v1.0p}{1995/05/25}{Delete \cs{filec@ntents} after preamble}

1998-01-16 David Carlisle <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Fix \t for latex/2734.

	* ltclass.dtx: make \& locally safe in \ProvidesFile /2702
	fix up pkgindoc.sty which probably hasn't worked since
	{v1.0p}{1995/05/25}{Delete \cs{filec@ntents} after preamble}

1998-01-16 David Carlisle <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Fix \t for latex/2734.

1998-01-13 David Carlisle <latex-bugs@latex-project.org>

	* multitex.txt: New version from Markus Kohm latex/2721

1998-01-13 David Carlisle <latex-bugs@latex-project.org>

	* multitex.txt: New version from Markus Kohm latex/2721

1998-01-10 Chris Rowley <latex-bugs@latex-project.org>

	* cmfonts.fdd:

	Added large sizes for ec fonts only
	Removed long lines

######################
# 1997/12/01 Release
######################

1998-01-06 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: added missing braces and \upshape for \textcircled

1998-01-01 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* emtex.txt: small clarification as suggested by Heinz

1997-12-31 Chris Rowley <latex-bugs@latex-project.org>

	* fntguide.tex:

	Corrections to math font declarations
	Tidying
	Added new encoding information

	* ltoutenc.dtx:

	Documentation correction

1997-12-31 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* grphcomp.err: added further errate entries, updated cls file

1997-12-30 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx: fixed header info for textcomp.sty
	(missing \ProvidesPackage)

1997-12-22 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutenc.dtx

	Added textcomp package
	Corrections and additions to documentation
	Removed all octal and hex codes
	Added \textperthousand and \textpertenthousand to T1
	Added \leavevmode at start of \c in T1

	* inputenc.dtx

	Made next encoding consistent with others
	Consistently used math-or-text command when
	  available: THIS MAY CHANGE
	Changed \mathdegree to \textdegree
	\inputencoding now works only in vmode
	Temporarily fixed \IeC
	Merged latin1 code with ansinew/cp1252
	Changed `\k{}' to `\k\ '
	Added textcomp package
	Corrections and additions to documentation

	* fontdef.dtx

	Added documentation

	* ltnews08.tex

	Added stuff

1997-12-18 Rainer Schoepf <latex-bugs@latex-project.org>

	* doc.dtx: Fix small documentation glitch.

	* ltpatch.ltx: Replace reference to ,,June'' release by ,,last''
	release.

1997-12-17 David Carlisle <latex-bugs@latex-project.org>

	* latexbug.tex: expl3

	* latexbug.el (ltxbug-categories): expl3

1997-12-17 Rainer Schoepf <latex-bugs@latex-project.org>

	* fntguide.tex: Removed obsolete \setbox construct.

1997-12-15 Rainer Schoepf <latex-bugs@latex-project.org>

	* clsguide.tex (section{Upgrading \LaTeX~2.09 classes and
	packages}): Added documentation for \if@compatibility switch
	(supplied by Barbara Beeton).

1997-12-11 Rainer Schoepf <latex-bugs@latex-project.org>

	* usrguide.tex (subsection{\LaTeXe---The new \LaTeX~release}):
	Improved the sentence about formerly separate formats.

	* ltoutput.dtx: Documentation fixes.

	* ltlogos.dtx: Documentation fix.

1997-12-06 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutput.dtx (subsection{Floats}):

	Removed incorrect error code in \output

	* ltnews08.tex:

	Revised text

	* ltnews.cls:

	Added definition environment

1997-11-23 David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx:  Use \textperthousand not \textpermill. /2673

	* ltoutenc.dtx: Use \textperthousand, \textpertenthousand and
	\textfractionsolidus not \textpermill, \textpertenmill and
	\textfraction. /2673

1997-11-20 David Carlisle <latex-bugs@latex-project.org>

	* ltfssdcl.dtx: inline \stepcounter /2669/2661

1997-11-19 David Carlisle <latex-bugs@latex-project.org>

	* ltoutput.dtx: reindent \@xtryfc and friends (no code change).

	* ltfloat.dtx: missing percent in @footnotetext. /2670

1997-11-18 David Carlisle <latex-bugs@latex-project.org>

	* manifest.txt: ltnews08

	* ltnews08.tex: first attempt.

	* source2e.tex: ltcounts and ltlength before NFSS /2669/2661

	* format.ins: ltcounts and ltlength before NFSS /2669/2661

1997-11-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* compan.err: rewrote that file to be processable by LaTeX

	* grphcomp.err: rewrote that file to be processable by LaTeX

1997-11-13 David Carlisle <latex-bugs@latex-project.org>

	* ltfssdcl.dtx: Fix \DeclareSymbolFont so it updates \group@list
	for latex/2661.
	Remove duplicate (unused) definition of \stepcounter.
	Add a few macro envs to the documentation.

1997-11-03 Rainer Schoepf <latex-bugs@latex-project.org>

	* ifthen.dtx: Documentation fix.

1997-10-28 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltfiles.dtx: Minor documentation fixes.

1997-10-23 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltoutenc.ins: Unpack ts1enc.def.

1997-10-21 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltfssbas.dtx: Added \makeatletter to \nfss@catcodes (and removed
	it from \try@load@font@shape).

	* ltdefns.dtx: Change \renew@command to use \begingroup/\endgroup
	for grouping, to avoid generation of empty math atoms.

1997-10-20 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltfinal.dtx: Removed \aa and \AA from \@uclclist as these are
	macros.

	* slifonts.fdd(ullasy.fd): Removed superfluous pair of braces at
	end of \DeclareFontFamily command.

1997-10-17 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltfntcmd.dtx: Moved check for vertical mode from
	\DeclareTextFontCommand to \check@nocorr@.

1997-10-14 David Carlisle <latex-bugs@latex-project.org>

	* ltfiles.dtx: back out \today change.

	* install.txt: --release--date--goes--here--

	* ltpatch.ltx: --release--date--goes--here--

	* patches.txt: --release--date--goes--here--

	* Makefile: install.txt patches.txt ltpatch.ltx
	--release--date--goes--here--

1997-10-11 David Carlisle <latex-bugs@latex-project.org>

	* ltclass.dtx: Check for text before or after \end{filecontents}
	latex/2636

1997-10-10 Rainer Schoepf <latex-bugs@latex-project.org>

	* classes.dtx(\l@part): Removed setting of \@tempdima as
	this macro does not use \numberline to set the toc line.

1997-10-10 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: renamed \perthousand to \textpermill as this is the
	TS1 name (and it wasn't available before) (pr/2622)
	added code page 1250 (pr/2515)

1997-10-09 David Carlisle <latex-bugs@latex-project.org>

	* ltfiles.dtx: Move expansion of \today here from document class
	files. latex/2620

	* classes.dtx: use \def not \edef for \today. latex/2620

1997-10-08 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltlogos.dtx: Simplified macro \LaTeX: use only \check@mathfonts
	to force loading of fonts suitable for the letter `A'.

1997-10-06 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltcounts.dtx: Replaced \@Roman by a new version that is fully
	expandable, so that the correct sequence of letters is written to
	files.

1997-09-30 Johannes Braams <latex-bugs@latex-project.org>

	* slides.dtx (subsection{Date}): Use \edef to define to
	in order to save space; following change to classes.dtx, dated
	1995/08/16.

	* letter.dtx (subsection{Date}): Use \edef to define to
	in order to save space; following change to classes.dtx, dated
	1995/08/16.

1997-09-15 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltpictur.dtx: warn if \line etc is too small to get printed.
	 (pr/2524)

1997-09-09 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltdefns.dtx: Use \begingroup \endgroup instead of { ... }
	to avoid generating math ords if used in math mode. (pr/2573)

1997-09-08 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* inputenc.dtx: added decmulti input encoding for DEC Multinational
	Character Set (pr/2599)

1997-08-19 Rainer Schoepf <latex-bugs@latex-project.org>

	* inputenc.dtx(latin2.def,cp852.def): Replaced \dh and \DH by \dj
	and \DJ.

	* inputenc.dtx(ansinew.def): Exchanged codes for \textendash and
	\textemdash.

	* inputenc.dtx: Enclosed all encoding definition files by
	\makeatletter/\makeatother.

1997-08-15 Rainer Schoepf <latex-bugs@latex-project.org>

	* slides.dtx: Added initialization of \leftmargin to \@listi
	(obviously forgotten and never noticed before).

1997-08-05 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Corrected order of arguments in \UseTextSymbol
	example (PR latex/2572).

1997-07-31 Rainer Schoepf <latex-bugs@latex-project.org>

	* cfgguide.tex: Put braces around argument of \sffamily,
	to keep latex2html happy.

1997-07-20 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* docstrip.dtx: support compiling docstrip without statistics
	(pr/2429)

	* fntguide.tex: documentation updates (pr/2550)

1997-07-16 David Carlisle <latex-bugs@latex-project.org>

	* latexbug.el: Use default name and address from user-...
	and make current directory setting more robust.
	Both fixes from Andreas Schwab, latex/2547.

1997-07-15 Rainer Schoepf <latex-bugs@latex-project.org>

	* manifest.txt: Replaced slides.fdd by slifonts.fdd.

	* ec.ins: Replaced slides.fdd by slifonts.fdd.

	* slides.ins: Replaced slides.fdd by slifonts.fdd.

	* slides.fdd: Renamed to slifonts.fdd, there is a name clash with
	slides.dtx when run through LaTeX.

	* truetex.txt: New version by Richard Kinch.

1997-07-09 Rainer Schoepf <latex-bugs@latex-project.org>

	* classes.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* doc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* exscale.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* fontdef.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ifthen.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* inputenc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* latex209.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* latexsym.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* letter.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltboxes.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltclass.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltdirchk.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* lterror.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfinal.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfloat.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfssbas.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfssdcl.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfssini.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltfsstrc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltlists.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltmath.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltoutenc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltoutput.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltpictur.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltplain.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltsect.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* ltxdoc.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* makeindx.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* newlfont.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* oldlfont.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* slides.dtx: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* cmextra.ins: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* clsguide.tex: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

	* lablst.tex: Documentation fixes by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de>.

######################
# 1997/06/01 Release
######################

1997-06-17 Chris Rowley <latex-bugs@latex-project.org>

	* fntguide.tex:

	Changed information about fontname
	.fd filenames to lowercase
	Removed long lines, and a few typos

1997-06-17 Rainer Schoepf <latex-bugs@latex-project.org>

	* emtex.txt: Updated by Heinz Kusnier.

	* web2ctex.txt: Updated by David Outteridge.

	* manifest.txt: Added truetex.txt.

	* truetex.txt: New file by Richard Kinch.

1997-06-16 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltfntcmd.dtx (section{Introduction}): Documentation fix.

	* ltdirchk.dtx: Documentation fixes.

	* exscale.dtx: Documentation fix.

	* classes.dtx: Documentation fixes.

	* ltfloat.dtx: Documentation fix.

	* alltt.dtx: Documentation fixes.

1997-06-11 Chris Rowley <latex-bugs@latex-project.org>

	* readme.txt:

	Added information re ltnews files

	* usrguide.tex:

	Updating information: fonts, addresses, CD-ROMs

	* clsguide.tex:

	Added information: normalsfcodes, policy on chnages
	to standard styles

1997-06-11 David Carlisle <latex-bugs@latex-project.org>

	* ltxcheck.tex: Change texts referring to dc/ec fonts.
	internal/2513

	* latexbug.tex: Fix save stack problem, internal/2514, and
	other minor improvements.

1997-06-02 David Carlisle <latex-bugs@latex-project.org>

	* cmfonts.fdd: add bold sc fonts for latex/2497

1997-05-26 Rainer Schoepf <latex-bugs@latex-project.org>

	* slides.fdd: Removed spaces in and around arguments to
	\DeclareFontShape.

	* cmfonts.fdd: Removed spaces in and around arguments to
	\DeclareFontShape and \EC@family.

1997-05-22 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltlogos.dtx: Added \m@th to definition of \LaTeXe so that
	the logo works with non-zero values of \mathsurround.

	* ltfsstrc.dtx (section{Handling Options}): Replaced \\ by
	\MessageBreak in Option `pausing' (suggested by Donald Arseneau).

1997-05-10 Chris Rowley <latex-bugs@latex-project.org>

	* inputenc.dtx:

	Corrected typo in cp852.def

1997-05-08 Chris Rowley <latex-bugs@latex-project.org>

	* inputenc.ins:

	Split up \generate for PC

1997-05-07 Chris Rowley <latex-bugs@latex-project.org>

	* inputenc.dtx:

	Added latin3.def
	Some rearrangments
	Removed long lines

	* ltspace.dtx

	Made \newline robust

	* ltoutenc.dtx

1997-04-30 Rainer Schoepf <latex-bugs@latex-project.org>

	* inputenc.ins: Added generation of latin5.def.

	* inputenc.dtx: Latin5 encoding added.

1997-04-24 David Carlisle <latex-bugs@latex-project.org>

	* ltbibl.dtx: add \@empty to \@citex for latex/2432.

1997-04-22 David Carlisle <latex-bugs@latex-project.org>

	* cmextra.ins: Remove concrete fd file generation.

1997-04-18 David Carlisle <latex-bugs@latex-project.org>

	* usrguide.tex: bm package.

1997-04-16 David Carlisle <latex-bugs@latex-project.org>

	* letter.dtx: remove hidden math from itemize labels latex/2419

	* ltnews07.tex: first draft.

1997-04-15 David Carlisle <latex-bugs@latex-project.org>

	* texpert.txt: default install uses ec.

	* install.txt: default install uses ec.

	* readme.txt:  1997/06/01

	* unpack2e.ins: include ec.ins not newdc.ins by default.

	* ltpatch.ltx: 1997/06/01

	* patches.txt: 1997/06/01

	* Makefile: 1997/06/01

1997-04-14 David Carlisle <latex-bugs@latex-project.org>

	* ltoutput.dtx: normalsfcodes latex/2404 (from patch file)

	* ltfiles.dtx: \normalsfcodes latex/2404 (from patch file)

1997-03-26 David Carlisle <latex-bugs@latex-project.org>

	* amiweb2c.txt: update from Andreas Scherer.

1997-03-21 David Carlisle <latex-bugs@latex-project.org>

	* ltcounts.dtx: Use \mathsection and \mathparagraph in \fnsymbol
	latex/2445

	* inputenc.dtx: Use decimal rather than hex  to avoid active
	character problems. latex/2451

1997-02-25 David Carlisle <latex-bugs@latex-project.org>

	* cmfonts.fdd: typo fixed in ot1cmvtt \ProvidesFile latex/2394

	* slides.fdd: typo fixed in cccsc10 latex/2395

1997-02-21 David Carlisle <latex-bugs@latex-project.org>

	* patches.txt: patch level 1

	* ltpatch.ltx: /2414 fix.

	* ltlists.dtx: Support \noindent after \item. latex/2414

1997-02-05 David Carlisle <latex-bugs@latex-project.org>

	* doc.dtx (subsection{GetFileInfo}): missing % latex/2404.

	* ltpatch.ltx: had to happen.

	* ltclass.dtx: missing % in last g@addto@macro change.

######################
# 1996/12/01 Release
######################

1997-01-15 David Carlisle <latex-bugs@latex-project.org>

	* install.txt: ec fonts.

	* ltnews06.tex: ec fonts.

	* ec.ins: add slitex fonts

	* slides.fdd: ec fonts.
	lowercase fd file \input.

	* ltxcheck.tex: ec fonts.

1997-01-14 David Carlisle <latex-bugs@latex-project.org>

	* manifest.txt: ec.ins.

	* Makefile: ec.ins.

	* ec.ins: new file. Alternative to newdc.ins

	* cmfonts.fdd: Add ec fonts

1997-01-08 David Carlisle <latex-bugs@latex-project.org>

	* fontdef.dtx: Use \DeclareMathDelimiter and \DeclareMathSymbol
	On remaining cases using primitive assignments.

	* ltfiles.dtx: reset \deadcycles in \include for latex/2365.

	* ltmath.dtx: Remove spurious space tokens from \root.
	General cleanup of the docs, lots of macro envs added.

1997-01-07 David Carlisle <latex-bugs@latex-project.org>

	* letter.dtx: modify \\ in \startbreaks for /2341.

1997-01-06 David Carlisle <latex-bugs@latex-project.org>

	* ltnews06.tex: minor edits.

1996-12-20 David Carlisle <latex-bugs@latex-project.org>

	* ltsect.dtx: \nobreak added to \@dottedtocline for latex/2343

1996-12-18 David Carlisle <latex-bugs@latex-project.org>

	* modguide.tex: Fix spelling for latex/2345

1996-12-17 David Carlisle <latex-bugs@latex-project.org>

	* ltclass.dtx: Use \begingroup so \g@addto@macro does not make
	a \mathord.

1996-12-13 David Carlisle <latex-bugs@latex-project.org>

	* docstrip.dtx: Fix for /2340 (From Marcin).

1996-12-09 David Carlisle <latex-bugs@latex-project.org>

	* ltfloat.dtx: Call \@setminpage if needed. latex/2318.
	General doc improvements (add macro envs, indent code, etc).

1996-12-06 David Carlisle <latex-bugs@latex-project.org>

	* fontdef.dtx: ***

	* ltfssini.dtx: ***

	* ltvers.dtx: ***.

	* ltdirchk.dtx: Remove *** from messages. internal/2338.

1996-11-28 David Carlisle <latex-bugs@latex-project.org>

	* latexbug.tex: documentation changes.

	* ltvers.dtx: Check for old format modified  again. /2319

1996-11-25 David Carlisle <latex-bugs@latex-project.org>

	* ltnews06.tex: document fd file change.

1996-11-20 David Carlisle <latex-bugs@latex-project.org>

	* latexbug.tex: change documentation of release schedule /2319

	* ltvers.dtx: Check for old format modified. /2319

	* ltxcheck.tex: lowercase  fd and *enc.def filenames. /1044

	* fontdef.dtx: lowercase  fd and *enc.def filenames. /1044

	* slides.fdd:  lowercase fd file names. /1044

	* latexsym.dtx: lowercase fd file names. /1044

	* latexsym.ins: lowercase fd file names. /1044

	* slides.ins:  lowercase fd file names. /1044

	* cmfonts.fdd: lowercase fd file names. /1044

	* cmextra.ins: lowercase fd file names. /1044

	* newdc.ins: lowercase fd file names. /1044

	* olddc.ins: lowercase fd file names. /1044

	* cmfonts.ins: lowercase fd file names. /1044

	* ltoutenc.ins: lowercase fd and *enc.def file names. /1044

	* ltoutenc.dtx: lowercase fd and *enc.def file names. /1044

	* ltfssbas.dtx: lowercase fd file names. internal/1044

1996-11-09 David Carlisle <latex-bugs@latex-project.org>

	* ltmath.dtx: Reinstate \ensuremath as \long /2104.

1996-11-07 David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx: resend patch from Sept 11

	Added ts1enc.def (but it is not unpacked)
	Changed copyright, underscore (\_) and registered
	Added \leavevmode to compwordmark
	Added hex index tabs (experimental)

1996-11-05 Chris Rowley <latex-bugs@latex-project.org>

	* ltfiles.dtx

	Added standard nobreak check to the write used for \nofiles case

1996-11-04 Chris Rowley <latex-bugs@latex-project.org>

	* ltlists.dtx

	Added test for no \item between an inner and
	outer list

	* ltplain.dtx:

	Use \hbox to in \dotfill


1996-11-04 Rainer Schoepf <latex-bugs@latex-project.org>

	* lterror.dtx (autoload version): Move \@nodocument into kernel,
	so that it can be \let to \relax in \begin{document}.

1996-11-01 David Carlisle <latex-bugs@latex-project.org>

	* docstrip.dtx: Change MW address.

	* cmfonts.ins: split up \generate (again) for PC.

1996-10-31 Chris Rowley <latex-bugs@latex-project.org>

	* ltfinal.dtx

	Added \lccode for \oe in OT1

	* classes.dtx:

	Changed numbering of figures, tables and equations outside chapters
	in book and report (pr/2178)

	Removed math-mode from itemize labels

	* ltspace.dtx

	Reimplemented \(no)linebreak
	Reimplemented \\ and \newline

	* ltsect.dtx:

	Documentation changes

1996-10-28 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutenc.dtx

	Removed defs of \aa \AA
	Removed \@strip@args (no longer used)
	Corrected documentation

	* inputenc.dtx

	Added cp865.def
	Added \textasteriskcentered
	Removed \aa \AA as internal forms
	Other minor additions and corrections to .def files

	* ltplain.dtx

	Removed math from \dotfill
	Added \aa and \AA
	Updated and corrected documention

1996-10-25 Chris Rowley <latex-bugs@latex-project.org>

	* ltlists.dtx:

	Added explicit flag resetting to \endtrivlist

	* ltoutput.dtx

	Added documentation

1996-10-24 Chris Rowley <latex-bugs@latex-project.org>

	* ltboxes.dtx:

	Added local settings of flags in
	  \@arrayparboxrestore: dangerous!
	Used \@setminipage in minipages

	* ltfloat.dtx:

	Prevent floats in preamble
	\@setnobreak no longer used in resets (but see above)

	* ltoutput.dtx

	Changes when nobreak is true
	Prevent \twocolumn in preamble
	Added error code to \newpage

1996-10-24 David Carlisle <latex-bugs@latex-project.org>

	* unpack2e.ins: Remove redefinion of \Ask and add \askonceonly
	(which is the same thing, but looks nicer).

	* docstrip.dtx: Change MDW's address. Add \askonceonly.

1996-10-23 Chris Rowley <latex-bugs@latex-project.org>

	* ltlists.dtx

	Use \setboz\z@ to remove parindent in \@item
	Set \clubpenalty correctly in \@item
	Do not reset \@nobreak unconditionally
	Added documentation

	* ltsect.dtx

	Use \setboz\z@ to remove parindent in \@xsect
	Added documentation

1996-10-23 David Carlisle <latex-bugs@latex-project.org>

	* docstrip.dtx: Delay setting the `current directory syntax'
	commands so that a configuration file can reset them if
	necessary.

1996-10-22 David Carlisle <latex-bugs@latex-project.org>

	* autoload.ins: add \usedir

1996-10-21 Chris Rowley <latex-bugs@latex-project.org>

	* lttab.dtx

	Small change in tabbing to make the later change in items
	(see pr/2211) work properly

	Moved some code \@array, to make this environment more robust
	(pr/2183), uncovering an interesting feature of the original
	code; changed to use \set@typeset@protect

	Made \multicolumn \long

1996-10-18 David Carlisle <latex-bugs@latex-project.org>

	* Makefile (DSTS): add format.ins

	* manifest.txt: add format.ins

1996-10-17 David Carlisle <latex-bugs@latex-project.org>

	* ds/docstrip.dtx: merge in Marcin's latest.
	More DPC changes:
	Make missing batchfile an error
	Change name of config file to docstrip.cfg.
	Add \endbatchfile.
	Change all the .ins files for new style.

1996-10-11 David Carlisle <latex-bugs@latex-project.org>

	* ds/docstrip.dtx: Add initex support, and
	auto setting of \batchfile from \jobname to the new
	`TDS' version from Marcin.

1996-10-09 David Carlisle <latex-bugs@latex-project.org>

	* manifest.txt: Add ltxcheck.tex

1996-10-08 Chris Rowley <latex-bugs@latex-project.org>

	* ltfntcmd.dtx

	Fixed bug in \text.. commands (pr/2157)

1996-10-05 Chris Rowley <latex-bugs@latex-project.org>

	* ltfiles.dtx

	Added setting of \@clubpenalty

	* classes.dtx (chapter*{\bibname):

	Added setting of \@clubpenalty

1996-10-04 David Carlisle <latex-bugs@latex-project.org>

	* Makefile: remove testdist.dtx, add ltxcheck.tex

	* unpack2e.ins: Remove \testdistribution. internal/2251

	* ltxcheck.tex: New version independent of ltdirchk
	Add checking for files `unpacked; during LaTeX install.

	* ltdirchk.dtx: Remove ltxcheck.tex. internal/2251

	* Makefile: 1996/12/01.

	* ltclass.dtx: Reset \@unprocessedoptions in
	\RequirePackageWithOptions for internal/2269.

1996-09-29 Chris Rowley <latex-bugs@latex-project.org>

	* ltsect.dtx

	Added documentation

	* ltfiles.dtx

	Added disabling of \@nodocument to \document
	Tidied up documentation

	* ltoutput.dtx

	Checks for noskipsec and inlabel added to \newpage

	* ltmiscen.dtx:

	Moved \@xobeysp to ltspace.dtxx

	* ltspace.dtx

	Added \@xobeysp linked to \nobreakspace

1996-09-26 Rainer Schoepf <latex-bugs@latex-project.org>

	* cmfonts.ins: Added guard `nowarn' to generation of OT1cmtt.fd
	file, to avoid annoying substitution messages if a bold typewriter
	font is selected (as, for example, in section headings).

	* newdc.ins: Added guard `nowarn' to generation of T1cmtt.fd file,
	to avoid annoying substitution messages if a bold typewriter font
	is selected (as, for example, in section headings).

	* cmfonts.fdd (subsubsection{Computer Modern Typewriter}), Added
	silent substitutions for T1 bold extended typewriter fonts (new
	version).

1996-09-21 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutput.dtx:

	Change to using \@parboxrestore in \@outputpage

1996-09-16 David Carlisle <latex-bugs@latex-project.org>

	* classes.dtx: Quote > in changes entry (from 1994/10/29:-)
	as it is special due to setting in gglo.ist.

1996-09-11 David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx: Fix loop for latex/2257

1996-09-09 Johannes Braams <latex-bugs@latex-project.org>

	* classes.dtx, letter.dtx, slides.dtx (subsubsection{Itemize}):
	replace \endash with \textendash (stupid typo)

1996-08-25 Johannes Braams <latex-bugs@latex-project.org>

	* letter.dtx (subsubsection{Itemize}): Replaced -- with \endash
	in the definition of \labelitemii. (saves a token)

	* slides.dtx (subsubsection{Itemize}): Replaced -- with \endash
	in the definition of \labelitemii. (saves a token)

	* ltpatch.ltx: Add the characters ', `, and " to \nfss@catcodes as
	they might be active while LaTeX processes an .fd file.

	* ltfssbas.dtx (subsection{Macros for loading fonts}): Added the
	characters ', `, and " to \nfss@catcodes as they might be active
	while LaTeX processes an .fd file.

1996-08-24 Johannes Braams <latex-bugs@latex-project.org>

	* classes.dtx (subsubsection{Itemize}): Replaced -- with \endash
	in the definition of \labelitemii. (saves a token)

1996-08-05 David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx: swap mathordxxx in cp850. latex/2203

1996-07-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx:
	definition of if@inmath switch removed (see below)

	* ltfsstrc.dtx:
	removed if@inmath switch and replaced with inline code
	\init@restore@glb@settings saving space macro names and
	execution time

	* ltfssdcl.dtx:
	removed ifrestore@version switch and replaced with inline
	code \init@restore@version

1996-07-26 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltdefns.dtx:
	make third arg of \@reargdef implicit
	replace {} args by \relax
	use \noexpand instead of \string in error message

	* ltoutput.dtx:
	set if@test always globally
	add some missing percent signs in \clearpage

	* ltboxes.dtx:
	set if@minipage always globally

	* ltmath.dtx:
	set if@ignore always globally

	* ltmiscen.dtx:
	set if@ignore always globally
	add user command \ignorespacesafterend to be used in env defs

	* ltfloat.dtx:
	set if@nobreak always globally
	set if@minipage always globally

	* ltspace.dtx:
	fix typo in doc.
	set if@nobreak always globally

	* ltlists.dtx:
	set if@nobreak always globally
	set if@minipage always globally

	* ltsect.dtx:
	set if@nobreak always globally

	* ltclass.dtx:
	made \@classoptionslist and \@unusedoptionlist only preamble
	to save space

	* ltfssbas.dtx:
	removed unnecessary \relax (6 times) in \nfss@catcodes
	use faster \if$#3$ test in \@DeclareMathsizes

	* ltalloc.dtx:
	don't set a default for @tempswa -- nobody can rely on that

	* ltplain.dtx:
	removed setting of \vsize and \hsize (done later)
	changed \dimen\z@ to \dimen@ to save space (and time)

1996-07-19 David Carlisle <latex-bugs@latex-project.org>

	* patches.txt:  latex/2197

	* ltpatch.ltx: Use char0 not @ for \lowercase trick: latex/2197

	* ltoutenc.dtx: Use char0 not @ for \lowercase trick: latex/2197

	* patches.txt: add ltxcheck.tex to list of changed files.

	* ltpatch.ltx: add ltxcheck.tex to list of changed files.

	* ltdirchk.dtx: Check for unauthorised cmr10 changes.

1996-07-18 Chris Rowley <latex-bugs@latex-project.org>

	* ltspace.dtx:

	Added commentary on some known problems

1996-07-10 David Carlisle <latex-bugs@latex-project.org>

	* Makefile:  Add vtex.txt

	* manifest.txt: Add vtex.txt

	* ltpatch.ltx: pl1

	* patches.txt: pl1

	* ltfinal.dtx: Free up token registers /2213

1996-07-09 David Carlisle <latex-bugs@latex-project.org>

	* pastex.txt: Update (Lars Hecking/Christian Bauernfeind)

1996-06-25 David Carlisle <latex-bugs@latex-project.org>

	* latexbug.tex: Fix to give correct error with plain TeX.

1996-06-24 David Carlisle <latex-bugs@latex-project.org>

	* ltnews05.tex: (Barbara Beeton) Wrong attribution for IPA fonts

######################
# 1996/06/01 Release
######################

1996-06-17 David Carlisle <latex-bugs@latex-project.org>

	* classes.dtx: spelling...  J"org Knappen /2176

1996-06-14 David Carlisle <latex-bugs@latex-project.org>

	* lttab.dtx: Change \hskip\z@skip to \hskip1sp in for /2160

	* syntonly.dtx: Fix \GetFileInfo usage in documentation /2174

1996-06-13 Chris Rowley <latex-bugs@latex-project.org>

	* clsguide.tex:

	Updated for new release
	General minor edits

1996-06-13 David Carlisle <latex-bugs@latex-project.org>

	* ltdirchk.dtx: doc improvements, mainly from  /2174 again.

	* ltdefns.dtx: doc improvements J"org Knappen /2174

	* ltcounts.dtx: doc improvements J"org Knappen /2174

	* ltalloc.dtx: doc improvements J"org Knappen /2174

	* inputenc.dtx: doc improvements J"org Knappen /2174

1996-06-12 David Carlisle <latex-bugs@latex-project.org>

	* ltdirchk.dtx: Fix Checksum Ulrik Vieth /2171

1996-06-11 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutput.dtx:

	Added resetting of \everypar in the output routine

1996-06-10 David Carlisle <latex-bugs@latex-project.org>

	* ltnews04.tex: typo: \ProcessOptions not \ProcessOption.

	* ltnews05.tex: Advertise Mainz copy of GNATS.

	* ltnews.cls: Add extra line in lw35fonts option.
	Make font scaling messages `s'.

	* ltboxes.dtx: use \@@par not \endgraf.

	* ltsect.dtx: use \@@par not \endgraf.

1996-06-07 Chris Rowley <latex-bugs@latex-project.org>

	* ltnews05.tex:

	Revised text

	* ltnews.cls:

	Changed fonts for lw35 option, for logical and aesthetic
	reasons
	Added support for T1 encoding with lw35 option
	Corrected grammar in footer

	* fntguide.tex:

	Updated for new release

1996-06-06 David Carlisle <latex-bugs@latex-project.org>

	* ltspace.dtx: doc improvements Donald Arseneau /2166

	* ltpage.dtx:  doc improvements Donald Arseneau /2166

	* latex209.dtx: doc improvements Donald Arseneau /2166

	* bugs.txt: remove duplicate line J"org Knappen/2165

1996-06-04 David Carlisle <latex-bugs@latex-project.org>

	* ltdirchk.dtx: modify vms suggestion slightly (J"org Knappen)

1996-06-04 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltmiscen.dtx: \verbatim@noligs@list now processed after
	\dospecials (PR 2138).

1996-06-03 Chris Rowley <latex-bugs@latex-project.org>

	* install.txt:

	Changed reference from texpert.txt to cfgguide.tex

1996-06-03 David Carlisle <latex-bugs@latex-project.org>

	* ltdirchk.dtx: Look for dcfonts release 1.3 in ltxcheck

1996-05-28 David Carlisle <latex-bugs@latex-project.org>

	* ltnews05.tex: more changes.

1996-05-26 Johannes Braams <latex-bugs@latex-project.org>

	* classes.dtx : Make the commands \frontmatter, \mainmatter and
	\part react to [openany] in the same way as \backmatter and
	\chapter do. (PR 2106)

1996-05-24 David Carlisle <latex-bugs@latex-project.org>

	* latex209.dtx: Redid \(@)normalsize checks. internal/2153
	Reinstated old definition of \nofiles. latex/2146

1996-05-23 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutenc.dtx

	Extra documentation

	* ltoutput.dtx

	Changed test for a text page full of floats
	Tidied documentation

1996-05-23 David Carlisle <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Preset accent arguments in a box to stop font
	loading interfering with accent position.  latex/2133.

1996-05-22 David Carlisle <latex-bugs@latex-project.org>

	* ltnews05.tex: needs more work, but...

1996-05-21 David Carlisle <latex-bugs@latex-project.org>

	* ltsect.dtx: CHANGE: Allow commands with arguments (eg
	\MakeUppercase) to be used in the `style' argument of
	\@startsection. The section heading text including any number
	etc will be supplied as the argument of this
	command. internal/2148

1996-05-20 David Carlisle <latex-bugs@latex-project.org>

	* minimal.cls: Documentation improvements.

1996-05-19 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cmfonts.fdd:
	Added Computer Modern Variable Typewriter family.

1996-05-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutenc.dtx:
	Produce better error message when encoding is misspelled. pr/2054

1996-05-17 Chris Rowley <latex-bugs@latex-project.org>

	* fontdef.dtx

	Removed \@@sqrt

	* slides.dtx

	Removed \@@sqrt

1996-05-17 David Carlisle <latex-bugs@latex-project.org>

	* slides.fdd: Force \hyphenchar of OT1 fonts to 45, in case
	\defaulthyphenchar has changed.
	Remove some spurious extra empty arguments to \DeclareFontFamily

	* cmfonts.fdd: Force \hyphenchar of OT1 fonts to 45, in case
	\defaulthyphenchar has changed.
	Remove some spurious extra empty arguments to \DeclareFontFamily

	* ltfiles.dtx: Add \write\m@ne{} to \nofiles so that
	\label (and other things) don't change the vertical spacing when
	\nofiles is used. latex/2146

1996-05-09 Chris Rowley <latex-bugs@latex-project.org>

	* ltfntcmd.dtx

	Made more robust to errors

	* slides.dtx

	Made \include mechanism work

1996-05-09 David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx: Enable activation of codes below 32. latex/2071
	Add warning if nothing defined by the encoding file latex/2136

1996-05-09 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* unpacked.txt:
	added cp852.def. pr/2081

1996-05-08 David Carlisle <latex-bugs@latex-project.org>

	* legal.txt: Modify `rename changed files' clause to explicitly
	forbid `double renaming' back to the original names.

1996-05-08 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfsstrc.dtx:
	Changed \begingroup to \bgroup to match a change to the kernel
	done in 1994!!! It took a long time to find that one. pr/2100

	* inputenc.dtx:
	Added encoding definitions for cp852 contributed by Petr Sojka.
	pr/2081

1996-05-07 David Carlisle <latex-bugs@latex-project.org>

	* ltnews05.tex: make a start at this ....

1996-04-24 David Carlisle <latex-bugs@latex-project.org>

	* ltfiles.dtx: reset \AtBeginDocument inside \begin{document}
	for latex/1297. Small documentation improvements.

1996-04-23 David Carlisle <latex-bugs@latex-project.org>

	* ltmiscen.dtx: Documentation improvements.

	* ltcounts.dtx: Documentation improvements.

1996-04-22 David Carlisle <latex-bugs@latex-project.org>

	* Makefile: perl -p -e s#--release--date--goes--here--#1996/06/01#
	spring is in the air....

	* ltspace.dtx: documentation improvements.

	* lttab.dtx: add extra \hskip to preserve tabcolsep in empty
	l columns. latex/2122.
	Small documentation improvements.

1996-04-18 David Carlisle <latex-bugs@latex-project.org>

	* ltpage.dtx: Minor documentation improvements.

1996-04-18 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (section*{Index}%):
	Definition of \printindex removed because no longer needed.
	pr/2095

1996-04-11 David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx: ansinew 09f is \"Y not \"y, latex/2119

1996-03-25 David Carlisle <latex-bugs@latex-project.org>

	* ltmath.dtx: Modify \ensuremath for amslatex/2104

1996-03-22 David Carlisle <latex-bugs@latex-project.org>

	* ifthen.dtx: latex/2105 fix: dont leave mathord {} groups.

1996-02-29 David Carlisle <latex-bugs@latex-project.org>

	* multitex.txt: Update from Markus Kohm, latex/2051

1996-02-14 David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx: Cedilla (\c\ ) rather than (\c{}) latex/2077
	0F0 corrected in cp850 latex/2080
	0B2 corrected in latin2 latex/2079

1996-01-31 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* slides.dtx: fixed \cline which wasn't updated after internal
	interface change pr/2067

1996-01-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Macros surrounding the `definition parts'}):
	support doc files also in compatibility mode (so far doc did typeset
	the code in cmr instead of cmtt in compat mode)

1996-01-20 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltidxglo.dtx:
	turn \makeindex and \makeglossary into noops after use to avoid
	problems with combinations of \PageIndex \makeindex etc. pr/2048

	* letter.dtx:
	Made redefinition of \vspace robust. pr/2049
	Nevertheless, they syntax used in the pr is considered
	incorrect!

	* ltspace.dtx:
	Made \vspace robust. Enhancement suggested by pr/2049

1996-01-11 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx:
	Changed default text preceding the index so that it depends on
	the use of code line numbering.

	* ltxdoc.dtx:
	Removed \star since useless. pr/2039

1996-01-10 David Carlisle <latex-bugs@latex-project.org>

	* ltfiles.dtx: latex/2024 ensure setting \input@path does not
	change behaviour of ##1 in \IfFileExists.

1996-01-03 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* bugs.txt:
	Added a comment about where to send errata entries for the books.

1995-12-29 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Bells and whistles}):
	Added \AlsoImplementation as a counterpart to \OnlyDescription
	pr/2040.

	* texpert.txt:
	clarified info about warnings happening when using makeindex.

	* doc.dtx (section*{Index}%):
	Turn \PrintIndex into noop after use. pr/2038
	(section*{{Change History}}%):
	Turn \PrintChanges into noop after use. pr/2038

1995-12-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* latex209.dtx:
	Corrected printout of index. pr/2028

	* ltmath.dtx:
	Corrected printout of documentation. pr/2030

	* ltfntcmd.dtx:
	Corrected changes entry. pr/2029

1995-12-20 David Carlisle <latex-bugs@latex-project.org>

	* cmfonts.fdd: Ulrik Vieth /2017: fix up T1cmfib.fd file.

1995-12-13 Chris Rowley <latex-bugs@latex-project.org>

	* copypre.txt

	New version, removing long lines

	* copyins.txt

	New version, removing long lines

	* copyhead.txt

	New version, removing long lines

	* bugs.txt

	Additions, updates and corrections

	* autoload.txt

	Additions, updates and corrections

	* texpert.txt

	Additions, updates and corrections

	* ltnews.cls

	Removed long lines
	Changed capitalisation

	* cmfonts.fdd

	Removed long lines

	* slides.fdd

	Removed long lines

	* olddc.dst

	New preambles

	* newdc.dst

	New preambles

	* cmextra.dst

	New preambles

	* cmfonts.dst

	New preambles

	* latexsym.dst

	New preambles

	* autoload.dst

	New preambles

	* unpack2e.ins

	New preambles

	* slides.dst

	New preambles

	* legal.txt

	New version

	* readme.txt

	New version

	* ltclass.dtx

	Documentation added

	* fontdef.dtx

	Documentation added

	* latex209.dst

	Smaller batches for old emtex

	* modguide.tex

	Additions, updates and corrections

	* cfgguide.tex

	Additions, updates and corrections

	* clsguide.tex

	Additions, updates and corrections

	* fntguide.tex

	Additions, updates and corrections

	* ltx3info.tex

	Additions, updates and corrections

	* usrguide.tex

	Additions, updates and corrections

	* ltxguide.cls

	Corrected cfg loading

	* inputenc.dtx

	Detailed corrections

	* ltdefns.dtx

	Added documentation

######################
# 1995/12/01 Release
######################

1995-12-13 David Carlisle <latex-bugs@latex-project.org>

	* install.txt (NOTE): add info to run olddc.ins.

1995-12-12 David Carlisle <latex-bugs@latex-project.org>

	* inputenc.dtx: Modify \IeC and add missing % in
	\DeclareInputText.

1995-12-11 David Carlisle <latex-bugs@latex-project.org>

	* ltdirchk.dtx: (Bernd Raichle) Check for dcfonts 1.2 patch
	level 1. Latest TeX is now 3.14159.

	* ltoutenc.dtx: TEMPORARY \copyright fixes.

	* amiweb2c.txt: new version from Andreas Scherer.

1995-12-08 Alan Jeffrey <latex-bugs@latex-project.org>

	* latex209.dtx: Switched off \@inmathwarn.

1995-12-07 David Carlisle <latex-bugs@latex-project.org>

	* ltfloat.dtx: Move \m@th out of \ensuremath in \textsuperscript

	* ltbibl.dtx: restore \G@refundefinedtrue

	* ltxref.dtx: restore \G@refundefinedtrue

	* ltnews04.tex: new input encodings.

1995-12-06 David Carlisle <latex-bugs@latex-project.org>

	* docstrip.dst: Remove writing of \@currdir by .ins file.

	* ltfssbas.dtx: reset catcode of ^ in fd files.

1995-12-06 Alan Jeffrey <latex-bugs@latex-project.org>

	* encguide.tex: Added examples of new \text* commands.

	* usrguide.tex: Added documentation for new \text* commands.

1995-12-05 David Carlisle <latex-bugs@latex-project.org>

	* cstex.txt:  New file (from Markus Kohm)

	* multitex.txt: New file (from Markus Kohm)

	* ltfiles.dtx: add \ignorespaces to \begin{document} latex/1933

	* ltdefns.dtx: Remove \@unexpandable@noexpand (never used) /1733

	* ltfloat.dtx: \textsuperscript in math mode. latex/1984

1995-12-05 Alan Jeffrey <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Changed text of \TextSymbolUnavailable.

1995-12-04 David Carlisle <latex-bugs@latex-project.org>

	* lthyphen.dtx: minor doc edits for /1989

	* preload.dtx: 12pt OMS and OML preloads added /1989.

	* fontdef.dtx: minor doc edits for /1989

	* cmfonts.fdd: upright italic and tt small caps re-added. /1989.

	* modguide.tex: edits for /1989

1995-12-04 Alan Jeffrey <latex-bugs@latex-project.org>

	* inputenc.dst: Added cp437de.def.

	* inputenc.dtx: Added \@tabacckludge commands to the Next encoding.
	Replaced ~ by \nobreakspace.
	Added a `test version' to the \ProvidesFile.
	Made <pounds> and <uumlaut> text char in cp437.
	Made <fraction> a math char in Next.
	Made <cdot> and <bullet> text chars in all encodings.
	Added cp437de (cp437 but with ss rather than beta).

1995-12-01 David Carlisle <latex-bugs@latex-project.org>

	* cmfonts.fdd: Dont force \hyphenchar=127 on T1 fonts /1853
	Documentation changes and some font shapes modified
	Ulrik Vieth /1989,

1995-12-01 Alan Jeffrey <latex-bugs@latex-project.org>

	* inputenc.dtx: Removed extraneous {} from the <superior> glyphs.

	* ltoutenc.dtx: Made \SS a default command rather than making the
	OT1 definition the default.

1995-11-30 Johannes Braams <latex-bugs@latex-project.org>

	* proc.dtx, classes.dtx (section{Identification}): Added the date
	of the LaTeX format to the optional argument of \NeedsTeXformat in
	order to signal newer class files being used with an old format
	(PR1971).

1995-11-30 David Carlisle <latex-bugs@latex-project.org>

	* cfgguide.tex: dont change uc lc tables...

1995-11-29 David Carlisle <latex-bugs@latex-project.org>

	* clsguide.tex: Minor edits.

	* cfgguide.tex: minor edits.

	* ltxguide.cls: modify verbatim slightly.

	* cmextra.dst: Use concurrent features for speed (/1985 again)

	* oldlfont.dtx:  Remove duplicate driver code (/1985 again)

	* newlfont.dtx: Remove duplicate driver code (/1985 again)

	* ltoutput.dtx: add \ProvidesFile to flafter.sty (/1985 again)

1995-11-29 Alan Jeffrey <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Added \textless, \textgreater, et al.

	* inputenc.dtx: Replaced \textsterling with \pounds.
	Added default error-message definitions for \textyen et al.
	Added a \NeedsTeXFormat line.
	Tidied up the Next encoding.

1995-11-28 David Carlisle <latex-bugs@latex-project.org>

	* source2e.tex: 2 (not 3) column index and modified script
	Allow control names to hyphenate in the ChangeLog.

	* latexsym.dst: \input docstrip before using docstrip commands.

	* latexsym.dtx: Stop rogue %% comments apearing in generated
	files. Another one from  Ulrik Vieth's /1985.

	* ltxdoc.dtx: Increase left margin and marginpar width

	* ltclass.dtx:  minor improvements.

	* ltnews04.tex: minor improvements.

	* lterror.dtx: Typo in autoload \ClassError version. /1985

	* ltmath.dtx:  doc fixes for /1979.

	* ltsect.dtx: doc fixes for /1985.

	* ltfntcmd.dtx:  doc fixes for /1985.

	* ltplain.dtx:  doc fixes for /1985.

	* ltlists.dtx:  doc fixes for /1985.

	* ltoutenc.dtx:  doc fixes for /1985.

	* ltfsstrc.dtx: doc fixes for /1985.

	* ltfloat.dtx: doc fixes for /1985.

1995-11-28 Alan Jeffrey <latex-bugs@latex-project.org>

	* ltoutenc.dtx: Added test for math mode to text commands.
	Renamed \@changed@x@err to \TextSymbolUnavailable.

1995-11-27 David Carlisle <latex-bugs@latex-project.org>

	* ltfssbas.dtx: reset catcode of # in fd files internal/1982

	* exscale.dtx: add \ProvideFile to fd file for latex/1987

1995-11-24 Chris Rowley <latex-bugs@latex-project.org>

	* ltspace.dtx

	\nobreakspace added

1995-11-22 David Carlisle <latex-bugs@latex-project.org>

	* ltxguide.cls: typo ltxdoc.cls for ltxguide.cls

1995-11-20 David Carlisle <latex-bugs@latex-project.org>

	* texpert.txt: describe updated ltxcheck

	* manifest.txt: ltnews04

	* Makefile (TEXS): ltnews04

	* ltnews04.tex: New TUG Address, \LoadClassWithOptions

	* doc.dtx: Make \MakeShortVerb use an \PackageInfo rather
	than \tyepout. internal/1938

1995-11-18 David Carlisle <latex-bugs@latex-project.org>

	* docstrip.dtx: Minor documentation cleanups.

	* ltoutenc.dtx: add `symbol' to the message.

1995-11-17 David Carlisle <latex-bugs@latex-project.org>

	* docstrip.dtx: Merge in Marcin's new code restoring
	\inFileName functionality.
	Remove generation date/version number from generated files
	Add \AddGenerationDate batchfile command to put them back.
	Force whole file through ispell!!

	* ltoutenc.dtx: Use \@wrong@font@char in \UseTextSymbol. /1676

	* ltfssbas.dtx: Make missing fd file \typeout a Font Info
	and add \@wrong@font@char for use in \UseTextSymbol. /1676
	Clean up many \changes entries.

1995-11-15 David Carlisle <latex-bugs@latex-project.org>

	* source2e.tex: Exchange order of ltdefns and ltalloc
	(Matches code change of 24th May.)
	 Modify \changes def to match doc.sty 1.9u

1995-11-14 David Carlisle <latex-bugs@latex-project.org>

	* ltdirchk.dtx: Dont make a ! BAD typeout if just the old (or new)
	  dc fonts are installed.

	* ltclass.dtx: Add \LoadClassWithOptions for latex/1556
	Add \RequirePackageWithOptions to match.
	Stop \@unprocessedoptions complaining about empty options
	noticed whilest debugging the above change...

	* inputenc.dtx: remove rogue \endinput. Wrap long lines.

1995-11-13 David Carlisle <latex-bugs@latex-project.org>

	* latexbug.tex: Check default font encoding/family etc.

1995-11-10 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutput.dtx:

	Made code in-line to remove pseudo-hooks

1995-11-08 David Carlisle <latex-bugs@latex-project.org>

	* autoload.dst: fix order of files in autoerr for new docstrip.

	* ltnews04.tex: first draft

1995-11-07 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltoutenc.dtx (subsection{Definitions for the OT1 encoding}):
	Changed \char32 to \@xxxii (two tokens less). Replaced octal
	number 27 by decimal number 23 to protect against the quote
	character being active. Added \leavevmode at start of \c,
	otherwise the output routine might be invoked within the macro
	(suggested by Donald Arseneau). Replaced some 0's by \z@
	(faster).

	* ltlists.dtx (\@doendpe): Enclosed \setbox0 assignment by a
	group so that it leaves the contents of box $0$ intact.
	Discovered by Donald Arseneau.

	* cmfonts.fdd: Use decimal rather than octal character
	specification for \hyphenchar and \skewchar so that there is
	no problem with an active quote character.

1995-11-03 Rainer Schoepf <latex-bugs@latex-project.org>

	* unpack.ins: Updated for new concurrent docstrip.

	* ltoutenc.dst: Updated for new concurrent docstrip.

	* newdc.dst: Updated for new concurrent docstrip.

	* olddc.dst: Updated for new concurrent docstrip.

	* proc.dst: Updated for new concurrent docstrip.

	* autoload.dst: Updated for new concurrent docstrip.

	* latex209.dst: Updated for new concurrent docstrip.

	* inputenc.dst: Updated for new concurrent docstrip.

	* cmfonts.dst: Updated for new concurrent docstrip.

	* classes.dst: Updated for new concurrent docstrip.

	* slides.dst: Updated for new concurrent docstrip.

	* latexsym.dst: Updated for new concurrent docstrip.

	* makeindx.dst: Updated for new concurrent docstrip.

	* docstrip.dst: Updated for new concurrent docstrip.

	* docstrip.dtx: New concurrent docstrip by Marcin Woli\'nski.

1995-11-02 Chris Rowley <latex-bugs@latex-project.org>

	* classes.dtx

	Made \footnote always work in frontmatter

1995-11-02 David Carlisle <latex-bugs@latex-project.org>

	* ltfssbas.dtx: Remove spurious space from NFSS font warning
	latex/1676

	* ltxdoc.dtx: Add silent font substitutions.

1995-11-02 Rainer Schoepf <latex-bugs@latex-project.org>

	* latex209.dtx: Added code for fleqn.sty, leqno.sty,
	openbib.sty.

	* latex209.dst: Added generation of files fleqn.sty, leqno.sty,
	openbib.sty for compatibility mode.

	* inputenc.dtx: Changed internal name \a to \@tabacckludge to
	protect against redefinition by malicicous users. Wrapped long
	lines.

	* ltoutenc.dtx: Changed internal name \a to \@tabacckludge to
	protect against redefinition by malicicous users.

1995-11-01 David Carlisle <latex-bugs@latex-project.org>

	* latexbug.tex: Only list `configuration' input files.

	* ltfinal.dtx: Modify \@addtofilelist during initex so only
	non-standard (cfg) inputs listed.

	* ltfssini.dtx: Modify \@addtofilelist during initex so only
	non-standard (cfg) inputs listed.

	* ltdirchk.dtx: Modify \@addtofilelist during initex so only
	non-standard (cfg) inputs listed.

	* Makefile: Add newdc/olddc

	* unpack2e.ins: Add newdc.ins.

	* cmfonts.fdd: Modify T1 and TS1 generation.

	* cmfonts.dst: remove dc font generation.

	* olddc.dst: NEW: Generate fd files for obsolete dcfonts 1.1
	and earlier.

	* newdc.dst: NEW: Generate fd files for dcfonts 1.2

	* fontdef.dtx: Wrap fd inputs in \nfss@catcodes. internal/1932

	* ltfssbas.dtx: Correct undefined font family test internal/1933

1995-10-31 David Carlisle <latex-bugs@latex-project.org>

	* ltboxes.dtx: CHANGE: Add \nobreak to \@finalstrut to allow
	  hyphenation of the last word of a p-column (and footnotes).
	internal/1931

	* ltdirchk.dtx: more robust checking of dc fonts.

1995-10-31 Rainer Schoepf <latex-bugs@latex-project.org>

	* slides.fdd: Added extra substitutions for shape `ui' to make
	\pounds work properly in the slides class (mostly).

1995-10-30 David Carlisle <latex-bugs@latex-project.org>

	* ltxcheck.tex: Check that if you have the old dc fonts, then the
	  initex run loaded a suitable old fd file.

	* fntguide.tex: Describe genb size function.

	* clsguide.tex: Mention minimal.cls is now in the distribution.

	* minimal.cls: Bring into line with version in clsguide.tex

1995-10-29 Johannes Braams <latex-bugs@latex-project.org>

	* classes.dtx (subsection{The title}): empty \@date as well at the
	end of \maketitle
	(subsection{Paragraphing}): Added the setting of \...skipamount,
	just a copy of the kernel values. (PR 1464)

1995-10-27 David Carlisle <latex-bugs@latex-project.org>

	* ltpictur.dtx: Initialise \@wholewidth in autoload kernel.
	General doc cleanup.

	* usrguide.tex: Describe minimal.cls

1995-10-26 David Carlisle <latex-bugs@latex-project.org>

	* minimal.cls: A masterpiece of typographical design.

	* ltfssbas.dtx: Disable autofss2 for now.

1995-10-25 Chris Rowley <latex-bugs@latex-project.org>

	* ltfloat.dtx

	Corrected bug in \end@dblfloat, made code more robust

1995-10-25 David Carlisle <latex-bugs@latex-project.org>

	* ltmath.dtx: modify docstrip guards so
	\ProvidesFile{ltmath.dtx} seen by source2e.tex.

	* ltidxglo.dtx: General doc cleanup.

	* ltsect.dtx: Initilalise mark commands using \let to save space

	* ltalloc.dtx: General doc cleanup.

1995-10-24 Chris Rowley <latex-bugs@latex-project.org>

	* ltfiles.dtx

	Removed one-way switches from \endocument

	* ltxref.dtx

	Removed one-way switches from \endocument
	Tidying.

	* ltfssbas.dtx

	Removed one-way switches from \endocument

	* ltbibl.dtx

	Removed one-way switches from \endocument

	* ltmiscen.dtx

	Removed one-way switches from \endocument
	Tidying.

1995-10-24 David Carlisle <latex-bugs@latex-project.org>

	* ltdefns.dtx: Make \@autoload files ignore EOL.

	* lterror.dtx: modify autoload \@preamerr.
	Add % to some lines as \@autoload files now ignore line ends.

1995-10-23 Chris Rowley <latex-bugs@latex-project.org>

	* lttab.dtx

	Made poptabs more robust
	Tidied up documentation

1995-10-23 Rainer Schoepf <latex-bugs@latex-project.org>

	* classes.dtx (subsubsection{Abstract}): Added setting of
	\beginparpenalty to discourage page break before abstract
	heading.

1995-10-22 Rainer Schoepf <latex-bugs@latex-project.org>

	* cmfonts.fdd: Added support for new (version 1.2) DC fonts and
	text companion fonts in encoding TS1.

	* inputenc.dst: Added generation of ansinew.def file.

	* inputenc.dtx: Added ansinew encoding (Windows 3.1 ANSI), as
	contributed by Berthold K.P. Horn (bkph@ai.mit.edu).

1995-10-20 David Carlisle <latex-bugs@latex-project.org>

	* latexbug.tex: Clarify output format a bit.

	* ltclass.dtx: modify autoload support

	* ltfsstrc.dtx:  Keep autofss2 code in kernel until
	  \begin{document}.

	* ltfssbas.dtx: Keep autofss2 code in kernel until
	  \begin{document}.
	use \@undefined not \undefined

	* ltfinal.dtx: \@filelist zapped too early.

1995-10-19 Rainer Schoepf <latex-bugs@latex-project.org>

	* inputenc.dtx: Replaced \' \` \= by \a' \a` \a in order to get
	correct accents in a tabbing environment.

1995-10-18 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltspace.dtx (subsection{Horizontal space}): Moved \changes
	from \@ to \hspace where it belongs.

1995-10-17 David Carlisle <latex-bugs@latex-project.org>

	* ltfinal.dtx: Reset \ProvidesFile, Preserve initex file list in
	  \reserved@a

	* ltclass.dtx: Remove \ProvidesFile redefinition to ltfinal.
	Reset \CurrentOption in \ProcessOptions for graphics/1873

	* ltdirchk.dtx: Modify \ProvidesFile during initex to save
	  debugging info and not waste \ver@... csnames.

	* latexbug.tex: Show initex file list.

	* latexbug.el: use \@@input not \input

	* latex209.dtx: \supereject, \mscount, old style \@imakepicbox

	* ltplain.dtx: Move \supereject to latex209

	* lttab.dtx: move \mscount to latex209 use \@multicnt instead.

1995-10-16 David Carlisle <latex-bugs@latex-project.org>

	* ltbibl.dtx: make \cite robust /1808

	* ltmath.dtx: Make \sqrt robust /1808
	Use \@testopt in eqnarray's \\ /1911.

	* ltspace.dtx: Use \@testopt in \[no]{line|page}preak (/1911)

	* ltdefns.dtx: new \@ifstar CHANGE: require ##1 in both arguments
	not ####1 in one and ##1 in the other. (internal/1910)
	Use \@testopt in \newcommand and \newenvironment (/1911)

	* ltboxes.dtx: Clarify \makebox(,)[b] description.

	* ltthm.dtx: Allow \newtheorem after \begin{document} again.
	(LaTeX Book, page 57)

1995-10-16 Rainer Schoepf <latex-bugs@latex-project.org>

	* ltfssini.dtx: Added \relax at the end of the definition of
	\normalfont to prevent it and \textnormal from eating up leading
	spaces.

1995-10-11 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutput.dtx

	New check in \clearpage.

1995-10-10 David Carlisle <latex-bugs@latex-project.org>

	* ltfssdcl.dtx: autoload error message

	* ltthm.dtx: Make \newtheorem and its internals `only preamble'
	to save memory.

	* ltplain.dtx: autoload tracing code

	* ltfssbas.dtx: Make \showhyphens colour safe and autoloadable.

1995-10-10 Rainer Schoepf <latex-bugs@latex-project.org>

	* slides.dtx (subsection{The title}): In \maketitle, move \par
	inside the scope of \Large, to get even line spacing.

1995-10-09 David Carlisle <latex-bugs@latex-project.org>

	* ltdefns.dtx: use \@@input to load autoload files.

	* lterror.dtx: more autoload mods.

	* ltoutenc.dtx: Autoload \@changed@x@err (autoerr.sty)

1995-10-06 David Carlisle <latex-bugs@latex-project.org>

	* autoload.dst: update autoerr generation.

	* ltfiles.dtx: autoload missing file error command

	* ltplain.dtx: autoload \new... error message.

	* ltdefns.dtx Use \aut@global in \DeclareRobustCommand

1995-10-04 David Carlisle <latex-bugs@latex-project.org>

	* ltfsstrc.dtx: Use new \@autoload feature.

	* ltfssbas.dtx: Use new \@autoload feature.

	* ltoutput.dtx: Use new \@autoload feature.

	* lttab.dtx:  Use new \@autoload feature.

1995-10-03 David Carlisle <latex-bugs@latex-project.org>

	* ltpatch.ltx: 1995/12/01 Christmas is nearly here...

	* Makefile: 1995/12/01 Christmas is nearly here...

	* ltdefns.dtx: Fix \@xtypein (from patch file)

	* fontdef.dtx: Define \@@sqrt (from patch file)

	* lterror.dtx:  Use new \@autoload feature.

	* ltpictur.dtx: Use new \@autoload feature.

	* autoload.dst: autoload module in ltdefns.dtx.

1995-10-02 David Carlisle <latex-bugs@latex-project.org>

	* ltplain.dtx: Move \newif to ltdefns.dtx.
	Use \sbox in \underbar (saves tokens, and works with colour)

	* ltdefns.dtx: \futurelet with \@let@token for internal/924
	New implementation of \@xargdef in terms of the new
	\@protected@testopt. Saves tokens and makes user defined
	commands with optional arguments robust. internal/1733
	Move \newif here from ltplain.
	Autoload support. Add \aut@global and \@autoload. internal/1617.

1995-09-27 David Carlisle <latex-bugs@latex-project.org>

	* ltdirchk.dtx: Check \filename parser in ltxcheck.tex
	for latex/1624 latex/1754  and graphics/1336
	  Check for dc fonts in ltxcheck.tex

1995-09-27 Rainer Schoepf <latex-bugs@latex-project.org>

	* slides.dtx, slides.fdd: Globally replaced scale factor 19.91
	by 19.907 in \DeclareFontShape, as this gives better rounded
	font sizes at 600dpi (suggested by Denis Roegel).

	* docstrip.dtx: Changed address of Johannes Braams.

1995-09-25 David Carlisle <latex-bugs@latex-project.org>

	* latex209.dtx: Declare 2 count registers previously used
	in \cline. /1723

1995-09-25 Rainer Schoepf <latex-bugs@latex-project.org>

	* web2ctex.txt: Added some comments about using non-csh, index
	style files and some other missing files.

1995-09-21 David Carlisle <latex-bugs@latex-project.org>

	* ltxguide.cls:  \RequirePackage{shortvrb} for latex/1875

	* latexbug.el (report-latex-bug): Rainer's fix for latex/1675

1995-09-21 Rainer Schoepf <latex-bugs@latex-project.org>

	* inputenc.dst: Added generation of next.def file.

	* inputenc.dtx: Added next encoding, as contributed by
	Stefan Ried <stef@theo-phys.uni-essen.de> and Holger Uhr
	<huhr@uni-paderborn.de>.

1995-09-20 David Carlisle <latex-bugs@latex-project.org>

	* slides.dtx: Fix \hline for latex/1871.

1995-09-20 Rainer Schoepf <latex-bugs@latex-project.org>

	* cmextra.dst: Added generation of OMLccm.fd file, which had
	previsouly been removed from cmfonts.dst.

	* slides.dtx: Replace \@tempa by \reserved@a. Wrap some long
	lines and use \null instead of \hbox{} (by DPC).

1995-09-19 Rainer Schoepf <latex-bugs@latex-project.org>

	* slides.fdd: Corrected names of .fd file names in argument to
	\ProvidesFile commands.

	* ltmiscen.dtx: Moved call to \@noligs macro after call to
	\verbatim@font in \verb command, just as it is already in the
	verbatim environment.

1995-09-15 David Carlisle <latex-bugs@latex-project.org>

	* ltfssini.dtx: Modify TeX2 message.

1995-09-14 David Carlisle <latex-bugs@latex-project.org>

	* lttab.dtx: New \cline implementation. No longer declare
	  counters \@cla \@clb. More macro envs in documentation.

	* ltplain.dtx: Move \multispan to lttab.dtx. Loads more macro
	  environments in the documentation.

1995-09-01 David Carlisle <latex-bugs@latex-project.org>

	* tex2.txt: typos...

	* ltplain.dtx: Minor space savings. Add a few more macro envs.

	* autoload.dst: add the l-terror.

	* lterror.dtx: Add autoload support.

1995-08-31 Alan Jeffrey <latex-bugs@latex-project.org>

	* inputenc.dtx: Added 0 to the beginning of every number.
	Changed the definition of "AD in latin1 and latin2 to be \-.
	Swapped ordfeminine and ordmasculine around in latin1.

1995-08-27 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx:
	Reimplemented openbib option to save space (hash and mem).
	Disable \title \author \date \and after \maketitle.
	Default for \newblock outside thebibliography env changed.

1995-08-25 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltoutput.dtx:
	Added autoload code for autoout1.sty (\enlargethispage).

	* ltfsscmp.dtx:
	Added \@preambleonly lines from ltfssdcl.dtx.
	Moved compat code from ltfssbas.dtx to this file.

	* autoload.dst:
	Added new autoload files.

1995-08-24 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssdcl.dtx:
	Moved most of the \@onlypreamble declarations to the right places.
	Added forgotten \DeclareSymbolFontAlphabet@ to \@preambleonly
	(400 useless tokens)!

	* ltfssbas.dtx:
	Added to the documentation.

1995-08-23 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfssbas.dtx:
	Added autoload code for autofss1.sty.
	Added autoload code for autofss2.sty.


	* ltfsstrc.dtx:
	Macro \gobble@font@spec eliminated.
	Added autoload code for autofss1.sty.
	Added autoload code for autofss2.sty.

1995-08-20 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* encguide.tex:
	First draft.

1995-08-16 Chris Rowley <latex-bugs@latex-project.org>

	* tex2.txt:

	Clearer wordings

	* ltcntrl.dtx:

	Made most loop macros \long
	Removed unnecessary \...noop macros
	Tidied up documentation

1995-08-16 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltfiles.dtx:
	set \@maxdepth at begin document not in class file
	add a couple of \global's

	* usrguide.tex:
	typo corrections pr/1809

	* ltmath.dtx:
	fixed mistake added with last update

	* classes.dtx:
	throw in a couple of forgotten percents
	reprogram a couple of macros to save space or macro names
	update  the documentation

1995-08-11 David Carlisle <latex-bugs@latex-project.org>

	* ltlength.dtx: Fix doc typos for latex/753

1995-08-11 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* ltxdoc.dtx:
	updated \marg etc to use \meta, suggested by pr/1370
	added missing braces in definition of \star

1995-08-09 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* cmfonts.fdd:
	Fixed setup for OMScmr.fd as pointed out by Christian Spieler. pr/1804

	* ltmath.dtx:
	Added code for leqno.clo and fleqn.clo

	* classes.dtx:
	Moved code for leqno and fleqn to kernel files.

1995-08-08 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* classes.dtx:
	Implemented titlepage differently to support twoside,openight
	options correctly. pr/1783.

	* docstrip.dst:
	Removed part that might add non-standard setting of \@currdir
	into docstrip.tex so that unpacked distribution stays portable. pr/1765

1995-08-06 Frank Mittelbach  <Frank.Mittelbach@latex-project.org>

	* doc.dtx (subsection{Macros for the `documentation parts'}):
	Fixed problem that \begin{macro}{\foo} doesn't suppress
	index entries for \foo within its body. pr/343
	(subsection[Dealing with the change history]):
	\changes entries on top-level now preceed themselves with
	the expansion of \generalname rather than producing the
	fixed string "General".

	* docstrip.dtx:
	Clarified default "copying conditions" as suggested by
	Richard Stallman

1995-07-23 Chris Rowley <latex-bugs@latex-project.org>

	* clsguide.tex:

	Added notices concerning use of `Standard LaTeX'

	* cfgguide.tex:

	Started major expansion and rewrite

	* modguide.tex:

	Rewrite adding section on modfying LaTeX

	* legal.txt:

	Further expansion and changes

	* ltxguide.cls:

	Changed configuration file messages

1995-07-20 David Carlisle <latex-bugs@latex-project.org>

	* classes.dtx:  reduce save stack usage for latex/1742

	* ltfssbas.dtx: reduce save stack usage for latex/1742

	* ltpage.dtx: Save a few tokens in \sloppy and \fussy

	* ltboxes.dtx: Use \sbox in \@save(pic)box

	* ltlogos.dtx: Save a few tokens in logo defs.

1995-07-19 David Carlisle <latex-bugs@latex-project.org>

	* manifest.txt: tex2.txt

	* tex2.txt: TeX2 installation instructions first draft.

	* ltfssini.dtx: Test for TeX2 before reading fonttext.???

1995-07-18 David Carlisle <latex-bugs@latex-project.org>

	* patches.txt: PL3 Add proc and latex209 fixes missed yesterday.

	* ltpatch.ltx: PL3 Add proc and latex209 fixes missed yesterday.

	* proc.dtx: fix \thanks for /1735

1995-07-17 David Carlisle <latex-bugs@latex-project.org>

	* patches.txt: patch level 2.

	* ltpatch.ltx: Patch level 2 (accents)c ../mir

1995-07-16 Chris Rowley <latex-bugs@latex-project.org>

	* ltoutput.dtx:

	New version of \@outputpage

1995-07-14 David Carlisle <latex-bugs@latex-project.org>

